# ncurses 6.0 - patch 20170624 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20170624.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jun 25 01:22:12 UTC 2017
# ------------------------------------------------------------------------------
# MANIFEST                                   |    1 
# NEWS                                       |   17 
# VERSION                                    |    2 
# c++/cursesw.h                              |    8 
# c++/demo.cc                                |    8 
# c++/etip.h.in                              |   29 
# configure                                  | 1538 +++++++++++++--------------
# configure.in                               |    7 
# dist.mk                                    |    4 
# include/ncurses_defs                       |    3 
# man/form_driver.3x                         |    6 
# ncurses-6.0-20170624/test/test_termattrs.c |  201 +++
# ncurses/curses.priv.h                      |    4 
# ncurses/tinfo/captoinfo.c                  |    4 
# ncurses/tinfo/lib_options.c                |    4 
# ncurses/tinfo/lib_setup.c                  |    4 
# ncurses/tinfo/lib_tputs.c                  |    6 
# ncurses/tinfo/make_hash.c                  |   10 
# ncurses/tinfo/parse_entry.c                |   71 -
# ncurses/tinfo/tinfo_driver.c               |    7 
# ncurses/tty/lib_vidattr.c                  |    6 
# ncurses/widechar/lib_vid_attr.c            |    5 
# package/debian-mingw/changelog             |    4 
# package/debian-mingw64/changelog           |    4 
# package/debian/changelog                   |    4 
# package/mingw-ncurses.nsi                  |    4 
# package/mingw-ncurses.spec                 |    2 
# package/ncurses.spec                       |    2 
# progs/dump_entry.c                         |    6 
# test/README                                |  116 +-
# test/configure                             | 1071 +++++++++---------
# test/configure.in                          |    5 
# test/demo_menus.c                          |    7 
# test/edit_field.c                          |    4 
# test/list_keys.c                           |    6 
# test/modules                               |    3 
# test/movewindow.c                          |    5 
# test/ncurses.c                             |    5 
# test/programs                              |    3 
# test/redraw.c                              |   46 
# test/test.priv.h                           |   18 
# test/test_sgr.c                            |   18 
# test/test_vid_puts.c                       |   27 
# test/test_vidputs.c                        |   28 
# 44 files changed, 1838 insertions(+), 1495 deletions(-)
# ------------------------------------------------------------------------------
Index: MANIFEST
--- ncurses-6.0-20170617+/MANIFEST	2017-06-03 11:50:09.000000000 +0000
+++ ncurses-6.0-20170624/MANIFEST	2017-06-24 18:28:59.000000000 +0000
@@ -1188,6 +1188,7 @@
 ./test/test_opaque.c
 ./test/test_setupterm.c
 ./test/test_sgr.c
+./test/test_termattrs.c
 ./test/test_vid_puts.c
 ./test/test_vidputs.c
 ./test/testaddch.c
Index: NEWS
Prereq:  1.2859 
--- ncurses-6.0-20170617+/NEWS	2017-06-17 21:53:35.000000000 +0000
+++ ncurses-6.0-20170624/NEWS	2017-06-24 22:16:43.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2859 2017/06/17 21:53:35 tom Exp $
+-- $Id: NEWS,v 1.2866 2017/06/24 22:16:43 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,21 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20170624
+	+ modify c++/etip.h.in to accommodate deprecation of throw() and
+	  throws() in c++17 (prompted by patch by Romain Geissler).
+	+ remove some incorrect calls for memory-leaks from 20170617 changes
+	  (report by Allen Hewes).
+	+ add test-programs for termattrs and term_attrs.
+	+ modify _nc_outc_wrapper to use the standard output if the screen was
+	  not initialized, rather than returning an error.
+	+ improve checks for low-level terminfo functions when the terminal
+	  has not been initialized (Redhat #1345963).
+	+ modify make_hash to allow building with address-sanitizer,
+	  assuming that --disable-leaks is configured.
+	+ amend changes for number_format() in 20170506 to avoid undefined
+	  behavior when shifting (patch by Emanuele Giaquinta).
+
 20170617
 	+ fill in some places where TERMTYPE2 vs TERMTYPE was not used
 	  (report by Allen Hewes).
Index: VERSION
--- ncurses-6.0-20170617+/VERSION	2017-06-17 18:17:23.000000000 +0000
+++ ncurses-6.0-20170624/VERSION	2017-06-18 23:13:28.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20170617
+5:0:9	6.0	20170624
Index: c++/cursesw.h
Prereq:  1.50 
--- ncurses-6.0-20170617+/c++/cursesw.h	2014-02-01 22:17:37.000000000 +0000
+++ ncurses-6.0-20170624/c++/cursesw.h	2017-06-24 22:05:30.000000000 +0000
@@ -1,7 +1,7 @@
 // * This makes emacs happy -*-Mode: C++;-*-
 // vile:cppmode
 /****************************************************************************
- * Copyright (c) 1998-2011,2014 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2014,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -31,14 +31,14 @@
 #ifndef NCURSES_CURSESW_H_incl
 #define NCURSES_CURSESW_H_incl 1
 
-// $Id: cursesw.h,v 1.50 2014/02/01 22:17:37 tom Exp $
-
-#include <etip.h>
+// $Id: cursesw.h,v 1.51 2017/06/24 22:05:30 tom Exp $
 
 extern "C" {
 #  include   <curses.h>
 }
 
+#include <etip.h>
+
 /* SCO 3.2v4 curses.h includes term.h, which defines lines as a macro.
    Undefine it here, because NCursesWindow uses lines as a method.  */
 #undef lines
Index: c++/demo.cc
Prereq:  1.41 
--- ncurses-6.0-20170617+/c++/demo.cc	2012-02-23 10:41:56.000000000 +0000
+++ ncurses-6.0-20170624/c++/demo.cc	2017-06-24 22:04:26.000000000 +0000
@@ -1,6 +1,6 @@
 // * This makes emacs happy -*-Mode: C++;-*-
 /****************************************************************************
- * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -35,7 +35,7 @@
  *   Demo code for NCursesMenu and NCursesForm written by
  *   Juergen Pfeifer
  *
- * $Id: demo.cc,v 1.41 2012/02/23 10:41:56 tom Exp $
+ * $Id: demo.cc,v 1.42 2017/06/24 22:04:26 tom Exp $
  */
 
 #include "internal.h"
@@ -320,7 +320,7 @@
     for(int i=1; i <= S->labels(); i++) {
       char buf[8];
       assert(i < 100);
-      ::_nc_SPRINTF(buf, _nc_SLIMIT(sizeof(buf)) "Frm%02d", i);
+      ::_nc_SPRINTF(buf, _nc_SLIMIT(sizeof(buf)) "Frm%02d", i % 100);
       (*S)[i] = buf;                                      // Text
       (*S)[i] = Soft_Label_Key_Set::Soft_Label_Key::Left; // Justification
     }
@@ -540,7 +540,7 @@
   for(int i=1; i <= S.labels(); i++) {
     char buf[8];
     assert(i < 100);
-    ::_nc_SPRINTF(buf, _nc_SLIMIT(sizeof(buf)) "Key%02d", i);
+    ::_nc_SPRINTF(buf, _nc_SLIMIT(sizeof(buf)) "Key%02d", i % 100);
     S[i] = buf;                                      // Text
     S[i] = Soft_Label_Key_Set::Soft_Label_Key::Left; // Justification
   }
Index: c++/etip.h.in
Prereq:  1.39 
--- ncurses-6.0-20170617+/c++/etip.h.in	2012-12-29 21:50:44.000000000 +0000
+++ ncurses-6.0-20170624/c++/etip.h.in	2017-06-24 21:57:16.000000000 +0000
@@ -1,6 +1,6 @@
 // * This makes emacs happy -*-Mode: C++;-*-
 /****************************************************************************
- * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -31,7 +31,7 @@
  *   Author: Juergen Pfeifer, 1997                                          *
  ****************************************************************************/
 
-// $Id: etip.h.in,v 1.39 2012/12/29 21:50:44 tom Exp $
+// $Id: etip.h.in,v 1.41 2017/06/24 21:57:16 tom Exp $
 
 #ifndef NCURSES_ETIP_H_incl
 #define NCURSES_ETIP_H_incl 1
@@ -330,7 +330,7 @@
   }
 };
 
-#if !((defined(__GNUG__) && defined(__EXCEPTIONS)) || defined(__SUNPRO_CC))
+#if !((defined(__GNUG__) && defined(__EXCEPTIONS) && (__GNUG__ < 7)) || defined(__SUNPRO_CC))
 #  if HAVE_IOSTREAM
 #     include <iostream>
 #     if IOSTREAM_NAMESPACE
@@ -347,15 +347,20 @@
 #if defined(__GNUG__) && defined(__EXCEPTIONS)
 #  if ((__GNUG__ <= 2) && (__GNUC_MINOR__ < 8))
       (*lib_error_handler)(e ? e->classname() : "", e ? e->message : "");
-#else
-#define CPP_HAS_TRY_CATCH 1
-#endif
+#  elif (__GNUG__ >= 7)
+     // g++ 7.0 warns about deprecation, but lacks the predefined symbols
+      ::endwin();
+      std::cerr << "Found a problem - goodbye" << std::endl;
+      exit(EXIT_FAILURE);
+#  else
+#    define CPP_HAS_TRY_CATCH 1
+#  endif
 #elif defined(__SUNPRO_CC)
 #  if !defined(__SUNPRO_CC_COMPAT) || (__SUNPRO_CC_COMPAT < 5)
   genericerror(1, ((e != 0) ? (char *)(e->message) : ""));
-#else
-#define CPP_HAS_TRY_CATCH 1
-#endif
+#  else
+#    define CPP_HAS_TRY_CATCH 1
+#  endif
 #else
   if (e)
     cerr << e->message << endl;
@@ -372,9 +377,15 @@
   throw *e;
 #define NCURSES_CPP_TRY		try
 #define NCURSES_CPP_CATCH(e)	catch(e)
+#if defined(__cpp_noexcept_function_type) && (__cpp_noexcept_function_type >= 201510)
+// C++17 deprecates the usage of throw().
+#define THROWS(s)		/* nothing */
+#define THROW2(s,t)		/* nothing */
+#else
 #define THROWS(s)		throw(s)
 #define THROW2(s,t)		throw(s,t)
 #endif
+#endif
 }
 
 #endif /* NCURSES_ETIP_H_incl */
Index: configure
--- ncurses-6.0-20170617+/configure	2017-06-03 13:53:49.000000000 +0000
+++ ncurses-6.0-20170624/configure	2017-06-24 14:20:31.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.642 .
+# From configure.in Revision: 1.643 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20170501.
 #
@@ -15217,12 +15217,16 @@
 
 fi
 
+cat >>confdefs.h <<\EOF
+#define HAVE__TRACEF 1
+EOF
+
 else
 	LIB_TRACING=DEBUG
 	ADA_TRACE=FALSE
 fi
 
-echo "$as_me:15225: checking if we want to use GNAT projects" >&5
+echo "$as_me:15229: checking if we want to use GNAT projects" >&5
 echo $ECHO_N "checking if we want to use GNAT projects... $ECHO_C" >&6
 
 # Check whether --enable-gnat-projects or --disable-gnat-projects was given.
@@ -15239,7 +15243,7 @@
 	enable_gnat_projects=yes
 
 fi;
-echo "$as_me:15242: result: $enable_gnat_projects" >&5
+echo "$as_me:15246: result: $enable_gnat_projects" >&5
 echo "${ECHO_T}$enable_gnat_projects" >&6
 
 ###	Checks for libraries.
@@ -15249,13 +15253,13 @@
 	LIBS=" -lpsapi $LIBS"
 	;;
 (*)
-echo "$as_me:15252: checking for gettimeofday" >&5
+echo "$as_me:15256: checking for gettimeofday" >&5
 echo $ECHO_N "checking for gettimeofday... $ECHO_C" >&6
 if test "${ac_cv_func_gettimeofday+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15258 "configure"
+#line 15262 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char gettimeofday (); below.  */
@@ -15286,16 +15290,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15289: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15293: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15292: \$? = $ac_status" >&5
+  echo "$as_me:15296: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15295: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15299: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15298: \$? = $ac_status" >&5
+  echo "$as_me:15302: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_gettimeofday=yes
 else
@@ -15305,7 +15309,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:15308: result: $ac_cv_func_gettimeofday" >&5
+echo "$as_me:15312: result: $ac_cv_func_gettimeofday" >&5
 echo "${ECHO_T}$ac_cv_func_gettimeofday" >&6
 if test $ac_cv_func_gettimeofday = yes; then
 
@@ -15315,7 +15319,7 @@
 
 else
 
-echo "$as_me:15318: checking for gettimeofday in -lbsd" >&5
+echo "$as_me:15322: checking for gettimeofday in -lbsd" >&5
 echo $ECHO_N "checking for gettimeofday in -lbsd... $ECHO_C" >&6
 if test "${ac_cv_lib_bsd_gettimeofday+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15323,7 +15327,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lbsd  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15326 "configure"
+#line 15330 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15342,16 +15346,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15345: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15349: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15348: \$? = $ac_status" >&5
+  echo "$as_me:15352: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15351: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15355: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15354: \$? = $ac_status" >&5
+  echo "$as_me:15358: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_bsd_gettimeofday=yes
 else
@@ -15362,7 +15366,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15365: result: $ac_cv_lib_bsd_gettimeofday" >&5
+echo "$as_me:15369: result: $ac_cv_lib_bsd_gettimeofday" >&5
 echo "${ECHO_T}$ac_cv_lib_bsd_gettimeofday" >&6
 if test $ac_cv_lib_bsd_gettimeofday = yes; then
 
@@ -15392,14 +15396,14 @@
 	;;
 esac
 
-echo "$as_me:15395: checking if -lm needed for math functions" >&5
+echo "$as_me:15399: checking if -lm needed for math functions" >&5
 echo $ECHO_N "checking if -lm needed for math functions... $ECHO_C" >&6
 if test "${cf_cv_need_libm+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15402 "configure"
+#line 15406 "configure"
 #include "confdefs.h"
 
 	#include <stdio.h>
@@ -15415,16 +15419,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15418: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15422: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15421: \$? = $ac_status" >&5
+  echo "$as_me:15425: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15424: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15428: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15427: \$? = $ac_status" >&5
+  echo "$as_me:15431: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_need_libm=no
 else
@@ -15434,7 +15438,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:15437: result: $cf_cv_need_libm" >&5
+echo "$as_me:15441: result: $cf_cv_need_libm" >&5
 echo "${ECHO_T}$cf_cv_need_libm" >&6
 if test "$cf_cv_need_libm" = yes
 then
@@ -15442,13 +15446,13 @@
 fi
 
 ###	Checks for header files.
-echo "$as_me:15445: checking for ANSI C header files" >&5
+echo "$as_me:15449: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
 if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15451 "configure"
+#line 15455 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -15456,13 +15460,13 @@
 #include <float.h>
 
 _ACEOF
-if { (eval echo "$as_me:15459: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:15463: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:15465: \$? = $ac_status" >&5
+  echo "$as_me:15469: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -15484,7 +15488,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 15487 "configure"
+#line 15491 "configure"
 #include "confdefs.h"
 #include <string.h>
 
@@ -15502,7 +15506,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 15505 "configure"
+#line 15509 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 
@@ -15523,7 +15527,7 @@
   :
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15526 "configure"
+#line 15530 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #if ((' ' & 0x0FF) == 0x020)
@@ -15549,15 +15553,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15552: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15556: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15555: \$? = $ac_status" >&5
+  echo "$as_me:15559: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15557: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15561: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15560: \$? = $ac_status" >&5
+  echo "$as_me:15564: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -15570,7 +15574,7 @@
 fi
 fi
 fi
-echo "$as_me:15573: result: $ac_cv_header_stdc" >&5
+echo "$as_me:15577: result: $ac_cv_header_stdc" >&5
 echo "${ECHO_T}$ac_cv_header_stdc" >&6
 if test $ac_cv_header_stdc = yes; then
 
@@ -15583,13 +15587,13 @@
 ac_header_dirent=no
 for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do
   as_ac_Header=`echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
-echo "$as_me:15586: checking for $ac_hdr that defines DIR" >&5
+echo "$as_me:15590: checking for $ac_hdr that defines DIR" >&5
 echo $ECHO_N "checking for $ac_hdr that defines DIR... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15592 "configure"
+#line 15596 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$ac_hdr>
@@ -15604,16 +15608,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15607: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15611: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15610: \$? = $ac_status" >&5
+  echo "$as_me:15614: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15613: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15617: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15616: \$? = $ac_status" >&5
+  echo "$as_me:15620: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Header=yes"
 else
@@ -15623,7 +15627,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15626: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:15630: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -15636,7 +15640,7 @@
 done
 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
 if test $ac_header_dirent = dirent.h; then
-  echo "$as_me:15639: checking for opendir in -ldir" >&5
+  echo "$as_me:15643: checking for opendir in -ldir" >&5
 echo $ECHO_N "checking for opendir in -ldir... $ECHO_C" >&6
 if test "${ac_cv_lib_dir_opendir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15644,7 +15648,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldir  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15647 "configure"
+#line 15651 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15663,16 +15667,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15666: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15670: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15669: \$? = $ac_status" >&5
+  echo "$as_me:15673: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15672: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15676: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15675: \$? = $ac_status" >&5
+  echo "$as_me:15679: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dir_opendir=yes
 else
@@ -15683,14 +15687,14 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15686: result: $ac_cv_lib_dir_opendir" >&5
+echo "$as_me:15690: result: $ac_cv_lib_dir_opendir" >&5
 echo "${ECHO_T}$ac_cv_lib_dir_opendir" >&6
 if test $ac_cv_lib_dir_opendir = yes; then
   LIBS="$LIBS -ldir"
 fi
 
 else
-  echo "$as_me:15693: checking for opendir in -lx" >&5
+  echo "$as_me:15697: checking for opendir in -lx" >&5
 echo $ECHO_N "checking for opendir in -lx... $ECHO_C" >&6
 if test "${ac_cv_lib_x_opendir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15698,7 +15702,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lx  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15701 "configure"
+#line 15705 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15717,16 +15721,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15720: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15724: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15723: \$? = $ac_status" >&5
+  echo "$as_me:15727: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15726: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15730: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15729: \$? = $ac_status" >&5
+  echo "$as_me:15733: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_x_opendir=yes
 else
@@ -15737,7 +15741,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15740: result: $ac_cv_lib_x_opendir" >&5
+echo "$as_me:15744: result: $ac_cv_lib_x_opendir" >&5
 echo "${ECHO_T}$ac_cv_lib_x_opendir" >&6
 if test $ac_cv_lib_x_opendir = yes; then
   LIBS="$LIBS -lx"
@@ -15745,13 +15749,13 @@
 
 fi
 
-echo "$as_me:15748: checking whether time.h and sys/time.h may both be included" >&5
+echo "$as_me:15752: checking whether time.h and sys/time.h may both be included" >&5
 echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
 if test "${ac_cv_header_time+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15754 "configure"
+#line 15758 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/time.h>
@@ -15767,16 +15771,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15770: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15774: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15773: \$? = $ac_status" >&5
+  echo "$as_me:15777: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15776: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15780: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15779: \$? = $ac_status" >&5
+  echo "$as_me:15783: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_header_time=yes
 else
@@ -15786,7 +15790,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15789: result: $ac_cv_header_time" >&5
+echo "$as_me:15793: result: $ac_cv_header_time" >&5
 echo "${ECHO_T}$ac_cv_header_time" >&6
 if test $ac_cv_header_time = yes; then
 
@@ -15805,13 +15809,13 @@
 	;;
 esac
 
-echo "$as_me:15808: checking for regcomp" >&5
+echo "$as_me:15812: checking for regcomp" >&5
 echo $ECHO_N "checking for regcomp... $ECHO_C" >&6
 if test "${ac_cv_func_regcomp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15814 "configure"
+#line 15818 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char regcomp (); below.  */
@@ -15842,16 +15846,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15845: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15849: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15848: \$? = $ac_status" >&5
+  echo "$as_me:15852: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15851: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15855: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15854: \$? = $ac_status" >&5
+  echo "$as_me:15858: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_regcomp=yes
 else
@@ -15861,7 +15865,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:15864: result: $ac_cv_func_regcomp" >&5
+echo "$as_me:15868: result: $ac_cv_func_regcomp" >&5
 echo "${ECHO_T}$ac_cv_func_regcomp" >&6
 if test $ac_cv_func_regcomp = yes; then
   cf_regex_func=regcomp
@@ -15870,7 +15874,7 @@
 	for cf_regex_lib in $cf_regex_libs
 	do
 		as_ac_Lib=`echo "ac_cv_lib_$cf_regex_lib''_regcomp" | $as_tr_sh`
-echo "$as_me:15873: checking for regcomp in -l$cf_regex_lib" >&5
+echo "$as_me:15877: checking for regcomp in -l$cf_regex_lib" >&5
 echo $ECHO_N "checking for regcomp in -l$cf_regex_lib... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Lib+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15878,7 +15882,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-l$cf_regex_lib  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15881 "configure"
+#line 15885 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15897,16 +15901,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15900: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15904: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15903: \$? = $ac_status" >&5
+  echo "$as_me:15907: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15906: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15910: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15909: \$? = $ac_status" >&5
+  echo "$as_me:15913: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Lib=yes"
 else
@@ -15917,7 +15921,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15920: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "$as_me:15924: result: `eval echo '${'$as_ac_Lib'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
 if test `eval echo '${'$as_ac_Lib'}'` = yes; then
 
@@ -15946,13 +15950,13 @@
 fi
 
 if test "$cf_regex_func" = no ; then
-	echo "$as_me:15949: checking for compile" >&5
+	echo "$as_me:15953: checking for compile" >&5
 echo $ECHO_N "checking for compile... $ECHO_C" >&6
 if test "${ac_cv_func_compile+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15955 "configure"
+#line 15959 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char compile (); below.  */
@@ -15983,16 +15987,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15986: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15990: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15989: \$? = $ac_status" >&5
+  echo "$as_me:15993: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15992: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15996: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15995: \$? = $ac_status" >&5
+  echo "$as_me:15999: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_compile=yes
 else
@@ -16002,13 +16006,13 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16005: result: $ac_cv_func_compile" >&5
+echo "$as_me:16009: result: $ac_cv_func_compile" >&5
 echo "${ECHO_T}$ac_cv_func_compile" >&6
 if test $ac_cv_func_compile = yes; then
   cf_regex_func=compile
 else
 
-		echo "$as_me:16011: checking for compile in -lgen" >&5
+		echo "$as_me:16015: checking for compile in -lgen" >&5
 echo $ECHO_N "checking for compile in -lgen... $ECHO_C" >&6
 if test "${ac_cv_lib_gen_compile+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16016,7 +16020,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lgen  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 16019 "configure"
+#line 16023 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -16035,16 +16039,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16038: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16042: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16041: \$? = $ac_status" >&5
+  echo "$as_me:16045: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16044: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16048: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16047: \$? = $ac_status" >&5
+  echo "$as_me:16051: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_gen_compile=yes
 else
@@ -16055,7 +16059,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:16058: result: $ac_cv_lib_gen_compile" >&5
+echo "$as_me:16062: result: $ac_cv_lib_gen_compile" >&5
 echo "${ECHO_T}$ac_cv_lib_gen_compile" >&6
 if test $ac_cv_lib_gen_compile = yes; then
 
@@ -16083,11 +16087,11 @@
 fi
 
 if test "$cf_regex_func" = no ; then
-	{ echo "$as_me:16086: WARNING: cannot find regular expression library" >&5
+	{ echo "$as_me:16090: WARNING: cannot find regular expression library" >&5
 echo "$as_me: WARNING: cannot find regular expression library" >&2;}
 fi
 
-echo "$as_me:16090: checking for regular-expression headers" >&5
+echo "$as_me:16094: checking for regular-expression headers" >&5
 echo $ECHO_N "checking for regular-expression headers... $ECHO_C" >&6
 if test "${cf_cv_regex_hdrs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16099,7 +16103,7 @@
 	for cf_regex_hdr in regexp.h regexpr.h
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 16102 "configure"
+#line 16106 "configure"
 #include "confdefs.h"
 #include <$cf_regex_hdr>
 int
@@ -16114,16 +16118,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16117: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16121: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16120: \$? = $ac_status" >&5
+  echo "$as_me:16124: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16123: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16127: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16126: \$? = $ac_status" >&5
+  echo "$as_me:16130: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 			cf_cv_regex_hdrs=$cf_regex_hdr
@@ -16140,7 +16144,7 @@
 	for cf_regex_hdr in regex.h
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 16143 "configure"
+#line 16147 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$cf_regex_hdr>
@@ -16158,16 +16162,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16161: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16165: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16164: \$? = $ac_status" >&5
+  echo "$as_me:16168: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16167: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16171: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16170: \$? = $ac_status" >&5
+  echo "$as_me:16174: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 			cf_cv_regex_hdrs=$cf_regex_hdr
@@ -16183,11 +16187,11 @@
 esac
 
 fi
-echo "$as_me:16186: result: $cf_cv_regex_hdrs" >&5
+echo "$as_me:16190: result: $cf_cv_regex_hdrs" >&5
 echo "${ECHO_T}$cf_cv_regex_hdrs" >&6
 
 case $cf_cv_regex_hdrs in
-	(no)		{ echo "$as_me:16190: WARNING: no regular expression header found" >&5
+	(no)		{ echo "$as_me:16194: WARNING: no regular expression header found" >&5
 echo "$as_me: WARNING: no regular expression header found" >&2;} ;;
 	(regex.h)
 cat >>confdefs.h <<\EOF
@@ -16226,23 +16230,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:16229: checking for $ac_header" >&5
+echo "$as_me:16233: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16235 "configure"
+#line 16239 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:16239: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16243: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16245: \$? = $ac_status" >&5
+  echo "$as_me:16249: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16261,7 +16265,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16264: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:16268: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16274,23 +16278,23 @@
 for ac_header in unistd.h getopt.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:16277: checking for $ac_header" >&5
+echo "$as_me:16281: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16283 "configure"
+#line 16287 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:16287: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16291: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16293: \$? = $ac_status" >&5
+  echo "$as_me:16297: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16309,7 +16313,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16312: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:16316: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16319,7 +16323,7 @@
 fi
 done
 
-echo "$as_me:16322: checking for header declaring getopt variables" >&5
+echo "$as_me:16326: checking for header declaring getopt variables" >&5
 echo $ECHO_N "checking for header declaring getopt variables... $ECHO_C" >&6
 if test "${cf_cv_getopt_header+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16329,7 +16333,7 @@
 for cf_header in stdio.h stdlib.h unistd.h getopt.h
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 16332 "configure"
+#line 16336 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -16342,16 +16346,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16345: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16349: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16348: \$? = $ac_status" >&5
+  echo "$as_me:16352: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16351: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16355: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16354: \$? = $ac_status" >&5
+  echo "$as_me:16358: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_getopt_header=$cf_header
  break
@@ -16363,7 +16367,7 @@
 done
 
 fi
-echo "$as_me:16366: result: $cf_cv_getopt_header" >&5
+echo "$as_me:16370: result: $cf_cv_getopt_header" >&5
 echo "${ECHO_T}$cf_cv_getopt_header" >&6
 if test $cf_cv_getopt_header != none ; then
 
@@ -16384,7 +16388,7 @@
 # Note: even non-Posix ISC needs <sys/bsdtypes.h> to declare fd_set
 if test "x$ISC" = xyes ; then
 
-echo "$as_me:16387: checking for main in -lcposix" >&5
+echo "$as_me:16391: checking for main in -lcposix" >&5
 echo $ECHO_N "checking for main in -lcposix... $ECHO_C" >&6
 if test "${ac_cv_lib_cposix_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16392,7 +16396,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcposix  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 16395 "configure"
+#line 16399 "configure"
 #include "confdefs.h"
 
 int
@@ -16404,16 +16408,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16407: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16411: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16410: \$? = $ac_status" >&5
+  echo "$as_me:16414: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16413: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16417: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16416: \$? = $ac_status" >&5
+  echo "$as_me:16420: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_cposix_main=yes
 else
@@ -16424,7 +16428,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:16427: result: $ac_cv_lib_cposix_main" >&5
+echo "$as_me:16431: result: $ac_cv_lib_cposix_main" >&5
 echo "${ECHO_T}$ac_cv_lib_cposix_main" >&6
 if test $ac_cv_lib_cposix_main = yes; then
   cat >>confdefs.h <<EOF
@@ -16435,7 +16439,7 @@
 
 fi
 
-	echo "$as_me:16438: checking for bzero in -linet" >&5
+	echo "$as_me:16442: checking for bzero in -linet" >&5
 echo $ECHO_N "checking for bzero in -linet... $ECHO_C" >&6
 if test "${ac_cv_lib_inet_bzero+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16443,7 +16447,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-linet  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 16446 "configure"
+#line 16450 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -16462,16 +16466,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16465: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16469: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16468: \$? = $ac_status" >&5
+  echo "$as_me:16472: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16471: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16475: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16474: \$? = $ac_status" >&5
+  echo "$as_me:16478: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_inet_bzero=yes
 else
@@ -16482,7 +16486,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:16485: result: $ac_cv_lib_inet_bzero" >&5
+echo "$as_me:16489: result: $ac_cv_lib_inet_bzero" >&5
 echo "${ECHO_T}$ac_cv_lib_inet_bzero" >&6
 if test $ac_cv_lib_inet_bzero = yes; then
 
@@ -16505,14 +16509,14 @@
 fi
 fi
 
-echo "$as_me:16508: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:16512: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16515 "configure"
+#line 16519 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16532,16 +16536,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16535: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16539: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16538: \$? = $ac_status" >&5
+  echo "$as_me:16542: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16541: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16545: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16544: \$? = $ac_status" >&5
+  echo "$as_me:16548: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -16553,7 +16557,7 @@
 
 fi
 
-echo "$as_me:16556: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:16560: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
@@ -16568,13 +16572,13 @@
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 ac_main_return=return
 
-echo "$as_me:16571: checking for an ANSI C-conforming const" >&5
+echo "$as_me:16575: checking for an ANSI C-conforming const" >&5
 echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
 if test "${ac_cv_c_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16577 "configure"
+#line 16581 "configure"
 #include "confdefs.h"
 
 int
@@ -16632,16 +16636,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16635: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16639: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16638: \$? = $ac_status" >&5
+  echo "$as_me:16642: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16641: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16645: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16644: \$? = $ac_status" >&5
+  echo "$as_me:16648: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_c_const=yes
 else
@@ -16651,7 +16655,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16654: result: $ac_cv_c_const" >&5
+echo "$as_me:16658: result: $ac_cv_c_const" >&5
 echo "${ECHO_T}$ac_cv_c_const" >&6
 if test $ac_cv_c_const = no; then
 
@@ -16661,7 +16665,7 @@
 
 fi
 
-echo "$as_me:16664: checking for inline" >&5
+echo "$as_me:16668: checking for inline" >&5
 echo $ECHO_N "checking for inline... $ECHO_C" >&6
 if test "${ac_cv_c_inline+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16669,7 +16673,7 @@
   ac_cv_c_inline=no
 for ac_kw in inline __inline__ __inline; do
   cat >conftest.$ac_ext <<_ACEOF
-#line 16672 "configure"
+#line 16676 "configure"
 #include "confdefs.h"
 #ifndef __cplusplus
 static $ac_kw int static_foo () {return 0; }
@@ -16678,16 +16682,16 @@
 
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16681: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16685: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16684: \$? = $ac_status" >&5
+  echo "$as_me:16688: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16687: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16691: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16690: \$? = $ac_status" >&5
+  echo "$as_me:16694: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_c_inline=$ac_kw; break
 else
@@ -16698,7 +16702,7 @@
 done
 
 fi
-echo "$as_me:16701: result: $ac_cv_c_inline" >&5
+echo "$as_me:16705: result: $ac_cv_c_inline" >&5
 echo "${ECHO_T}$ac_cv_c_inline" >&6
 case $ac_cv_c_inline in
   inline | yes) ;;
@@ -16724,7 +16728,7 @@
 		:
 	elif test "$GCC" = yes
 	then
-		echo "$as_me:16727: checking if $CC supports options to tune inlining" >&5
+		echo "$as_me:16731: checking if $CC supports options to tune inlining" >&5
 echo $ECHO_N "checking if $CC supports options to tune inlining... $ECHO_C" >&6
 if test "${cf_cv_gcc_inline+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16733,7 +16737,7 @@
 		cf_save_CFLAGS=$CFLAGS
 		CFLAGS="$CFLAGS --param max-inline-insns-single=1200"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 16736 "configure"
+#line 16740 "configure"
 #include "confdefs.h"
 inline int foo(void) { return 1; }
 int
@@ -16745,16 +16749,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16748: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16752: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16751: \$? = $ac_status" >&5
+  echo "$as_me:16755: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16754: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16758: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16757: \$? = $ac_status" >&5
+  echo "$as_me:16761: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_gcc_inline=yes
 else
@@ -16766,7 +16770,7 @@
 		CFLAGS=$cf_save_CFLAGS
 
 fi
-echo "$as_me:16769: result: $cf_cv_gcc_inline" >&5
+echo "$as_me:16773: result: $cf_cv_gcc_inline" >&5
 echo "${ECHO_T}$cf_cv_gcc_inline" >&6
 		if test "$cf_cv_gcc_inline" = yes ; then
 
@@ -16872,7 +16876,7 @@
 	fi
 fi
 
-echo "$as_me:16875: checking for signal global datatype" >&5
+echo "$as_me:16879: checking for signal global datatype" >&5
 echo $ECHO_N "checking for signal global datatype... $ECHO_C" >&6
 if test "${cf_cv_sig_atomic_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16884,7 +16888,7 @@
 		"int"
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16887 "configure"
+#line 16891 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16907,16 +16911,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16910: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16914: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16913: \$? = $ac_status" >&5
+  echo "$as_me:16917: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16916: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16920: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16919: \$? = $ac_status" >&5
+  echo "$as_me:16923: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sig_atomic_t=$cf_type
 else
@@ -16930,7 +16934,7 @@
 
 fi
 
-echo "$as_me:16933: result: $cf_cv_sig_atomic_t" >&5
+echo "$as_me:16937: result: $cf_cv_sig_atomic_t" >&5
 echo "${ECHO_T}$cf_cv_sig_atomic_t" >&6
 test "$cf_cv_sig_atomic_t" != no &&
 cat >>confdefs.h <<EOF
@@ -16939,7 +16943,7 @@
 
 if test $NCURSES_CHTYPE = auto ; then
 
-echo "$as_me:16942: checking for type of chtype" >&5
+echo "$as_me:16946: checking for type of chtype" >&5
 echo $ECHO_N "checking for type of chtype... $ECHO_C" >&6
 if test "${cf_cv_typeof_chtype+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16949,7 +16953,7 @@
   cf_cv_typeof_chtype=long
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16952 "configure"
+#line 16956 "configure"
 #include "confdefs.h"
 
 #define WANT_BITS 31
@@ -16984,15 +16988,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16987: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16991: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16990: \$? = $ac_status" >&5
+  echo "$as_me:16994: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16992: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16996: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16995: \$? = $ac_status" >&5
+  echo "$as_me:16999: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_typeof_chtype=`cat cf_test.out`
 else
@@ -17007,7 +17011,7 @@
 
 fi
 
-echo "$as_me:17010: result: $cf_cv_typeof_chtype" >&5
+echo "$as_me:17014: result: $cf_cv_typeof_chtype" >&5
 echo "${ECHO_T}$cf_cv_typeof_chtype" >&6
 
 cat >>confdefs.h <<EOF
@@ -17019,14 +17023,14 @@
 fi
 test "$cf_cv_typeof_chtype" = unsigned && cf_cv_typeof_chtype=""
 
-echo "$as_me:17022: checking if unsigned literals are legal" >&5
+echo "$as_me:17026: checking if unsigned literals are legal" >&5
 echo $ECHO_N "checking if unsigned literals are legal... $ECHO_C" >&6
 if test "${cf_cv_unsigned_literals+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17029 "configure"
+#line 17033 "configure"
 #include "confdefs.h"
 
 int
@@ -17038,16 +17042,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17041: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17045: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17044: \$? = $ac_status" >&5
+  echo "$as_me:17048: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17047: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17051: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17050: \$? = $ac_status" >&5
+  echo "$as_me:17054: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_unsigned_literals=yes
 else
@@ -17059,7 +17063,7 @@
 
 fi
 
-echo "$as_me:17062: result: $cf_cv_unsigned_literals" >&5
+echo "$as_me:17066: result: $cf_cv_unsigned_literals" >&5
 echo "${ECHO_T}$cf_cv_unsigned_literals" >&6
 
 cf_cv_1UL="1"
@@ -17075,14 +17079,14 @@
 
 ###	Checks for external-data
 
-echo "$as_me:17078: checking if external errno is declared" >&5
+echo "$as_me:17082: checking if external errno is declared" >&5
 echo $ECHO_N "checking if external errno is declared... $ECHO_C" >&6
 if test "${cf_cv_dcl_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17085 "configure"
+#line 17089 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_STDLIB_H
@@ -17100,16 +17104,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17103: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17107: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17106: \$? = $ac_status" >&5
+  echo "$as_me:17110: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17109: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17113: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17112: \$? = $ac_status" >&5
+  echo "$as_me:17116: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_dcl_errno=yes
 else
@@ -17120,7 +17124,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:17123: result: $cf_cv_dcl_errno" >&5
+echo "$as_me:17127: result: $cf_cv_dcl_errno" >&5
 echo "${ECHO_T}$cf_cv_dcl_errno" >&6
 
 if test "$cf_cv_dcl_errno" = no ; then
@@ -17135,14 +17139,14 @@
 
 # It's possible (for near-UNIX clones) that the data doesn't exist
 
-echo "$as_me:17138: checking if external errno exists" >&5
+echo "$as_me:17142: checking if external errno exists" >&5
 echo $ECHO_N "checking if external errno exists... $ECHO_C" >&6
 if test "${cf_cv_have_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17145 "configure"
+#line 17149 "configure"
 #include "confdefs.h"
 
 #undef errno
@@ -17157,16 +17161,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17160: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17164: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17163: \$? = $ac_status" >&5
+  echo "$as_me:17167: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17166: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17170: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17169: \$? = $ac_status" >&5
+  echo "$as_me:17173: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_errno=yes
 else
@@ -17177,7 +17181,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:17180: result: $cf_cv_have_errno" >&5
+echo "$as_me:17184: result: $cf_cv_have_errno" >&5
 echo "${ECHO_T}$cf_cv_have_errno" >&6
 
 if test "$cf_cv_have_errno" = yes ; then
@@ -17190,7 +17194,7 @@
 
 fi
 
-echo "$as_me:17193: checking if data-only library module links" >&5
+echo "$as_me:17197: checking if data-only library module links" >&5
 echo $ECHO_N "checking if data-only library module links... $ECHO_C" >&6
 if test "${cf_cv_link_dataonly+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17198,20 +17202,20 @@
 
 	rm -f conftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 17201 "configure"
+#line 17205 "configure"
 int	testdata[3] = { 123, 456, 789 };
 EOF
-	if { (eval echo "$as_me:17204: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:17208: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17207: \$? = $ac_status" >&5
+  echo "$as_me:17211: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		mv conftest.o data.o && \
 		( $AR $ARFLAGS conftest.a data.o ) 2>&5 1>/dev/null
 	fi
 	rm -f conftest.$ac_ext data.o
 	cat >conftest.$ac_ext <<EOF
-#line 17214 "configure"
+#line 17218 "configure"
 int	testfunc()
 {
 #if defined(NeXT)
@@ -17224,10 +17228,10 @@
 #endif
 }
 EOF
-	if { (eval echo "$as_me:17227: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:17231: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17230: \$? = $ac_status" >&5
+  echo "$as_me:17234: \$? = $ac_status" >&5
   (exit $ac_status); }; then
 		mv conftest.o func.o && \
 		( $AR $ARFLAGS conftest.a func.o ) 2>&5 1>/dev/null
@@ -17240,7 +17244,7 @@
   cf_cv_link_dataonly=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17243 "configure"
+#line 17247 "configure"
 #include "confdefs.h"
 
 	int main(void)
@@ -17251,15 +17255,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17254: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17258: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17257: \$? = $ac_status" >&5
+  echo "$as_me:17261: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17259: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17263: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17262: \$? = $ac_status" >&5
+  echo "$as_me:17266: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_link_dataonly=yes
 else
@@ -17274,7 +17278,7 @@
 
 fi
 
-echo "$as_me:17277: result: $cf_cv_link_dataonly" >&5
+echo "$as_me:17281: result: $cf_cv_link_dataonly" >&5
 echo "${ECHO_T}$cf_cv_link_dataonly" >&6
 
 if test "$cf_cv_link_dataonly" = no ; then
@@ -17313,13 +17317,13 @@
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:17316: checking for $ac_func" >&5
+echo "$as_me:17320: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17322 "configure"
+#line 17326 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -17350,16 +17354,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17353: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17357: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17356: \$? = $ac_status" >&5
+  echo "$as_me:17360: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17359: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17363: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17362: \$? = $ac_status" >&5
+  echo "$as_me:17366: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -17369,7 +17373,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17372: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:17376: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17381,21 +17385,21 @@
 
 if test "x$ac_cv_func_getopt" = xno && \
    test "x$cf_with_progs$cf_with_tests" != xnono; then
-	{ { echo "$as_me:17384: error: getopt is required for building programs" >&5
+	{ { echo "$as_me:17388: error: getopt is required for building programs" >&5
 echo "$as_me: error: getopt is required for building programs" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 if test "x$with_getcap" = "xyes" ; then
 
-echo "$as_me:17391: checking for terminal-capability database functions" >&5
+echo "$as_me:17395: checking for terminal-capability database functions" >&5
 echo $ECHO_N "checking for terminal-capability database functions... $ECHO_C" >&6
 if test "${cf_cv_cgetent+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17398 "configure"
+#line 17402 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -17415,16 +17419,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17418: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17422: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17421: \$? = $ac_status" >&5
+  echo "$as_me:17425: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17424: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17428: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17427: \$? = $ac_status" >&5
+  echo "$as_me:17431: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent=yes
 else
@@ -17435,7 +17439,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:17438: result: $cf_cv_cgetent" >&5
+echo "$as_me:17442: result: $cf_cv_cgetent" >&5
 echo "${ECHO_T}$cf_cv_cgetent" >&6
 
 if test "$cf_cv_cgetent" = yes
@@ -17445,14 +17449,14 @@
 #define HAVE_BSD_CGETENT 1
 EOF
 
-echo "$as_me:17448: checking if cgetent uses const parameter" >&5
+echo "$as_me:17452: checking if cgetent uses const parameter" >&5
 echo $ECHO_N "checking if cgetent uses const parameter... $ECHO_C" >&6
 if test "${cf_cv_cgetent_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17455 "configure"
+#line 17459 "configure"
 #include "confdefs.h"
 
 #pragma GCC diagnostic error "-Wincompatible-pointer-types-discards-qualifiers"
@@ -17475,16 +17479,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17478: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17482: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17481: \$? = $ac_status" >&5
+  echo "$as_me:17485: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17484: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17488: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17487: \$? = $ac_status" >&5
+  echo "$as_me:17491: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent_const=yes
 else
@@ -17495,7 +17499,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:17498: result: $cf_cv_cgetent_const" >&5
+echo "$as_me:17502: result: $cf_cv_cgetent_const" >&5
 echo "${ECHO_T}$cf_cv_cgetent_const" >&6
 	if test "$cf_cv_cgetent_const" = yes
 	then
@@ -17509,14 +17513,14 @@
 
 fi
 
-echo "$as_me:17512: checking for isascii" >&5
+echo "$as_me:17516: checking for isascii" >&5
 echo $ECHO_N "checking for isascii... $ECHO_C" >&6
 if test "${cf_cv_have_isascii+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17519 "configure"
+#line 17523 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 int
@@ -17528,16 +17532,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17531: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17535: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17534: \$? = $ac_status" >&5
+  echo "$as_me:17538: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17537: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17541: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17540: \$? = $ac_status" >&5
+  echo "$as_me:17544: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_isascii=yes
 else
@@ -17548,7 +17552,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:17551: result: $cf_cv_have_isascii" >&5
+echo "$as_me:17555: result: $cf_cv_have_isascii" >&5
 echo "${ECHO_T}$cf_cv_have_isascii" >&6
 test "$cf_cv_have_isascii" = yes &&
 cat >>confdefs.h <<\EOF
@@ -17556,10 +17560,10 @@
 EOF
 
 if test "$ac_cv_func_sigaction" = yes; then
-echo "$as_me:17559: checking whether sigaction needs _POSIX_SOURCE" >&5
+echo "$as_me:17563: checking whether sigaction needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether sigaction needs _POSIX_SOURCE... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 17562 "configure"
+#line 17566 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -17573,16 +17577,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17576: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17580: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17579: \$? = $ac_status" >&5
+  echo "$as_me:17583: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17582: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17586: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17585: \$? = $ac_status" >&5
+  echo "$as_me:17589: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=no
 else
@@ -17590,7 +17594,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17593 "configure"
+#line 17597 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -17605,16 +17609,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17608: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17612: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17611: \$? = $ac_status" >&5
+  echo "$as_me:17615: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17614: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17618: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17617: \$? = $ac_status" >&5
+  echo "$as_me:17621: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=yes
 
@@ -17630,11 +17634,11 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:17633: result: $sigact_bad" >&5
+echo "$as_me:17637: result: $sigact_bad" >&5
 echo "${ECHO_T}$sigact_bad" >&6
 fi
 
-echo "$as_me:17637: checking if nanosleep really works" >&5
+echo "$as_me:17641: checking if nanosleep really works" >&5
 echo $ECHO_N "checking if nanosleep really works... $ECHO_C" >&6
 if test "${cf_cv_func_nanosleep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17644,7 +17648,7 @@
   cf_cv_func_nanosleep=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17647 "configure"
+#line 17651 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -17669,15 +17673,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17672: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17676: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17675: \$? = $ac_status" >&5
+  echo "$as_me:17679: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17677: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17681: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17680: \$? = $ac_status" >&5
+  echo "$as_me:17684: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_nanosleep=yes
 else
@@ -17689,7 +17693,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17692: result: $cf_cv_func_nanosleep" >&5
+echo "$as_me:17696: result: $cf_cv_func_nanosleep" >&5
 echo "${ECHO_T}$cf_cv_func_nanosleep" >&6
 
 test "$cf_cv_func_nanosleep" = "yes" &&
@@ -17704,23 +17708,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:17707: checking for $ac_header" >&5
+echo "$as_me:17711: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17713 "configure"
+#line 17717 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:17717: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17721: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17723: \$? = $ac_status" >&5
+  echo "$as_me:17727: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17739,7 +17743,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17742: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:17746: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17754,23 +17758,23 @@
 for ac_header in sys/termio.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:17757: checking for $ac_header" >&5
+echo "$as_me:17761: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17763 "configure"
+#line 17767 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:17767: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17771: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17773: \$? = $ac_status" >&5
+  echo "$as_me:17777: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17789,7 +17793,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17792: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:17796: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17807,10 +17811,10 @@
 	(*)	termios_bad=maybe ;;
 	esac
 	if test "$termios_bad" = maybe ; then
-	echo "$as_me:17810: checking whether termios.h needs _POSIX_SOURCE" >&5
+	echo "$as_me:17814: checking whether termios.h needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether termios.h needs _POSIX_SOURCE... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17813 "configure"
+#line 17817 "configure"
 #include "confdefs.h"
 #include <termios.h>
 int
@@ -17822,16 +17826,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17825: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17829: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17828: \$? = $ac_status" >&5
+  echo "$as_me:17832: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17831: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17835: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17834: \$? = $ac_status" >&5
+  echo "$as_me:17838: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=no
 else
@@ -17839,7 +17843,7 @@
 cat conftest.$ac_ext >&5
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 17842 "configure"
+#line 17846 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -17853,16 +17857,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17856: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17860: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17859: \$? = $ac_status" >&5
+  echo "$as_me:17863: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17862: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17866: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17865: \$? = $ac_status" >&5
+  echo "$as_me:17869: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=unknown
 else
@@ -17878,19 +17882,19 @@
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:17881: result: $termios_bad" >&5
+	echo "$as_me:17885: result: $termios_bad" >&5
 echo "${ECHO_T}$termios_bad" >&6
 	fi
 fi
 
-echo "$as_me:17886: checking for tcgetattr" >&5
+echo "$as_me:17890: checking for tcgetattr" >&5
 echo $ECHO_N "checking for tcgetattr... $ECHO_C" >&6
 if test "${cf_cv_have_tcgetattr+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17893 "configure"
+#line 17897 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -17918,16 +17922,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17921: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17925: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17924: \$? = $ac_status" >&5
+  echo "$as_me:17928: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17927: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17931: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17930: \$? = $ac_status" >&5
+  echo "$as_me:17934: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_tcgetattr=yes
 else
@@ -17937,21 +17941,21 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17940: result: $cf_cv_have_tcgetattr" >&5
+echo "$as_me:17944: result: $cf_cv_have_tcgetattr" >&5
 echo "${ECHO_T}$cf_cv_have_tcgetattr" >&6
 test "$cf_cv_have_tcgetattr" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TCGETATTR 1
 EOF
 
-echo "$as_me:17947: checking for vsscanf function or workaround" >&5
+echo "$as_me:17951: checking for vsscanf function or workaround" >&5
 echo $ECHO_N "checking for vsscanf function or workaround... $ECHO_C" >&6
 if test "${cf_cv_func_vsscanf+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17954 "configure"
+#line 17958 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -17967,16 +17971,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17970: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17974: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17973: \$? = $ac_status" >&5
+  echo "$as_me:17977: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17976: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17980: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17979: \$? = $ac_status" >&5
+  echo "$as_me:17983: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vsscanf
 else
@@ -17984,7 +17988,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17987 "configure"
+#line 17991 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -18006,16 +18010,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18009: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18013: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18012: \$? = $ac_status" >&5
+  echo "$as_me:18016: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18015: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18019: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18018: \$? = $ac_status" >&5
+  echo "$as_me:18022: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vfscanf
 else
@@ -18023,7 +18027,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18026 "configure"
+#line 18030 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -18045,16 +18049,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18048: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18052: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18051: \$? = $ac_status" >&5
+  echo "$as_me:18055: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18054: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18058: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18057: \$? = $ac_status" >&5
+  echo "$as_me:18061: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=_doscan
 else
@@ -18069,7 +18073,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:18072: result: $cf_cv_func_vsscanf" >&5
+echo "$as_me:18076: result: $cf_cv_func_vsscanf" >&5
 echo "${ECHO_T}$cf_cv_func_vsscanf" >&6
 
 case $cf_cv_func_vsscanf in
@@ -18095,23 +18099,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:18098: checking for $ac_header" >&5
+echo "$as_me:18102: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18104 "configure"
+#line 18108 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:18108: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18112: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18114: \$? = $ac_status" >&5
+  echo "$as_me:18118: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -18130,7 +18134,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18133: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:18137: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -18140,7 +18144,7 @@
 fi
 done
 
-echo "$as_me:18143: checking for working mkstemp" >&5
+echo "$as_me:18147: checking for working mkstemp" >&5
 echo $ECHO_N "checking for working mkstemp... $ECHO_C" >&6
 if test "${cf_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18151,7 +18155,7 @@
   cf_cv_func_mkstemp=maybe
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18154 "configure"
+#line 18158 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -18192,15 +18196,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18195: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18199: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18198: \$? = $ac_status" >&5
+  echo "$as_me:18202: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18200: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18204: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18203: \$? = $ac_status" >&5
+  echo "$as_me:18207: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_mkstemp=yes
 
@@ -18215,16 +18219,16 @@
 fi
 
 fi
-echo "$as_me:18218: result: $cf_cv_func_mkstemp" >&5
+echo "$as_me:18222: result: $cf_cv_func_mkstemp" >&5
 echo "${ECHO_T}$cf_cv_func_mkstemp" >&6
 if test "x$cf_cv_func_mkstemp" = xmaybe ; then
-	echo "$as_me:18221: checking for mkstemp" >&5
+	echo "$as_me:18225: checking for mkstemp" >&5
 echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
 if test "${ac_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18227 "configure"
+#line 18231 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char mkstemp (); below.  */
@@ -18255,16 +18259,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18258: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18262: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18261: \$? = $ac_status" >&5
+  echo "$as_me:18265: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18264: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18268: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18267: \$? = $ac_status" >&5
+  echo "$as_me:18271: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_mkstemp=yes
 else
@@ -18274,7 +18278,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:18277: result: $ac_cv_func_mkstemp" >&5
+echo "$as_me:18281: result: $ac_cv_func_mkstemp" >&5
 echo "${ECHO_T}$ac_cv_func_mkstemp" >&6
 
 fi
@@ -18295,21 +18299,21 @@
 fi
 
 if test "x$cross_compiling" = xyes ; then
-	{ echo "$as_me:18298: WARNING: cross compiling: assume setvbuf params not reversed" >&5
+	{ echo "$as_me:18302: WARNING: cross compiling: assume setvbuf params not reversed" >&5
 echo "$as_me: WARNING: cross compiling: assume setvbuf params not reversed" >&2;}
 else
-	echo "$as_me:18301: checking whether setvbuf arguments are reversed" >&5
+	echo "$as_me:18305: checking whether setvbuf arguments are reversed" >&5
 echo $ECHO_N "checking whether setvbuf arguments are reversed... $ECHO_C" >&6
 if test "${ac_cv_func_setvbuf_reversed+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:18307: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:18311: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18312 "configure"
+#line 18316 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 /* If setvbuf has the reversed format, exit 0. */
@@ -18326,15 +18330,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18329: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18333: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18332: \$? = $ac_status" >&5
+  echo "$as_me:18336: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18334: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18338: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18337: \$? = $ac_status" >&5
+  echo "$as_me:18341: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_setvbuf_reversed=yes
 else
@@ -18347,7 +18351,7 @@
 fi
 rm -f core core.* *.core
 fi
-echo "$as_me:18350: result: $ac_cv_func_setvbuf_reversed" >&5
+echo "$as_me:18354: result: $ac_cv_func_setvbuf_reversed" >&5
 echo "${ECHO_T}$ac_cv_func_setvbuf_reversed" >&6
 if test $ac_cv_func_setvbuf_reversed = yes; then
 
@@ -18358,13 +18362,13 @@
 fi
 
 fi
-echo "$as_me:18361: checking for intptr_t" >&5
+echo "$as_me:18365: checking for intptr_t" >&5
 echo $ECHO_N "checking for intptr_t... $ECHO_C" >&6
 if test "${ac_cv_type_intptr_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18367 "configure"
+#line 18371 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -18379,16 +18383,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18382: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18386: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18385: \$? = $ac_status" >&5
+  echo "$as_me:18389: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18388: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18392: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18391: \$? = $ac_status" >&5
+  echo "$as_me:18395: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_intptr_t=yes
 else
@@ -18398,7 +18402,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:18401: result: $ac_cv_type_intptr_t" >&5
+echo "$as_me:18405: result: $ac_cv_type_intptr_t" >&5
 echo "${ECHO_T}$ac_cv_type_intptr_t" >&6
 if test $ac_cv_type_intptr_t = yes; then
   :
@@ -18410,13 +18414,13 @@
 
 fi
 
-echo "$as_me:18413: checking for ssize_t" >&5
+echo "$as_me:18417: checking for ssize_t" >&5
 echo $ECHO_N "checking for ssize_t... $ECHO_C" >&6
 if test "${ac_cv_type_ssize_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18419 "configure"
+#line 18423 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -18431,16 +18435,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18434: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18438: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18437: \$? = $ac_status" >&5
+  echo "$as_me:18441: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18440: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18444: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18443: \$? = $ac_status" >&5
+  echo "$as_me:18447: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_ssize_t=yes
 else
@@ -18450,7 +18454,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:18453: result: $ac_cv_type_ssize_t" >&5
+echo "$as_me:18457: result: $ac_cv_type_ssize_t" >&5
 echo "${ECHO_T}$ac_cv_type_ssize_t" >&6
 if test $ac_cv_type_ssize_t = yes; then
   :
@@ -18462,14 +18466,14 @@
 
 fi
 
-echo "$as_me:18465: checking for type sigaction_t" >&5
+echo "$as_me:18469: checking for type sigaction_t" >&5
 echo $ECHO_N "checking for type sigaction_t... $ECHO_C" >&6
 if test "${cf_cv_type_sigaction+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18472 "configure"
+#line 18476 "configure"
 #include "confdefs.h"
 
 #include <signal.h>
@@ -18482,16 +18486,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18485: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18489: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18488: \$? = $ac_status" >&5
+  echo "$as_me:18492: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18491: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18495: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18494: \$? = $ac_status" >&5
+  echo "$as_me:18498: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_sigaction=yes
 else
@@ -18502,14 +18506,14 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-echo "$as_me:18505: result: $cf_cv_type_sigaction" >&5
+echo "$as_me:18509: result: $cf_cv_type_sigaction" >&5
 echo "${ECHO_T}$cf_cv_type_sigaction" >&6
 test "$cf_cv_type_sigaction" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TYPE_SIGACTION 1
 EOF
 
-echo "$as_me:18512: checking declaration of size-change" >&5
+echo "$as_me:18516: checking declaration of size-change" >&5
 echo $ECHO_N "checking declaration of size-change... $ECHO_C" >&6
 if test "${cf_cv_sizechange+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18524,7 +18528,7 @@
 	CPPFLAGS="$cf_save_CPPFLAGS"
 	test -n "$cf_opts" && CPPFLAGS="$CPPFLAGS -D$cf_opts"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18527 "configure"
+#line 18531 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #ifdef HAVE_TERMIOS_H
@@ -18568,16 +18572,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18571: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18575: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18574: \$? = $ac_status" >&5
+  echo "$as_me:18578: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18577: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18581: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18580: \$? = $ac_status" >&5
+  echo "$as_me:18584: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sizechange=yes
 else
@@ -18596,7 +18600,7 @@
 done
 
 fi
-echo "$as_me:18599: result: $cf_cv_sizechange" >&5
+echo "$as_me:18603: result: $cf_cv_sizechange" >&5
 echo "${ECHO_T}$cf_cv_sizechange" >&6
 if test "$cf_cv_sizechange" != no ; then
 
@@ -18614,13 +18618,13 @@
 	esac
 fi
 
-echo "$as_me:18617: checking for memmove" >&5
+echo "$as_me:18621: checking for memmove" >&5
 echo $ECHO_N "checking for memmove... $ECHO_C" >&6
 if test "${ac_cv_func_memmove+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18623 "configure"
+#line 18627 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char memmove (); below.  */
@@ -18651,16 +18655,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18654: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18658: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18657: \$? = $ac_status" >&5
+  echo "$as_me:18661: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18660: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18664: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18663: \$? = $ac_status" >&5
+  echo "$as_me:18667: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_memmove=yes
 else
@@ -18670,19 +18674,19 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:18673: result: $ac_cv_func_memmove" >&5
+echo "$as_me:18677: result: $ac_cv_func_memmove" >&5
 echo "${ECHO_T}$ac_cv_func_memmove" >&6
 if test $ac_cv_func_memmove = yes; then
   :
 else
 
-echo "$as_me:18679: checking for bcopy" >&5
+echo "$as_me:18683: checking for bcopy" >&5
 echo $ECHO_N "checking for bcopy... $ECHO_C" >&6
 if test "${ac_cv_func_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18685 "configure"
+#line 18689 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char bcopy (); below.  */
@@ -18713,16 +18717,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18716: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18720: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18719: \$? = $ac_status" >&5
+  echo "$as_me:18723: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18722: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18726: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18725: \$? = $ac_status" >&5
+  echo "$as_me:18729: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_bcopy=yes
 else
@@ -18732,11 +18736,11 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:18735: result: $ac_cv_func_bcopy" >&5
+echo "$as_me:18739: result: $ac_cv_func_bcopy" >&5
 echo "${ECHO_T}$ac_cv_func_bcopy" >&6
 if test $ac_cv_func_bcopy = yes; then
 
-	echo "$as_me:18739: checking if bcopy does overlapping moves" >&5
+	echo "$as_me:18743: checking if bcopy does overlapping moves" >&5
 echo $ECHO_N "checking if bcopy does overlapping moves... $ECHO_C" >&6
 if test "${cf_cv_good_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18746,7 +18750,7 @@
   cf_cv_good_bcopy=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18749 "configure"
+#line 18753 "configure"
 #include "confdefs.h"
 
 int main(void) {
@@ -18760,15 +18764,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18763: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18767: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18766: \$? = $ac_status" >&5
+  echo "$as_me:18770: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18768: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18772: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18771: \$? = $ac_status" >&5
+  echo "$as_me:18775: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_good_bcopy=yes
 else
@@ -18781,7 +18785,7 @@
 fi
 
 fi
-echo "$as_me:18784: result: $cf_cv_good_bcopy" >&5
+echo "$as_me:18788: result: $cf_cv_good_bcopy" >&5
 echo "${ECHO_T}$cf_cv_good_bcopy" >&6
 
 else
@@ -18808,13 +18812,13 @@
 for ac_func in posix_openpt
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:18811: checking for $ac_func" >&5
+echo "$as_me:18815: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18817 "configure"
+#line 18821 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -18845,16 +18849,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18848: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18852: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18851: \$? = $ac_status" >&5
+  echo "$as_me:18855: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18854: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18858: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18857: \$? = $ac_status" >&5
+  echo "$as_me:18861: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -18864,7 +18868,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:18867: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:18871: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -18874,7 +18878,7 @@
 fi
 done
  }
-echo "$as_me:18877: checking if poll really works" >&5
+echo "$as_me:18881: checking if poll really works" >&5
 echo $ECHO_N "checking if poll really works... $ECHO_C" >&6
 if test "${cf_cv_working_poll+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18884,7 +18888,7 @@
   cf_cv_working_poll=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18887 "configure"
+#line 18891 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18936,15 +18940,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18939: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18943: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18942: \$? = $ac_status" >&5
+  echo "$as_me:18946: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18944: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18948: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18947: \$? = $ac_status" >&5
+  echo "$as_me:18951: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_working_poll=yes
 else
@@ -18956,21 +18960,21 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:18959: result: $cf_cv_working_poll" >&5
+echo "$as_me:18963: result: $cf_cv_working_poll" >&5
 echo "${ECHO_T}$cf_cv_working_poll" >&6
 test "$cf_cv_working_poll" = "yes" &&
 cat >>confdefs.h <<\EOF
 #define HAVE_WORKING_POLL 1
 EOF
 
-echo "$as_me:18966: checking for va_copy" >&5
+echo "$as_me:18970: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
 if test "${cf_cv_have_va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18973 "configure"
+#line 18977 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -18987,16 +18991,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18990: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18994: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18993: \$? = $ac_status" >&5
+  echo "$as_me:18997: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18996: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19000: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18999: \$? = $ac_status" >&5
+  echo "$as_me:19003: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_va_copy=yes
 else
@@ -19006,7 +19010,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:19009: result: $cf_cv_have_va_copy" >&5
+echo "$as_me:19013: result: $cf_cv_have_va_copy" >&5
 echo "${ECHO_T}$cf_cv_have_va_copy" >&6
 
 test "$cf_cv_have_va_copy" = yes &&
@@ -19014,14 +19018,14 @@
 #define HAVE_VA_COPY 1
 EOF
 
-echo "$as_me:19017: checking for __va_copy" >&5
+echo "$as_me:19021: checking for __va_copy" >&5
 echo $ECHO_N "checking for __va_copy... $ECHO_C" >&6
 if test "${cf_cv_have___va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 19024 "configure"
+#line 19028 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -19038,16 +19042,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19041: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19045: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19044: \$? = $ac_status" >&5
+  echo "$as_me:19048: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19047: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19051: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19050: \$? = $ac_status" >&5
+  echo "$as_me:19054: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have___va_copy=yes
 else
@@ -19057,7 +19061,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:19060: result: $cf_cv_have___va_copy" >&5
+echo "$as_me:19064: result: $cf_cv_have___va_copy" >&5
 echo "${ECHO_T}$cf_cv_have___va_copy" >&6
 
 test "$cf_cv_have___va_copy" = yes &&
@@ -19065,13 +19069,13 @@
 #define HAVE___VA_COPY 1
 EOF
 
-echo "$as_me:19068: checking for pid_t" >&5
+echo "$as_me:19072: checking for pid_t" >&5
 echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
 if test "${ac_cv_type_pid_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19074 "configure"
+#line 19078 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -19086,16 +19090,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19089: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19093: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19092: \$? = $ac_status" >&5
+  echo "$as_me:19096: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19095: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19099: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19098: \$? = $ac_status" >&5
+  echo "$as_me:19102: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_pid_t=yes
 else
@@ -19105,7 +19109,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:19108: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:19112: result: $ac_cv_type_pid_t" >&5
 echo "${ECHO_T}$ac_cv_type_pid_t" >&6
 if test $ac_cv_type_pid_t = yes; then
   :
@@ -19120,23 +19124,23 @@
 for ac_header in unistd.h vfork.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19123: checking for $ac_header" >&5
+echo "$as_me:19127: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19129 "configure"
+#line 19133 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19133: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19137: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19139: \$? = $ac_status" >&5
+  echo "$as_me:19143: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -19155,7 +19159,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19158: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19162: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19168,13 +19172,13 @@
 for ac_func in fork vfork
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:19171: checking for $ac_func" >&5
+echo "$as_me:19175: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19177 "configure"
+#line 19181 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -19205,16 +19209,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19208: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19212: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19211: \$? = $ac_status" >&5
+  echo "$as_me:19215: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19214: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19218: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19217: \$? = $ac_status" >&5
+  echo "$as_me:19221: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -19224,7 +19228,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:19227: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:19231: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19236,7 +19240,7 @@
 
 ac_cv_func_fork_works=$ac_cv_func_fork
 if test "x$ac_cv_func_fork" = xyes; then
-  echo "$as_me:19239: checking for working fork" >&5
+  echo "$as_me:19243: checking for working fork" >&5
 echo $ECHO_N "checking for working fork... $ECHO_C" >&6
 if test "${ac_cv_func_fork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19259,15 +19263,15 @@
       }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19262: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19266: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19265: \$? = $ac_status" >&5
+  echo "$as_me:19269: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19267: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19271: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19270: \$? = $ac_status" >&5
+  echo "$as_me:19274: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fork_works=yes
 else
@@ -19279,7 +19283,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:19282: result: $ac_cv_func_fork_works" >&5
+echo "$as_me:19286: result: $ac_cv_func_fork_works" >&5
 echo "${ECHO_T}$ac_cv_func_fork_works" >&6
 
 fi
@@ -19293,12 +19297,12 @@
       ac_cv_func_fork_works=yes
       ;;
   esac
-  { echo "$as_me:19296: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:19300: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&2;}
 fi
 ac_cv_func_vfork_works=$ac_cv_func_vfork
 if test "x$ac_cv_func_vfork" = xyes; then
-  echo "$as_me:19301: checking for working vfork" >&5
+  echo "$as_me:19305: checking for working vfork" >&5
 echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
 if test "${ac_cv_func_vfork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19307,7 +19311,7 @@
   ac_cv_func_vfork_works=cross
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19310 "configure"
+#line 19314 "configure"
 #include "confdefs.h"
 /* Thanks to Paul Eggert for this test.  */
 #include <stdio.h>
@@ -19404,15 +19408,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19407: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19411: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19410: \$? = $ac_status" >&5
+  echo "$as_me:19414: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19412: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19416: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19415: \$? = $ac_status" >&5
+  echo "$as_me:19419: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_vfork_works=yes
 else
@@ -19424,13 +19428,13 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:19427: result: $ac_cv_func_vfork_works" >&5
+echo "$as_me:19431: result: $ac_cv_func_vfork_works" >&5
 echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
 
 fi;
 if test "x$ac_cv_func_fork_works" = xcross; then
   ac_cv_func_vfork_works=ac_cv_func_vfork
-  { echo "$as_me:19433: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:19437: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&2;}
 fi
 
@@ -19457,7 +19461,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:19460: checking for openpty in -lutil" >&5
+echo "$as_me:19464: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19465,7 +19469,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 19468 "configure"
+#line 19472 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -19484,16 +19488,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19487: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19491: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19490: \$? = $ac_status" >&5
+  echo "$as_me:19494: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19493: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19497: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19496: \$? = $ac_status" >&5
+  echo "$as_me:19500: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -19504,7 +19508,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:19507: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:19511: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -19512,7 +19516,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:19515: checking for openpty header" >&5
+echo "$as_me:19519: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19539,7 +19543,7 @@
 	for cf_header in pty.h libutil.h util.h
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19542 "configure"
+#line 19546 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -19556,16 +19560,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19559: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19563: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19562: \$? = $ac_status" >&5
+  echo "$as_me:19566: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19565: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19569: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19568: \$? = $ac_status" >&5
+  echo "$as_me:19572: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		cf_cv_func_openpty=$cf_header
@@ -19583,7 +19587,7 @@
 	LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:19586: result: $cf_cv_func_openpty" >&5
+echo "$as_me:19590: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -19653,7 +19657,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 19656 "configure"
+#line 19660 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -19665,16 +19669,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19668: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19672: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19671: \$? = $ac_status" >&5
+  echo "$as_me:19675: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19674: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19678: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19677: \$? = $ac_status" >&5
+  echo "$as_me:19681: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -19691,7 +19695,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:19694: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:19698: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -19727,7 +19731,7 @@
 			if test "$cf_have_libdir" = no ; then
 				test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:19730: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:19734: testing adding $cf_add_libdir to library-path ..." 1>&5
 
 				LDFLAGS="-L$cf_add_libdir $LDFLAGS"
 			fi
@@ -19738,7 +19742,7 @@
 	else
 		case "$with_hashed_db" in
 		(./*|../*|/*)
-			{ echo "$as_me:19741: WARNING: no such directory $with_hashed_db" >&5
+			{ echo "$as_me:19745: WARNING: no such directory $with_hashed_db" >&5
 echo "$as_me: WARNING: no such directory $with_hashed_db" >&2;}
 			;;
 		(*)
@@ -19807,7 +19811,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 19810 "configure"
+#line 19814 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -19819,16 +19823,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19822: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19826: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19825: \$? = $ac_status" >&5
+  echo "$as_me:19829: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19828: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19832: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19831: \$? = $ac_status" >&5
+  echo "$as_me:19835: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -19845,7 +19849,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:19848: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:19852: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -19925,7 +19929,7 @@
 			if test "$cf_have_libdir" = no ; then
 				test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:19928: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:19932: testing adding $cf_add_libdir to library-path ..." 1>&5
 
 				LDFLAGS="-L$cf_add_libdir $LDFLAGS"
 			fi
@@ -19942,23 +19946,23 @@
 	fi
 esac
 
-echo "$as_me:19945: checking for db.h" >&5
+echo "$as_me:19949: checking for db.h" >&5
 echo $ECHO_N "checking for db.h... $ECHO_C" >&6
 if test "${ac_cv_header_db_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19951 "configure"
+#line 19955 "configure"
 #include "confdefs.h"
 #include <db.h>
 _ACEOF
-if { (eval echo "$as_me:19955: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19959: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19961: \$? = $ac_status" >&5
+  echo "$as_me:19965: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -19977,11 +19981,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19980: result: $ac_cv_header_db_h" >&5
+echo "$as_me:19984: result: $ac_cv_header_db_h" >&5
 echo "${ECHO_T}$ac_cv_header_db_h" >&6
 if test $ac_cv_header_db_h = yes; then
 
-echo "$as_me:19984: checking for version of db" >&5
+echo "$as_me:19988: checking for version of db" >&5
 echo $ECHO_N "checking for version of db... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19992,10 +19996,10 @@
 for cf_db_version in 1 2 3 4 5 6
 do
 
-echo "${as_me:-configure}:19995: testing checking for db version $cf_db_version ..." 1>&5
+echo "${as_me:-configure}:19999: testing checking for db version $cf_db_version ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19998 "configure"
+#line 20002 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -20025,16 +20029,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20028: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20032: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20031: \$? = $ac_status" >&5
+  echo "$as_me:20035: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20034: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20038: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20037: \$? = $ac_status" >&5
+  echo "$as_me:20041: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_hashed_db_version=$cf_db_version
@@ -20048,16 +20052,16 @@
 done
 
 fi
-echo "$as_me:20051: result: $cf_cv_hashed_db_version" >&5
+echo "$as_me:20055: result: $cf_cv_hashed_db_version" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_version" >&6
 
 if test "$cf_cv_hashed_db_version" = unknown ; then
-	{ { echo "$as_me:20055: error: Cannot determine version of db" >&5
+	{ { echo "$as_me:20059: error: Cannot determine version of db" >&5
 echo "$as_me: error: Cannot determine version of db" >&2;}
    { (exit 1); exit 1; }; }
 else
 
-echo "$as_me:20060: checking for db libraries" >&5
+echo "$as_me:20064: checking for db libraries" >&5
 echo $ECHO_N "checking for db libraries... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_libs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20087,10 +20091,10 @@
 
 	fi
 
-echo "${as_me:-configure}:20090: testing checking for library "$cf_db_libs" ..." 1>&5
+echo "${as_me:-configure}:20094: testing checking for library "$cf_db_libs" ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 20093 "configure"
+#line 20097 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -20145,16 +20149,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20148: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20152: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20151: \$? = $ac_status" >&5
+  echo "$as_me:20155: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20154: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20158: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20157: \$? = $ac_status" >&5
+  echo "$as_me:20161: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	if test -n "$cf_db_libs" ; then
@@ -20174,11 +20178,11 @@
 done
 
 fi
-echo "$as_me:20177: result: $cf_cv_hashed_db_libs" >&5
+echo "$as_me:20181: result: $cf_cv_hashed_db_libs" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_libs" >&6
 
 	if test "$cf_cv_hashed_db_libs" = unknown ; then
-		{ { echo "$as_me:20181: error: Cannot determine library for db" >&5
+		{ { echo "$as_me:20185: error: Cannot determine library for db" >&5
 echo "$as_me: error: Cannot determine library for db" >&2;}
    { (exit 1); exit 1; }; }
 	elif test "$cf_cv_hashed_db_libs" != default ; then
@@ -20204,7 +20208,7 @@
 
 else
 
-	{ { echo "$as_me:20207: error: Cannot find db.h" >&5
+	{ { echo "$as_me:20211: error: Cannot find db.h" >&5
 echo "$as_me: error: Cannot find db.h" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -20219,7 +20223,7 @@
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:20222: checking if we should include stdbool.h" >&5
+echo "$as_me:20226: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -20227,7 +20231,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 20230 "configure"
+#line 20234 "configure"
 #include "confdefs.h"
 
 int
@@ -20239,23 +20243,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20242: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20246: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20245: \$? = $ac_status" >&5
+  echo "$as_me:20249: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20248: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20252: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20251: \$? = $ac_status" >&5
+  echo "$as_me:20255: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 20258 "configure"
+#line 20262 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -20271,16 +20275,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20274: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20278: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20277: \$? = $ac_status" >&5
+  echo "$as_me:20281: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20280: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20284: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20283: \$? = $ac_status" >&5
+  echo "$as_me:20287: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -20294,13 +20298,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:20297: result: yes" >&5
+then	echo "$as_me:20301: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:20299: result: no" >&5
+else	echo "$as_me:20303: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:20303: checking for builtin bool type" >&5
+echo "$as_me:20307: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -20308,7 +20312,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 20311 "configure"
+#line 20315 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -20323,16 +20327,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20326: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20330: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20329: \$? = $ac_status" >&5
+  echo "$as_me:20333: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20332: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20336: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20335: \$? = $ac_status" >&5
+  echo "$as_me:20339: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -20345,9 +20349,9 @@
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then	echo "$as_me:20348: result: yes" >&5
+then	echo "$as_me:20352: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:20350: result: no" >&5
+else	echo "$as_me:20354: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20364,10 +20368,10 @@
 
 	cf_save="$LIBS"
 	LIBS="$LIBS $CXXLIBS"
-	echo "$as_me:20367: checking if we already have C++ library" >&5
+	echo "$as_me:20371: checking if we already have C++ library" >&5
 echo $ECHO_N "checking if we already have C++ library... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 20370 "configure"
+#line 20374 "configure"
 #include "confdefs.h"
 
 			#include <iostream>
@@ -20381,16 +20385,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20384: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20388: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20387: \$? = $ac_status" >&5
+  echo "$as_me:20391: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20390: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20394: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20393: \$? = $ac_status" >&5
+  echo "$as_me:20397: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_have_libstdcpp=yes
 else
@@ -20399,7 +20403,7 @@
 cf_have_libstdcpp=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-	echo "$as_me:20402: result: $cf_have_libstdcpp" >&5
+	echo "$as_me:20406: result: $cf_have_libstdcpp" >&5
 echo "${ECHO_T}$cf_have_libstdcpp" >&6
 	LIBS="$cf_save"
 
@@ -20418,7 +20422,7 @@
 			;;
 		esac
 
-		echo "$as_me:20421: checking for library $cf_stdcpp_libname" >&5
+		echo "$as_me:20425: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20444,7 +20448,7 @@
 LIBS="$cf_add_libs"
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 20447 "configure"
+#line 20451 "configure"
 #include "confdefs.h"
 
 				#include <iostream>
@@ -20458,16 +20462,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20461: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20465: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20464: \$? = $ac_status" >&5
+  echo "$as_me:20468: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20467: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20471: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20470: \$? = $ac_status" >&5
+  echo "$as_me:20474: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -20479,7 +20483,7 @@
 			LIBS="$cf_save"
 
 fi
-echo "$as_me:20482: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:20486: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
 		test "$cf_cv_libstdcpp" = yes && {
 cf_add_libs="-l$cf_stdcpp_libname"
@@ -20501,7 +20505,7 @@
 	fi
 fi
 
-	echo "$as_me:20504: checking whether $CXX understands -c and -o together" >&5
+	echo "$as_me:20508: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20516,15 +20520,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX $CXXFLAGS $CPPFLAGS -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:20519: \"$ac_try\"") >&5
+if { (eval echo "$as_me:20523: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20522: \$? = $ac_status" >&5
+  echo "$as_me:20526: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:20524: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:20528: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20527: \$? = $ac_status" >&5
+  echo "$as_me:20531: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -20535,10 +20539,10 @@
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:20538: result: yes" >&5
+  echo "$as_me:20542: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:20541: result: no" >&5
+  echo "$as_me:20545: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20558,7 +20562,7 @@
 	;;
 esac
 if test "$GXX" = yes; then
-	echo "$as_me:20561: checking for lib$cf_gpp_libname" >&5
+	echo "$as_me:20565: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
 	cf_save="$LIBS"
 
@@ -20579,7 +20583,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 20582 "configure"
+#line 20586 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -20593,16 +20597,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20596: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20600: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20599: \$? = $ac_status" >&5
+  echo "$as_me:20603: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20602: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20606: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20605: \$? = $ac_status" >&5
+  echo "$as_me:20609: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -20639,7 +20643,7 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 20642 "configure"
+#line 20646 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -20653,16 +20657,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20656: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20660: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20659: \$? = $ac_status" >&5
+  echo "$as_me:20663: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20662: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20666: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20665: \$? = $ac_status" >&5
+  echo "$as_me:20669: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -20695,7 +20699,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save"
-	echo "$as_me:20698: result: $cf_cxx_library" >&5
+	echo "$as_me:20702: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -20711,7 +20715,7 @@
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
-echo "$as_me:20714: checking how to run the C++ preprocessor" >&5
+echo "$as_me:20718: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
@@ -20728,18 +20732,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 20731 "configure"
+#line 20735 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:20736: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:20740: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:20742: \$? = $ac_status" >&5
+  echo "$as_me:20746: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -20762,17 +20766,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 20765 "configure"
+#line 20769 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:20769: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:20773: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:20775: \$? = $ac_status" >&5
+  echo "$as_me:20779: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -20809,7 +20813,7 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:20812: result: $CXXCPP" >&5
+echo "$as_me:20816: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
@@ -20819,18 +20823,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 20822 "configure"
+#line 20826 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:20827: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:20831: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:20833: \$? = $ac_status" >&5
+  echo "$as_me:20837: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -20853,17 +20857,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 20856 "configure"
+#line 20860 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:20860: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:20864: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:20866: \$? = $ac_status" >&5
+  echo "$as_me:20870: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -20891,7 +20895,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:20894: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:20898: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -20906,23 +20910,23 @@
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:20909: checking for $ac_header" >&5
+echo "$as_me:20913: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20915 "configure"
+#line 20919 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:20919: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:20923: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:20925: \$? = $ac_status" >&5
+  echo "$as_me:20929: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -20941,7 +20945,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:20944: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:20948: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -20954,23 +20958,23 @@
 for ac_header in iostream
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:20957: checking for $ac_header" >&5
+echo "$as_me:20961: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20963 "configure"
+#line 20967 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:20967: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:20971: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:20973: \$? = $ac_status" >&5
+  echo "$as_me:20977: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -20989,7 +20993,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:20992: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:20996: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -21000,10 +21004,10 @@
 done
 
 if test x"$ac_cv_header_iostream" = xyes ; then
-	echo "$as_me:21003: checking if iostream uses std-namespace" >&5
+	echo "$as_me:21007: checking if iostream uses std-namespace" >&5
 echo $ECHO_N "checking if iostream uses std-namespace... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21006 "configure"
+#line 21010 "configure"
 #include "confdefs.h"
 
 #include <iostream>
@@ -21020,16 +21024,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21023: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21027: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21026: \$? = $ac_status" >&5
+  echo "$as_me:21030: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21029: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21033: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21032: \$? = $ac_status" >&5
+  echo "$as_me:21036: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_iostream_namespace=yes
 else
@@ -21038,7 +21042,7 @@
 cf_iostream_namespace=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:21041: result: $cf_iostream_namespace" >&5
+	echo "$as_me:21045: result: $cf_iostream_namespace" >&5
 echo "${ECHO_T}$cf_iostream_namespace" >&6
 	if test "$cf_iostream_namespace" = yes ; then
 
@@ -21049,7 +21053,7 @@
 	fi
 fi
 
-echo "$as_me:21052: checking if we should include stdbool.h" >&5
+echo "$as_me:21056: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -21057,7 +21061,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21060 "configure"
+#line 21064 "configure"
 #include "confdefs.h"
 
 int
@@ -21069,23 +21073,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21072: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21076: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21075: \$? = $ac_status" >&5
+  echo "$as_me:21079: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21078: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21082: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21081: \$? = $ac_status" >&5
+  echo "$as_me:21085: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 21088 "configure"
+#line 21092 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -21101,16 +21105,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21104: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21108: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21107: \$? = $ac_status" >&5
+  echo "$as_me:21111: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21110: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21114: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21113: \$? = $ac_status" >&5
+  echo "$as_me:21117: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -21124,13 +21128,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:21127: result: yes" >&5
+then	echo "$as_me:21131: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:21129: result: no" >&5
+else	echo "$as_me:21133: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:21133: checking for builtin bool type" >&5
+echo "$as_me:21137: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -21138,7 +21142,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21141 "configure"
+#line 21145 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -21153,16 +21157,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21156: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21160: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21159: \$? = $ac_status" >&5
+  echo "$as_me:21163: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21162: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21166: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21165: \$? = $ac_status" >&5
+  echo "$as_me:21169: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -21175,13 +21179,13 @@
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then	echo "$as_me:21178: result: yes" >&5
+then	echo "$as_me:21182: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:21180: result: no" >&5
+else	echo "$as_me:21184: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:21184: checking for size of bool" >&5
+echo "$as_me:21188: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21192,7 +21196,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 21195 "configure"
+#line 21199 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -21234,15 +21238,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:21237: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21241: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21240: \$? = $ac_status" >&5
+  echo "$as_me:21244: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:21242: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21246: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21245: \$? = $ac_status" >&5
+  echo "$as_me:21249: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -21260,18 +21264,18 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:21263: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:21267: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in
 	(.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:21269: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:21273: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:21274: checking for special defines needed for etip.h" >&5
+echo "$as_me:21278: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -21289,7 +21293,7 @@
 	test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
 	test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 21292 "configure"
+#line 21296 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -21303,16 +21307,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21306: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21310: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21309: \$? = $ac_status" >&5
+  echo "$as_me:21313: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21312: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21316: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21315: \$? = $ac_status" >&5
+  echo "$as_me:21319: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	test -n "$cf_math" && cat >>confdefs.h <<EOF
@@ -21333,12 +21337,12 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:21336: result: $cf_result" >&5
+echo "$as_me:21340: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:21341: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:21345: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21355,7 +21359,7 @@
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 21358 "configure"
+#line 21362 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -21374,15 +21378,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:21377: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21381: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21380: \$? = $ac_status" >&5
+  echo "$as_me:21384: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:21382: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21386: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21385: \$? = $ac_status" >&5
+  echo "$as_me:21389: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -21401,7 +21405,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:21404: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:21408: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes &&
@@ -21411,7 +21415,7 @@
 
 if test -n "$CXX"; then
 
-echo "$as_me:21414: checking if $CXX accepts static_cast" >&5
+echo "$as_me:21418: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21425,7 +21429,7 @@
 ac_main_return=return
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21428 "configure"
+#line 21432 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -21469,16 +21473,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21472: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21476: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21475: \$? = $ac_status" >&5
+  echo "$as_me:21479: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21478: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21482: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21481: \$? = $ac_status" >&5
+  echo "$as_me:21485: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -21496,7 +21500,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:21499: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:21503: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -21545,7 +21549,7 @@
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:21548: checking for size of bool" >&5
+echo "$as_me:21552: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21556,7 +21560,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 21559 "configure"
+#line 21563 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -21598,15 +21602,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:21601: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21605: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21604: \$? = $ac_status" >&5
+  echo "$as_me:21608: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:21606: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21610: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21609: \$? = $ac_status" >&5
+  echo "$as_me:21613: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -21624,25 +21628,25 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:21627: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:21631: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in
 	(.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:21633: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:21637: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
 		else
-			echo "$as_me:21639: checking for fallback type of bool" >&5
+			echo "$as_me:21643: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
 			case "$host_cpu" in
 			(i?86)	cf_cv_type_of_bool=char	;;
 			(*)	cf_cv_type_of_bool=int	;;
 			esac
-			echo "$as_me:21645: result: $cf_cv_type_of_bool" >&5
+			echo "$as_me:21649: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 		fi
 	fi
@@ -21671,7 +21675,7 @@
 
 	if test "$cf_with_ada" != "no" ; then
 		if test "$with_libtool" != "no"; then
-			{ echo "$as_me:21674: WARNING: libtool does not support Ada - disabling feature" >&5
+			{ echo "$as_me:21678: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
 			cf_with_ada=no
 		fi
@@ -21682,7 +21686,7 @@
 cf_ada_make=gnatmake
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:21685: checking for $ac_word" >&5
+echo "$as_me:21689: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnat_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21697,7 +21701,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnat_exists="yes"
-echo "$as_me:21700: found $ac_dir/$ac_word" >&5
+echo "$as_me:21704: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -21706,10 +21710,10 @@
 fi
 gnat_exists=$ac_cv_prog_gnat_exists
 if test -n "$gnat_exists"; then
-  echo "$as_me:21709: result: $gnat_exists" >&5
+  echo "$as_me:21713: result: $gnat_exists" >&5
 echo "${ECHO_T}$gnat_exists" >&6
 else
-  echo "$as_me:21712: result: no" >&5
+  echo "$as_me:21716: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21718,12 +21722,12 @@
 	cf_cv_prog_gnat_correct=no
 else
 
-echo "$as_me:21721: checking for gnat version" >&5
+echo "$as_me:21725: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
 	grep '[0-9].[0-9][0-9]*' |\
 	sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:21726: result: $cf_gnat_version" >&5
+echo "$as_me:21730: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in
@@ -21731,7 +21735,7 @@
 	cf_cv_prog_gnat_correct=yes
 	;;
 (*)
-	{ echo "$as_me:21734: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+	{ echo "$as_me:21738: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
 	cf_cv_prog_gnat_correct=no
 	;;
@@ -21739,7 +21743,7 @@
 
 	# Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:21742: checking for $ac_word" >&5
+echo "$as_me:21746: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21754,7 +21758,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:21757: found $ac_dir/$ac_word" >&5
+echo "$as_me:21761: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -21763,10 +21767,10 @@
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:21766: result: $M4_exists" >&5
+  echo "$as_me:21770: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:21769: result: no" >&5
+  echo "$as_me:21773: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21775,7 +21779,7 @@
 		echo Ada95 binding required program m4 not found. Ada95 binding disabled.
 	fi
 	if test "$cf_cv_prog_gnat_correct" = yes; then
-		echo "$as_me:21778: checking if GNAT works" >&5
+		echo "$as_me:21782: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -21803,7 +21807,7 @@
 fi
 rm -rf conftest* *~conftest*
 
-		echo "$as_me:21806: result: $cf_cv_prog_gnat_correct" >&5
+		echo "$as_me:21810: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
 	fi
 fi
@@ -21812,7 +21816,7 @@
 
  	ADAFLAGS="$ADAFLAGS -gnatpn"
 
-	echo "$as_me:21815: checking optimization options for ADAFLAGS" >&5
+	echo "$as_me:21819: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 	case "$CFLAGS" in
 	(*-g*)
@@ -21829,10 +21833,10 @@
 
 		;;
 	esac
-	echo "$as_me:21832: result: $ADAFLAGS" >&5
+	echo "$as_me:21836: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:21835: checking if GNATPREP supports -T option" >&5
+echo "$as_me:21839: checking if GNATPREP supports -T option" >&5
 echo $ECHO_N "checking if GNATPREP supports -T option... $ECHO_C" >&6
 if test "${cf_cv_gnatprep_opt_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21842,11 +21846,11 @@
 gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
 
 fi
-echo "$as_me:21845: result: $cf_cv_gnatprep_opt_t" >&5
+echo "$as_me:21849: result: $cf_cv_gnatprep_opt_t" >&5
 echo "${ECHO_T}$cf_cv_gnatprep_opt_t" >&6
 test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
 
-echo "$as_me:21849: checking if GNAT supports generics" >&5
+echo "$as_me:21853: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in
 (3.[1-9]*|[4-9].*)
@@ -21856,7 +21860,7 @@
 	cf_gnat_generics=no
 	;;
 esac
-echo "$as_me:21859: result: $cf_gnat_generics" >&5
+echo "$as_me:21863: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -21868,7 +21872,7 @@
 	cf_generic_objects=
 fi
 
-echo "$as_me:21871: checking if GNAT supports SIGINT" >&5
+echo "$as_me:21875: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21916,7 +21920,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:21919: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:21923: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -21929,7 +21933,7 @@
 cf_gnat_projects=no
 
 if test "$enable_gnat_projects" != no ; then
-echo "$as_me:21932: checking if GNAT supports project files" >&5
+echo "$as_me:21936: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in
 (3.[0-9]*)
@@ -21989,15 +21993,15 @@
 	esac
 	;;
 esac
-echo "$as_me:21992: result: $cf_gnat_projects" >&5
+echo "$as_me:21996: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 fi # enable_gnat_projects
 
 if test $cf_gnat_projects = yes
 then
-	echo "$as_me:21998: checking if GNAT supports libraries" >&5
+	echo "$as_me:22002: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-	echo "$as_me:22000: result: $cf_gnat_libraries" >&5
+	echo "$as_me:22004: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -22017,7 +22021,7 @@
 	USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:22020: checking for ada-compiler" >&5
+echo "$as_me:22024: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -22028,12 +22032,12 @@
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:22031: result: $cf_ada_compiler" >&5
+echo "$as_me:22035: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
 			cf_ada_package=terminal_interface
 
-echo "$as_me:22036: checking for ada-include" >&5
+echo "$as_me:22040: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -22069,7 +22073,7 @@
 	withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
 	;;
 (*)
-	{ { echo "$as_me:22072: error: expected a pathname, not \"$withval\"" >&5
+	{ { echo "$as_me:22076: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
 	;;
@@ -22078,10 +22082,10 @@
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:22081: result: $ADA_INCLUDE" >&5
+echo "$as_me:22085: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:22084: checking for ada-objects" >&5
+echo "$as_me:22088: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -22117,7 +22121,7 @@
 	withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
 	;;
 (*)
-	{ { echo "$as_me:22120: error: expected a pathname, not \"$withval\"" >&5
+	{ { echo "$as_me:22124: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
 	;;
@@ -22126,10 +22130,10 @@
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:22129: result: $ADA_OBJECTS" >&5
+echo "$as_me:22133: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:22132: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:22136: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -22139,7 +22143,7 @@
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:22142: result: $with_ada_sharedlib" >&5
+echo "$as_me:22146: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -22162,13 +22166,13 @@
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-	echo "$as_me:22165: checking for wchar_t" >&5
+	echo "$as_me:22169: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22171 "configure"
+#line 22175 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -22183,16 +22187,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22186: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22190: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22189: \$? = $ac_status" >&5
+  echo "$as_me:22193: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22192: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22196: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22195: \$? = $ac_status" >&5
+  echo "$as_me:22199: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -22202,10 +22206,10 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:22205: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:22209: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:22208: checking size of wchar_t" >&5
+echo "$as_me:22212: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22214,7 +22218,7 @@
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 22217 "configure"
+#line 22221 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -22226,21 +22230,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22229: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22233: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22232: \$? = $ac_status" >&5
+  echo "$as_me:22236: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22235: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22239: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22238: \$? = $ac_status" >&5
+  echo "$as_me:22242: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 22243 "configure"
+#line 22247 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -22252,16 +22256,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22255: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22259: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22258: \$? = $ac_status" >&5
+  echo "$as_me:22262: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22261: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22265: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22264: \$? = $ac_status" >&5
+  echo "$as_me:22268: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -22277,7 +22281,7 @@
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 22280 "configure"
+#line 22284 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -22289,16 +22293,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22292: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22296: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22295: \$? = $ac_status" >&5
+  echo "$as_me:22299: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22298: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22302: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22301: \$? = $ac_status" >&5
+  echo "$as_me:22305: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -22314,7 +22318,7 @@
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 22317 "configure"
+#line 22321 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -22326,16 +22330,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22329: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22333: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22332: \$? = $ac_status" >&5
+  echo "$as_me:22336: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22335: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22339: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22338: \$? = $ac_status" >&5
+  echo "$as_me:22342: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -22348,12 +22352,12 @@
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:22351: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:22355: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22356 "configure"
+#line 22360 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -22369,15 +22373,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:22372: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22376: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22375: \$? = $ac_status" >&5
+  echo "$as_me:22379: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:22377: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22381: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22380: \$? = $ac_status" >&5
+  echo "$as_me:22384: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -22393,7 +22397,7 @@
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:22396: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:22400: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -22411,7 +22415,7 @@
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:22414: checking for library subsets" >&5
+echo "$as_me:22418: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -22453,7 +22457,7 @@
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:22456: result: $LIB_SUBSETS" >&5
+echo "$as_me:22460: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -22484,7 +22488,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:22487: checking default library suffix" >&5
+echo "$as_me:22491: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -22495,10 +22499,10 @@
 	(shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:22498: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:22502: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:22501: checking default library-dependency suffix" >&5
+echo "$as_me:22505: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in
@@ -22556,10 +22560,10 @@
 		DFT_LIB_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_LIB_SUFFIX}"
 		DFT_DEP_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_DEP_SUFFIX}"
 	fi
-echo "$as_me:22559: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:22563: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:22562: checking default object directory" >&5
+echo "$as_me:22566: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -22575,11 +22579,11 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:22578: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:22582: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:22582: checking c++ library-dependency suffix" >&5
+echo "$as_me:22586: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	# libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -22647,7 +22651,7 @@
 	fi
 
 fi
-echo "$as_me:22650: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:22654: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -22823,19 +22827,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:22826: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:22830: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 22831 "configure"
+#line 22835 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:22835: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:22839: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22838: \$? = $ac_status" >&5
+  echo "$as_me:22842: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -22846,10 +22850,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 22849 "configure"
+#line 22853 "configure"
 #include "confdefs.h"
 
-#line 22852 "configure"
+#line 22856 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -22864,16 +22868,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:22867: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22871: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22870: \$? = $ac_status" >&5
+  echo "$as_me:22874: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:22873: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22877: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22876: \$? = $ac_status" >&5
+  echo "$as_me:22880: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -22896,7 +22900,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:22899: result: $cf_ldflags_static" >&5
+	echo "$as_me:22903: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -22912,7 +22916,7 @@
 	;;
 esac
 
-echo "$as_me:22915: checking where we will install curses.h" >&5
+echo "$as_me:22919: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -22922,7 +22926,7 @@
 then
 	includesubdir="/ncurses${USE_LIB_SUFFIX}"
 fi
-echo "$as_me:22925: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:22929: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -22930,7 +22934,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:22933: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:22937: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -22948,7 +22952,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:22951: checking for src modules" >&5
+echo "$as_me:22955: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -23013,7 +23017,7 @@
 		fi
 	fi
 done
-echo "$as_me:23016: result: $cf_cv_src_modules" >&5
+echo "$as_me:23020: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -23250,7 +23254,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:23253: checking for $ac_word" >&5
+echo "$as_me:23257: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23267,7 +23271,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:23270: found $ac_dir/$ac_word" >&5
+   echo "$as_me:23274: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -23279,10 +23283,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:23282: result: $TIC_PATH" >&5
+  echo "$as_me:23286: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:23285: result: no" >&5
+  echo "$as_me:23289: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -23290,7 +23294,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:23293: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:23297: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -23326,7 +23330,7 @@
 	(*-D_XOPEN_SOURCE_EXTENDED*)
 		test -n "$verbose" && echo "	moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:23329: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:23333: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
 		CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
 		CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -23337,7 +23341,7 @@
 
 # Help to automatically enable the extended curses features when using either
 # the *-config or the ".pc" files by adding defines.
-echo "$as_me:23340: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
+echo "$as_me:23344: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
 echo $ECHO_N "checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script... $ECHO_C" >&6
 PKG_CFLAGS=
 for cf_loop1 in $CPPFLAGS_after_XOPEN
@@ -23353,7 +23357,7 @@
 	done
 	test "$cf_found" = no && PKG_CFLAGS="$PKG_CFLAGS $cf_loop1"
 done
-echo "$as_me:23356: result: $PKG_CFLAGS" >&5
+echo "$as_me:23360: result: $PKG_CFLAGS" >&5
 echo "${ECHO_T}$PKG_CFLAGS" >&6
 
 # AC_CHECK_SIZEOF demands a literal parameter, no variables.  So we do this.
@@ -23410,7 +23414,7 @@
 	cf_filter_syms=$cf_dft_filter_syms
 	test -n "$verbose" && echo "	will map symbols to ABI=$cf_cv_abi_version" 1>&6
 
-echo "${as_me:-configure}:23413: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
+echo "${as_me:-configure}:23417: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
 
 fi
 
@@ -23516,7 +23520,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:23519: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:23523: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -23692,7 +23696,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:23695: error: ambiguous option: $1
+    { { echo "$as_me:23699: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -23711,7 +23715,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:23714: error: unrecognized option: $1
+  -*) { { echo "$as_me:23718: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -23830,7 +23834,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:23833: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:23837: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -24310,7 +24314,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:24313: creating $ac_file" >&5
+    { echo "$as_me:24317: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -24328,7 +24332,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:24331: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:24335: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -24341,7 +24345,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:24344: error: cannot find input file: $f" >&5
+           { { echo "$as_me:24348: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -24357,7 +24361,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:24360: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:24364: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -24366,7 +24370,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:24369: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:24373: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -24403,7 +24407,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:24406: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:24410: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -24414,7 +24418,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:24417: WARNING: Some variables may not be substituted:
+      { echo "$as_me:24421: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -24463,7 +24467,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:24466: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:24470: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -24474,7 +24478,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:24477: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:24481: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -24487,7 +24491,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:24490: error: cannot find input file: $f" >&5
+           { { echo "$as_me:24494: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -24545,7 +24549,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:24548: $ac_file is unchanged" >&5
+      { echo "$as_me:24552: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -24890,7 +24894,7 @@
 				(cygdll|msysdll|mingw)
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:24893: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:24897: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: configure.in
Prereq:  1.642 
--- ncurses-6.0-20170617+/configure.in	2017-06-03 13:26:42.000000000 +0000
+++ ncurses-6.0-20170624/configure.in	2017-06-24 14:19:55.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.642 2017/06/03 13:26:42 tom Exp $
+dnl $Id: configure.in,v 1.643 2017/06/24 14:19:55 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
-AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.642 $)
+AC_PREREQ(2.52.20170501)
+AC_REVISION($Revision: 1.643 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -1509,6 +1509,7 @@
 	LIB_TRACING=all
 	ADA_TRACE=TRUE
 	CF_ADD_CFLAGS(-DTRACE)
+	AC_DEFINE(HAVE__TRACEF,1,[Define to 1 if we have _tracef function])
 else
 	LIB_TRACING=DEBUG
 	ADA_TRACE=FALSE
Index: dist.mk
Prereq:  1.1168 
--- ncurses-6.0-20170617+/dist.mk	2017-06-17 18:17:23.000000000 +0000
+++ ncurses-6.0-20170624/dist.mk	2017-06-18 23:13:28.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1168 2017/06/17 18:17:23 tom Exp $
+# $Id: dist.mk,v 1.1169 2017/06/18 23:13:28 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20170617
+NCURSES_PATCH = 20170624
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/ncurses_defs
Prereq:  1.72 
--- ncurses-6.0-20170617+/include/ncurses_defs	2017-03-31 13:00:11.000000000 +0000
+++ ncurses-6.0-20170624/include/ncurses_defs	2017-06-24 14:20:57.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses_defs,v 1.72 2017/03/31 13:00:11 tom Exp $
+# $Id: ncurses_defs,v 1.73 2017/06/24 14:20:57 tom Exp $
 ##############################################################################
 # Copyright (c) 2000-2016,2017 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -188,6 +188,7 @@
 HAVE_WRESIZE
 HAVE_WSYNCDOWN	1
 HAVE__DOSCAN
+HAVE__TRACEF
 MIXEDCASE_FILENAMES
 NCURSES_CHAR_EQ
 NCURSES_EXPANDED
Index: man/form_driver.3x
Prereq:  1.26 
--- ncurses-6.0-20170617+/man/form_driver.3x	2016-12-04 01:01:17.000000000 +0000
+++ ncurses-6.0-20170624/man/form_driver.3x	2017-06-23 22:56:39.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_driver.3x,v 1.26 2016/12/04 01:01:17 tom Exp $
+.\" $Id: form_driver.3x,v 1.27 2017/06/23 22:56:39 tom Exp $
 .TH form_driver 3X ""
 .de bP
 .IP \(bu 4
@@ -68,7 +68,7 @@
 The form driver requests are as follows:
 .TS
 l l
-_ _ _
+_ _
 l l.
 \fIName\fR	\fIDescription\fR
 REQ_BEG_FIELD	Move to the beginning of the field.
Index: ncurses/curses.priv.h
Prereq:  1.575 
--- ncurses-6.0-20170617+/ncurses/curses.priv.h	2017-06-17 22:21:08.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/curses.priv.h	2017-06-24 15:08:46.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.575 2017/06/17 22:21:08 tom Exp $
+ * $Id: curses.priv.h,v 1.576 2017/06/24 15:08:46 tom Exp $
  *
  *	curses.priv.h
  *
@@ -1685,7 +1685,7 @@
 
 typedef void VoidFunc(void);
 
-#define TR_FUNC(value)          ((const char*) &(value))
+#define TR_FUNC(value)          ((const char*) (value))
 #define NonNull(s)	        ((s) != 0 ? s : "<null>")
 
 #define returnAttr(code)	TRACE_RETURN(code,attr_t)
Index: ncurses/tinfo/captoinfo.c
Prereq:  1.94 
--- ncurses-6.0-20170617+/ncurses/tinfo/captoinfo.c	2017-04-21 23:26:38.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/tinfo/captoinfo.c	2017-06-23 22:40:22.000000000 +0000
@@ -97,7 +97,7 @@
 #include <ctype.h>
 #include <tic.h>
 
-MODULE_ID("$Id: captoinfo.c,v 1.94 2017/04/21 23:26:38 tom Exp $")
+MODULE_ID("$Id: captoinfo.c,v 1.95 2017/06/23 22:40:22 tom Exp $")
 
 #if 0
 #define DEBUG_THIS(p) DEBUG(9, p)
@@ -680,7 +680,7 @@
 		    if (isoctal(UChar(xx1))) {
 			int pad = 0;
 			int xx2;
-			int fix;
+			int fix = 0;
 
 			if (!isoctal(UChar(str[1])))
 			    pad = 2;
Index: ncurses/tinfo/lib_options.c
Prereq:  1.79 
--- ncurses-6.0-20170617+/ncurses/tinfo/lib_options.c	2017-04-15 22:24:38.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/tinfo/lib_options.c	2017-06-24 23:13:09.000000000 +0000
@@ -46,7 +46,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_options.c,v 1.79 2017/04/15 22:24:38 tom Exp $")
+MODULE_ID("$Id: lib_options.c,v 1.80 2017/06/24 23:13:09 tom Exp $")
 
 NCURSES_EXPORT(int)
 idlok(WINDOW *win, bool flag)
@@ -202,7 +202,7 @@
 #ifdef USE_TERM_DRIVER
 	    code = CallDriver_1(SP_PARM, td_cursorSet, vis);
 #else
-	    if (IsTermInfo(SP_PARM)) {
+	    if (IsValidTIScreen(SP_PARM)) {
 		switch (vis) {
 		case 2:
 		    code = NCURSES_PUTP2_FLUSH("cursor_visible",
Index: ncurses/tinfo/lib_setup.c
Prereq:  1.182 
--- ncurses-6.0-20170617+/ncurses/tinfo/lib_setup.c	2017-06-17 22:21:50.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/tinfo/lib_setup.c	2017-06-24 19:10:43.000000000 +0000
@@ -48,7 +48,7 @@
 #include <locale.h>
 #endif
 
-MODULE_ID("$Id: lib_setup.c,v 1.182 2017/06/17 22:21:50 tom Exp $")
+MODULE_ID("$Id: lib_setup.c,v 1.183 2017/06/24 19:10:43 tom Exp $")
 
 /****************************************************************************
  *
@@ -746,10 +746,8 @@
 	if (status != TGETENT_YES) {
 	    del_curterm(termp);
 	    if (status == TGETENT_ERR) {
-		_nc_free_termtype2(&TerminalType(termp));
 		ret_error0(status, "terminals database is inaccessible\n");
 	    } else if (status == TGETENT_NO) {
-		_nc_free_termtype2(&TerminalType(termp));
 		ret_error1(status, "unknown terminal type.\n", tname);
 	    }
 	}
Index: ncurses/tinfo/lib_tputs.c
Prereq:  1.99 
--- ncurses-6.0-20170617+/ncurses/tinfo/lib_tputs.c	2016-12-17 20:47:21.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/tinfo/lib_tputs.c	2017-06-24 15:15:55.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -51,7 +51,7 @@
 #include <termcap.h>		/* ospeed */
 #include <tic.h>
 
-MODULE_ID("$Id: lib_tputs.c,v 1.99 2016/12/17 20:47:21 tom Exp $")
+MODULE_ID("$Id: lib_tputs.c,v 1.100 2017/06/24 15:15:55 tom Exp $")
 
 NCURSES_EXPORT_VAR(char) PC = 0;              /* used by termcap library */
 NCURSES_EXPORT_VAR(NCURSES_OSPEED) ospeed = 0;        /* used by termcap library */
@@ -426,7 +426,7 @@
 _nc_outc_wrapper(SCREEN *sp, int c)
 {
     if (0 == sp) {
-	return (ERR);
+	return fputc(c, stdout);
     } else {
 	return sp->jump(c);
     }
Index: ncurses/tinfo/make_hash.c
Prereq:  1.13 
--- ncurses-6.0-20170617+/ncurses/tinfo/make_hash.c	2013-09-28 20:55:47.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/tinfo/make_hash.c	2017-06-23 23:53:13.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2013,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -44,7 +44,7 @@
 
 #include <ctype.h>
 
-MODULE_ID("$Id: make_hash.c,v 1.13 2013/09/28 20:55:47 tom Exp $")
+MODULE_ID("$Id: make_hash.c,v 1.14 2017/06/23 23:53:13 tom Exp $")
 
 /*
  *	_nc_make_hash_table()
@@ -326,5 +326,11 @@
     printf("#endif\n\n");
 
     free(hash_table);
+#if NO_LEAKS
+    for (n = 0; (n < CAPTABSIZE); ++n) {
+	free((char *) name_table[n].nte_name);
+    }
+    free(name_table);
+#endif
     return EXIT_SUCCESS;
 }
Index: ncurses/tinfo/parse_entry.c
Prereq:  1.84 
--- ncurses-6.0-20170617+/ncurses/tinfo/parse_entry.c	2017-04-21 21:09:54.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/tinfo/parse_entry.c	2017-06-24 22:59:46.000000000 +0000
@@ -47,7 +47,7 @@
 #include <ctype.h>
 #include <tic.h>
 
-MODULE_ID("$Id: parse_entry.c,v 1.84 2017/04/21 21:09:54 tom Exp $")
+MODULE_ID("$Id: parse_entry.c,v 1.85 2017/06/24 22:59:46 tom Exp $")
 
 #ifdef LINT
 static short const parametrized[] =
@@ -527,43 +527,50 @@
 _nc_capcmp(const char *s, const char *t)
 /* compare two string capabilities, stripping out padding */
 {
-    if (!VALID_STRING(s) && !VALID_STRING(t))
-	return (0);
-    else if (!VALID_STRING(s) || !VALID_STRING(t))
-	return (1);
-
-    for (;;) {
-	if (s[0] == '$' && s[1] == '<') {
-	    for (s += 2;; s++)
-		if (!(isdigit(UChar(*s))
-		      || *s == '.'
-		      || *s == '*'
-		      || *s == '/'
-		      || *s == '>'))
-		    break;
-	}
+    bool ok_s = VALID_STRING(s);
+    bool ok_t = VALID_STRING(t);
 
-	if (t[0] == '$' && t[1] == '<') {
-	    for (t += 2;; t++)
-		if (!(isdigit(UChar(*t))
-		      || *t == '.'
-		      || *t == '*'
-		      || *t == '/'
-		      || *t == '>'))
-		    break;
-	}
+    if (ok_s && ok_t) {
+	for (;;) {
+	    if (s[0] == '$' && s[1] == '<') {
+		for (s += 2;; s++) {
+		    if (!(isdigit(UChar(*s))
+			  || *s == '.'
+			  || *s == '*'
+			  || *s == '/'
+			  || *s == '>')) {
+			break;
+		    }
+		}
+	    }
+
+	    if (t[0] == '$' && t[1] == '<') {
+		for (t += 2;; t++) {
+		    if (!(isdigit(UChar(*t))
+			  || *t == '.'
+			  || *t == '*'
+			  || *t == '/'
+			  || *t == '>')) {
+			break;
+		    }
+		}
+	    }
 
-	/* we've now pushed s and t past any padding they were pointing at */
+	    /* we've now pushed s and t past any padding they pointed at */
 
-	if (*s == '\0' && *t == '\0')
-	    return (0);
+	    if (*s == '\0' && *t == '\0')
+		return (0);
 
-	if (*s != *t)
-	    return (*t - *s);
+	    if (*s != *t)
+		return (*t - *s);
 
-	/* else *s == *t but one is not NUL, so continue */
-	s++, t++;
+	    /* else *s == *t but one is not NUL, so continue */
+	    s++, t++;
+	}
+    } else if (ok_s || ok_t) {
+	return 1;
     }
+    return 0;
 }
 
 static void
Index: ncurses/tinfo/tinfo_driver.c
Prereq:  1.54 
--- ncurses-6.0-20170617+/ncurses/tinfo/tinfo_driver.c	2017-06-17 22:22:03.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/tinfo/tinfo_driver.c	2017-06-24 19:54:16.000000000 +0000
@@ -51,7 +51,7 @@
 # endif
 #endif
 
-MODULE_ID("$Id: tinfo_driver.c,v 1.54 2017/06/17 22:22:03 tom Exp $")
+MODULE_ID("$Id: tinfo_driver.c,v 1.56 2017/06/24 19:54:16 tom Exp $")
 
 /*
  * SCO defines TIOCGSIZE and the corresponding struct.  Other systems (SunOS,
@@ -179,10 +179,8 @@
     if (status != TGETENT_YES) {
 	NCURSES_SP_NAME(del_curterm) (NCURSES_SP_ARGx termp);
 	if (status == TGETENT_ERR) {
-	    _nc_free_termtype2(&TerminalType(termp));
 	    ret_error0(status, "terminals database is inaccessible\n");
 	} else if (status == TGETENT_NO) {
-	    _nc_free_termtype2(&TerminalType(termp));
 	    ret_error1(status, "unknown terminal type.\n", tname);
 	}
     }
@@ -216,14 +214,17 @@
 	     || (VALID_STRING(cursor_down) && VALID_STRING(cursor_home)))
 	    && VALID_STRING(clear_screen)) {
 	    _nc_free_termtype2(&TerminalType(termp));
+	    free(TCB);
 	    ret_error1(TGETENT_YES, "terminal is not really generic.\n", tname);
 	} else {
 	    _nc_free_termtype2(&TerminalType(termp));
+	    free(TCB);
 	    ret_error1(TGETENT_NO, "I need something more specific.\n", tname);
 	}
     }
     if (hard_copy) {
 	_nc_free_termtype2(&TerminalType(termp));
+	free(TCB);
 	ret_error1(TGETENT_YES, "I can't handle hardcopy terminals.\n", tname);
     }
 
Index: ncurses/tty/lib_vidattr.c
Prereq:  1.71 
--- ncurses-6.0-20170617+/ncurses/tty/lib_vidattr.c	2014-09-04 22:01:27.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/tty/lib_vidattr.c	2017-06-24 12:13:42.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2014,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -69,7 +69,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_vidattr.c,v 1.71 2014/09/04 22:01:27 tom Exp $")
+MODULE_ID("$Id: lib_vidattr.c,v 1.72 2017/06/24 12:13:42 tom Exp $")
 
 #define doPut(mode) \
 	TPUTS_TRACE(#mode); \
@@ -117,7 +117,7 @@
 
     T((T_CALLED("vidputs(%p,%s)"), (void *) SP_PARM, _traceattr(newmode)));
 
-    if (!IsTermInfo(SP_PARM))
+    if (!IsValidTIScreen(SP_PARM))
 	returnCode(ERR);
 
     /* this allows us to go on whether or not newterm() has been called */
Index: ncurses/widechar/lib_vid_attr.c
Prereq:  1.24 
--- ncurses-6.0-20170617+/ncurses/widechar/lib_vid_attr.c	2017-03-17 00:17:32.000000000 +0000
+++ ncurses-6.0-20170624/ncurses/widechar/lib_vid_attr.c	2017-06-24 13:22:27.000000000 +0000
@@ -36,7 +36,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_vid_attr.c,v 1.24 2017/03/17 00:17:32 tom Exp $")
+MODULE_ID("$Id: lib_vid_attr.c,v 1.25 2017/06/24 13:22:27 tom Exp $")
 
 #define doPut(mode) \
 	TPUTS_TRACE(#mode); \
@@ -86,6 +86,9 @@
 #define fix_pair0 FALSE
 #endif
 
+    if (!IsValidTIScreen(SP_PARM))
+	returnCode(ERR);
+
     newmode &= A_ATTRIBUTES;
     set_extended_pair(opts, color_pair);
     T((T_CALLED("vid_puts(%s,%d)"), _traceattr(newmode), color_pair));
Index: package/debian-mingw/changelog
--- ncurses-6.0-20170617+/package/debian-mingw/changelog	2017-06-17 18:17:23.000000000 +0000
+++ ncurses-6.0-20170624/package/debian-mingw/changelog	2017-06-18 23:13:28.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170617) unstable; urgency=low
+ncurses6 (6.0+20170624) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Jun 2017 14:17:23 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 18 Jun 2017 19:13:28 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20170617+/package/debian-mingw64/changelog	2017-06-17 18:17:23.000000000 +0000
+++ ncurses-6.0-20170624/package/debian-mingw64/changelog	2017-06-18 23:13:28.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170617) unstable; urgency=low
+ncurses6 (6.0+20170624) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Jun 2017 14:17:23 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 18 Jun 2017 19:13:28 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20170617+/package/debian/changelog	2017-06-17 18:17:23.000000000 +0000
+++ ncurses-6.0-20170624/package/debian/changelog	2017-06-18 23:13:28.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170617) unstable; urgency=low
+ncurses6 (6.0+20170624) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Jun 2017 14:17:23 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 18 Jun 2017 19:13:28 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.216 
--- ncurses-6.0-20170617+/package/mingw-ncurses.nsi	2017-06-17 18:17:23.000000000 +0000
+++ ncurses-6.0-20170624/package/mingw-ncurses.nsi	2017-06-18 23:13:28.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.216 2017/06/17 18:17:23 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.217 2017/06/18 23:13:28 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2017"
-!define VERSION_MMDD  "0617"
+!define VERSION_MMDD  "0624"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20170617+/package/mingw-ncurses.spec	2017-06-17 18:17:23.000000000 +0000
+++ ncurses-6.0-20170624/package/mingw-ncurses.spec	2017-06-18 23:13:28.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20170617
+Release: 20170624
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20170617+/package/ncurses.spec	2017-06-17 18:17:23.000000000 +0000
+++ ncurses-6.0-20170624/package/ncurses.spec	2017-06-18 23:13:28.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20170617
+Release: 20170624
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: progs/dump_entry.c
Prereq:  1.152 
--- ncurses-6.0-20170617+/progs/dump_entry.c	2017-05-06 18:56:15.000000000 +0000
+++ ncurses-6.0-20170624/progs/dump_entry.c	2017-06-23 22:47:43.000000000 +0000
@@ -39,7 +39,7 @@
 #include "termsort.c"		/* this C file is generated */
 #include <parametrized.h>	/* so is this */
 
-MODULE_ID("$Id: dump_entry.c,v 1.152 2017/05/06 18:56:15 tom Exp $")
+MODULE_ID("$Id: dump_entry.c,v 1.153 2017/06/23 22:47:43 Emanuele.Giaquinta Exp $")
 
 #define DISCARD(string) string = ABSENT_STRING
 #define PRINTF (void) printf
@@ -807,8 +807,10 @@
     if ((outform != F_TERMCAP) && (value > 255)) {
 	unsigned long lv = (unsigned long) value;
 	unsigned long mm;
+	int bits = sizeof(unsigned long) * 8;
 	int nn;
-	for (nn = 8; (mm = (1UL << nn)) != 0; ++nn) {
+	for (nn = 8; nn < bits; ++nn) {
+	    mm = 1UL << nn;
 	    if ((mm - 16) <= lv && (mm + 16) > lv) {
 		result = "%#x";
 		break;
Index: test/README
Prereq:  1.60 
--- ncurses-6.0-20170617+/test/README	2017-04-01 19:40:31.000000000 +0000
+++ ncurses-6.0-20170624/test/README	2017-06-24 18:42:23.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: README,v 1.60 2017/04/01 19:40:31 tom Exp $
+-- $Id: README,v 1.61 2017/06/24 18:42:23 tom Exp $
 -------------------------------------------------------------------------------
 
 The programs in this directory are used to test and demonstrate ncurses.
@@ -104,7 +104,7 @@
 field_status			test: demo_forms
 field_term			-
 field_type			test: demo_forms
-field_userptr			test: demo_forms edit_field ncurses
+field_userptr			test: edit_field ncurses
 form_driver			test: cardfile demo_forms edit_field ncurses
 form_driver_w			test: form_driver_w
 form_fields			test: cardfile demo_forms
@@ -118,7 +118,7 @@
 form_sub			test: cardfile demo_forms ncurses
 form_term			-
 form_userptr			-
-form_win			test: cardfile demo_forms edit_field ncurses
+form_win			test: cardfile demo_forms edit_field form_driver_w ncurses
 free_field			test: cardfile demo_forms form_driver_w ncurses
 free_fieldtype			test: ncurses
 free_form			test: cardfile demo_forms form_driver_w ncurses
@@ -231,22 +231,22 @@
 libncurses:
 ----------
 BC				test: demo_termcap
-COLORS				test: demo_new_pair dots_curses echochar ncurses savescreen xmas
-COLOR_PAIR			test: background blue bs cardfile clip_printw demo_forms demo_menus demo_panels dots_curses echochar filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testaddch testcurs view worm xmas
+COLORS				test: demo_new_pair dots_curses echochar ncurses picsmap savescreen xmas
+COLOR_PAIR			test: background blue bs cardfile clip_printw demo_forms demo_menus demo_panels dots_curses echochar filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo picsmap rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testaddch testcurs view worm xmas
 COLOR_PAIRS			test: demo_new_pair dots_curses echochar ncurses newdemo savescreen
-COLS				test: cardfile demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto dots_curses echochar edit_field filter firework foldkeys hashtest inch_wide inchs ins_wide inserts lrtest movewindow ncurses newdemo rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm
+COLS				test: cardfile demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_panels ditto dots_curses echochar filter firework foldkeys hashtest inch_wide inchs ins_wide inserts lrtest movewindow ncurses newdemo picsmap rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm
 ESCDELAY			test: test_opaque
-LINES				test: cardfile demo_defkey demo_keyok demo_menus demo_new_pair demo_panels ditto dots_curses echochar edit_field firework hanoi hashtest inch_wide inchs ins_wide inserts lrtest movewindow ncurses newdemo rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm xmas
+LINES				test: cardfile demo_defkey demo_keyok demo_menus demo_panels ditto dots_curses echochar firework hanoi hashtest inch_wide inchs ins_wide inserts lrtest movewindow ncurses newdemo picsmap rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm xmas
 PAIR_NUMBER			test: ncurses
 PC				test: demo_termcap
 SP				lib: form
 TABSIZE				test: test_opaque
 UP				test: demo_termcap
 acs_map				test: background gdc ins_wide inserts knight movewindow ncurses newdemo savescreen test_add_wchstr test_addchstr test_addstr test_addwstr testcurs
-add_wch				test: demo_new_pair demo_panels ncurses test_add_wchstr test_addwstr
+add_wch				test: demo_new_pair demo_panels ncurses picsmap test_add_wchstr test_addwstr
 add_wchnstr			test: test_add_wchstr
 add_wchstr			test: test_add_wchstr view
-addch				test: background blue bs dots_curses echochar hashtest ncurses savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_opaque testaddch view worm
+addch				test: background blue bs dots_curses echochar hashtest ncurses picsmap savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_opaque testaddch view worm
 addchnstr			test: test_addchstr
 addchstr			test: test_addchstr
 addnstr				test: test_addstr
@@ -263,10 +263,10 @@
 attr_set			test: ncurses
 attroff				test: blue dots_curses echochar filter gdc ncurses tclock
 attron				test: blue bs dots_curses echochar filter gdc ncurses
-attrset				test: bs filter firework gdc hanoi insdelln ncurses rain tclock testaddch testcurs
+attrset				test: bs filter firework gdc hanoi insdelln ncurses picsmap rain tclock testaddch testcurs
 baudrate			test: ncurses
 baudrate_sp			test: sp_tinfo
-beep				test: blue bs cardfile chgat clip_printw demo_forms demo_menus demo_new_pair demo_panels edit_field hanoi inch_wide inchs ins_wide insdelln inserts knight movewindow ncurses savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view xmas
+beep				test: blue bs cardfile chgat clip_printw demo_forms demo_menus demo_new_pair demo_panels edit_field hanoi inch_wide inchs ins_wide insdelln inserts knight movewindow ncurses popup_msg rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view xmas
 beep_sp				lib: ncurses
 bkgd				test: background cardfile demo_forms ncurses savescreen tclock view
 bkgdset				test: background ncurses testaddch
@@ -274,28 +274,28 @@
 bkgrndset			test: ncurses
 boolcodes			test: demo_termcap test_arrays progs: dump_entry
 boolfnames			test: demo_terminfo test_arrays progs: dump_entry
-boolnames			test: demo_termcap demo_terminfo test_arrays progs: dump_entry infocmp
+boolnames			test: demo_terminfo test_arrays progs: dump_entry infocmp
 border				-
 border_set			-
-box				test: cardfile chgat clip_printw demo_forms demo_menus demo_new_pair demo_panels ditto edit_field inch_wide inchs ins_wide insdelln inserts lrtest ncurses newdemo redraw savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
+box				test: cardfile chgat clip_printw demo_forms demo_menus demo_panels ditto inch_wide inchs ins_wide insdelln inserts lrtest ncurses newdemo popup_msg redraw test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
 box_set				test: ncurses
 can_change_color		test: extended_color ncurses
 can_change_color_sp		test: extended_color
-cbreak				test: background blue bs cardfile chgat clip_printw color_set demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto extended_color filter firework foldkeys form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts knight lrtest movewindow ncurses newdemo savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm xmas
+cbreak				test: background blue bs cardfile chgat clip_printw color_set demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto extended_color filter firework foldkeys form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts knight lrtest movewindow ncurses newdemo picsmap savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm xmas
 cbreak_sp			test: sp_tinfo
 chgat				test: chgat
 clear				test: blue bs filter gdc ncurses testcurs xmas
 clearok				test: bs knight
 clrtobot			test: demo_menus ncurses
 clrtoeol			test: blue bs demo_altkeys filter foldkeys form_driver_w hanoi hashtest movewindow ncurses view
-color_content			test: ncurses
+color_content			test: ncurses picsmap
 color_content_sp		-
 color_set			test: color_set extended_color ncurses
 copywin				test: ncurses testcurs
 cur_term			test: demo_termcap demo_terminfo dots dots_mvcur filter list_keys lrtest sp_tinfo test_sgr test_vid_puts test_vidputs progs: clear_cmd reset_cmd tabs tput tset
 curs_set			test: demo_new_pair echochar firework gdc hanoi lrtest ncurses newdemo rain savescreen tclock testcurs worm xmas
 curs_set_sp			test: sp_tinfo
-curscr				test: demo_panels edit_field knight lrtest ncurses savescreen tclock view
+curscr				test: demo_panels knight lrtest ncurses popup_msg savescreen tclock view
 curses_version			test: ncurses progs: infocmp tabs tic toe tput tset
 def_prog_mode			test: bs ncurses
 def_prog_mode_sp		test: sp_tinfo
@@ -310,18 +310,18 @@
 delch				-
 deleteln			test: insdelln
 delscreen			test: ditto dots_mvcur
-delwin				test: cardfile chgat clip_printw demo_forms demo_new_pair demo_panels edit_field inch_wide inchs ins_wide insdelln inserts movewindow ncurses newdemo redraw savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
+delwin				test: cardfile chgat clip_printw demo_forms demo_panels inch_wide inchs ins_wide insdelln inserts ncurses newdemo popup_msg redraw test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
 derwin				test: cardfile chgat clip_printw demo_forms demo_menus ditto inch_wide inchs ins_wide insdelln inserts movewindow ncurses test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque
-doupdate			test: cardfile demo_menus demo_panels ditto edit_field ins_wide inserts knight movewindow ncurses redraw savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr
+doupdate			test: cardfile demo_menus demo_panels ditto ins_wide inserts knight movewindow ncurses popup_msg redraw savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr
 doupdate_sp			lib: ncurses
-dupwin				test: edit_field
+dupwin				test: popup_msg
 echo				test: bs hanoi ncurses test_get_wstr test_getstr testcurs testscanw
 echo_sp				lib: ncurses
 echo_wchar			test: ncurses
 echochar			test: echochar ncurses
-endwin				test: background blue bs cardfile chgat clip_printw color_set demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto dots_curses dots_mvcur echochar extended_color filter firework firstlast foldkeys form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts key_names keynames knight lrtest movewindow ncurses newdemo rain redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testaddch testcurs testscanw view worm xmas
+endwin				test: background blue bs cardfile chgat clip_printw color_set demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto dots_curses dots_mvcur echochar extended_color filter firework firstlast foldkeys form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts key_names keynames knight lrtest movewindow ncurses newdemo picsmap rain redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testaddch testcurs testscanw view worm xmas
 endwin_sp			lib: ncurses
-erase				test: cardfile demo_menus filter firework firstlast hanoi lrtest ncurses tclock test_opaque testcurs
+erase				test: cardfile demo_menus filter firework firstlast hanoi lrtest ncurses picsmap tclock test_opaque testcurs
 erasechar			test: ncurses
 erasechar_sp			test: sp_tinfo
 erasewchar			test: ncurses
@@ -350,12 +350,12 @@
 getbegy				test: chgat clip_printw demo_menus demo_panels insdelln movewindow ncurses newdemo redraw testcurs
 getbkgd				test: ncurses
 getbkgrnd			test: ncurses
-getcchar			test: ncurses view
+getcchar			test: ncurses savescreen view
 getch				test: background blue bs chgat color_set demo_altkeys demo_new_pair extended_color filter firework firstlast foldkeys hanoi hashtest insdelln lrtest savescreen tclock test_opaque testaddch testcurs view xmas
 getcurx				test: bs chgat clip_printw demo_altkeys demo_defkey demo_panels extended_color filter firstlast foldkeys insdelln movewindow ncurses redraw savescreen test_get_wstr test_getstr test_opaque testcurs
-getcury				test: bs chgat clip_printw demo_altkeys demo_defkey demo_panels edit_field extended_color filter firstlast foldkeys insdelln movewindow ncurses redraw savescreen test_opaque testcurs
-getmaxx				test: chgat clip_printw demo_panels inch_wide inchs insdelln movewindow ncurses newdemo redraw test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
-getmaxy				test: chgat clip_printw demo_forms demo_panels inch_wide inchs insdelln movewindow ncurses newdemo redraw test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
+getcury				test: bs chgat clip_printw demo_altkeys demo_defkey demo_panels extended_color filter firstlast foldkeys insdelln movewindow ncurses popup_msg redraw savescreen test_opaque testcurs
+getmaxx				test: chgat clip_printw demo_panels inch_wide inchs insdelln movewindow ncurses newdemo popup_msg redraw test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
+getmaxy				test: chgat clip_printw demo_forms demo_panels inch_wide inchs insdelln movewindow ncurses newdemo popup_msg redraw test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
 getmouse			test: bs demo_menus knight movewindow ncurses testcurs
 getmouse_sp			-
 getn_wstr			test: test_get_wstr
@@ -367,7 +367,7 @@
 getwin_sp			-
 halfdelay			test: view
 halfdelay_sp			test: sp_tinfo
-has_colors			test: background bs cardfile chgat clip_printw color_set demo_forms demo_menus demo_new_pair demo_panels dots_curses echochar extended_color filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testcurs view worm xmas
+has_colors			test: background bs cardfile chgat clip_printw color_set demo_forms demo_menus demo_new_pair demo_panels dots_curses echochar extended_color filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo picsmap rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testcurs view worm xmas
 has_colors_sp			lib: ncurses
 has_ic				test: lrtest ncurses
 has_ic_sp			test: sp_tinfo
@@ -392,11 +392,11 @@
 init_color_sp			-
 init_extended_color		test: extended_color
 init_extended_color_sp		test: extended_color
-init_extended_pair		test: extended_color
+init_extended_pair		test: extended_color picsmap
 init_extended_pair_sp		test: extended_color
-init_pair			test: background blue bs cardfile chgat clip_printw color_set demo_forms demo_menus demo_new_pair demo_panels dots_curses echochar filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testaddch testcurs view worm xmas
+init_pair			test: background blue bs cardfile chgat clip_printw color_set demo_forms demo_menus demo_new_pair demo_panels dots_curses echochar filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo picsmap rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testaddch testcurs view worm xmas
 init_pair_sp			-
-initscr				test: background blue bs cardfile chgat clip_printw color_set demo_defkey demo_forms demo_keyok demo_menus demo_panels dots_curses echochar filter firework firstlast form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts knight lrtest movewindow ncurses newdemo rain redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testaddch testcurs testscanw view worm xmas
+initscr				test: background blue bs cardfile chgat clip_printw color_set demo_defkey demo_forms demo_keyok demo_menus demo_panels dots_curses echochar filter firework firstlast form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts knight lrtest movewindow ncurses newdemo picsmap rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testaddch testcurs testscanw view worm xmas
 innstr				test: test_instr
 innwstr				test: test_inwstr
 ins_nwstr			test: ins_wide
@@ -438,7 +438,7 @@
 keyname_sp			test: sp_tinfo
 keyok				test: demo_keyok foldkeys
 keyok_sp			test: sp_tinfo
-keypad				test: bs cardfile chgat clip_printw demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto edit_field filter firework foldkeys form_driver_w hashtest inch_wide inchs ins_wide insdelln inserts key_names keynames knight lrtest movewindow ncurses redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs testscanw view
+keypad				test: bs cardfile chgat clip_printw demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto filter firework foldkeys form_driver_w hashtest inch_wide inchs ins_wide insdelln inserts key_names keynames knight lrtest movewindow ncurses popup_msg redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs testscanw view
 killchar			test: ncurses
 killchar_sp			test: sp_tinfo
 killwchar			test: ncurses
@@ -453,7 +453,7 @@
 mouseinterval_sp		-
 mousemask			test: bs demo_forms demo_menus knight movewindow ncurses testcurs
 mousemask_sp			-
-move				test: blue bs cardfile chgat demo_altkeys demo_menus demo_new_pair dots_curses echochar filter foldkeys gdc hanoi hashtest inch_wide inchs ins_wide inserts knight lrtest movewindow ncurses savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testscanw view xmas
+move				test: blue bs cardfile chgat demo_altkeys demo_menus demo_new_pair dots_curses echochar filter foldkeys gdc hanoi hashtest inch_wide inchs ins_wide inserts knight lrtest movewindow ncurses picsmap savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testscanw view xmas
 mvadd_wch			test: ncurses test_add_wchstr test_addwstr
 mvadd_wchnstr			test: test_add_wchstr
 mvadd_wchstr			test: test_add_wchstr
@@ -471,7 +471,7 @@
 mvderwin			test: movewindow
 mvget_wch			-
 mvget_wstr			test: test_get_wstr
-mvgetch				-
+mvgetch				test: picsmap
 mvgetn_wstr			test: test_get_wstr
 mvgetnstr			test: test_getstr
 mvgetstr			test: test_getstr
@@ -534,26 +534,26 @@
 mvwinsstr			test: inserts testcurs
 mvwinstr			test: test_instr
 mvwinwstr			test: test_inwstr
-mvwprintw			test: chgat clip_printw demo_menus demo_panels inch_wide inchs insdelln ncurses test_instr test_inwstr testcurs
+mvwprintw			test: demo_menus demo_panels inch_wide inchs ncurses test_instr test_inwstr testcurs
 mvwscanw			test: testcurs
 mvwvline			test: ins_wide inserts movewindow test_add_wchstr test_addchstr test_addstr test_addwstr
 mvwvline_set			-
 napms				test: demo_panels ditto dots dots_curses dots_mvcur echochar extended_color firework gdc hanoi lrtest ncurses railroad rain tclock test_opaque testcurs view worm xmas progs: tset
 napms_sp			test: sp_tinfo
 new_prescr			test: sp_tinfo
-newpad				test: edit_field ncurses testcurs
+newpad				test: ncurses popup_msg testcurs
 newpad_sp			lib: ncurses
 newscr				lib: ncurses
-newterm				test: demo_altkeys demo_new_pair ditto dots_mvcur extended_color filter foldkeys gdc key_names keynames
+newterm				test: demo_altkeys demo_new_pair ditto dots_mvcur extended_color filter foldkeys gdc key_names keynames redraw test_termattrs
 newterm_sp			-
-newwin				test: cardfile chgat clip_printw demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto edit_field firstlast inch_wide inchs ins_wide insdelln inserts knight movewindow ncurses newdemo redraw savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs xmas
+newwin				test: cardfile chgat clip_printw demo_defkey demo_forms demo_keyok demo_menus demo_panels ditto firstlast inch_wide inchs ins_wide insdelln inserts knight movewindow ncurses newdemo popup_msg redraw test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs xmas
 newwin_sp			lib: ncurses
 nl				test: demo_forms ncurses rain testcurs
 nl_sp				lib: ncurses
 nocbreak			test: testcurs
 nocbreak_sp			test: sp_tinfo
 nodelay				test: demo_new_pair ditto extended_color firework gdc lrtest ncurses newdemo rain tclock test_opaque view worm xmas
-noecho				test: background bs cardfile chgat clip_printw color_set demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto extended_color firework firstlast foldkeys form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts knight lrtest movewindow ncurses rain redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm xmas
+noecho				test: background bs cardfile chgat clip_printw color_set demo_altkeys demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels ditto extended_color firework firstlast foldkeys form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts knight lrtest movewindow ncurses picsmap rain redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm xmas
 noecho_sp			lib: ncurses
 nofilter			-
 nofilter_sp			-
@@ -566,7 +566,7 @@
 notimeout			test: ncurses test_opaque
 numcodes			test: demo_termcap test_arrays progs: dump_entry
 numfnames			test: demo_terminfo test_arrays progs: dump_entry
-numnames			test: demo_termcap demo_terminfo test_arrays progs: dump_entry infocmp
+numnames			test: demo_terminfo test_arrays progs: dump_entry infocmp
 ospeed				test: demo_termcap progs: tset
 overlay				test: ncurses testcurs xmas
 overwrite			test: ncurses savescreen
@@ -574,7 +574,7 @@
 pair_content_sp			lib: ncurses
 pecho_wchar			-
 pechochar			-
-pnoutrefresh			test: edit_field ncurses
+pnoutrefresh			test: ncurses popup_msg
 prefresh			test: testcurs
 printw				test: background blue bs color_set demo_altkeys demo_defkey demo_keyok extended_color filter foldkeys ncurses savescreen testcurs testscanw view
 putp				test: filter test_sgr progs: tput
@@ -585,7 +585,7 @@
 raw				test: demo_forms ncurses redraw testcurs
 raw_sp				test: sp_tinfo
 redrawwin			test: redraw view
-refresh				test: blue bs demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels dots_curses echochar filter firstlast form_driver_w gdc hanoi hashtest lrtest movewindow ncurses savescreen tclock testcurs view xmas
+refresh				test: blue bs demo_defkey demo_forms demo_keyok demo_menus demo_panels dots_curses echochar filter firstlast form_driver_w gdc hanoi hashtest lrtest movewindow ncurses savescreen tclock testcurs view xmas
 reset_prog_mode			test: filter ncurses
 reset_prog_mode_sp		test: sp_tinfo
 reset_shell_mode		test: bs filter savescreen
@@ -612,7 +612,7 @@
 scr_set_sp			-
 scrl				test: view
 scroll				test: testcurs
-scrollok			test: clip_printw demo_altkeys demo_defkey demo_keyok demo_new_pair demo_panels ditto foldkeys hashtest knight ncurses redraw test_opaque testcurs testscanw view
+scrollok			test: clip_printw demo_altkeys demo_defkey demo_keyok demo_new_pair demo_panels ditto foldkeys hashtest knight ncurses picsmap redraw test_opaque testcurs testscanw view
 set_curterm			test: list_keys sp_tinfo
 set_curterm_sp			test: sp_tinfo
 set_escdelay			test: test_opaque
@@ -620,9 +620,9 @@
 set_tabsize			test: test_opaque
 set_tabsize_sp			test: sp_tinfo
 set_term			lib: ncurses
-setcchar			test: demo_new_pair demo_panels ins_wide ncurses test_add_wchstr test_addwstr view
+setcchar			test: demo_new_pair demo_panels ins_wide ncurses picsmap test_add_wchstr test_addwstr view
 setscrreg			test: view
-setupterm			test: demo_terminfo dots list_keys sp_tinfo test_setupterm test_sgr test_vid_puts test_vidputs progs: clear tabs tput tset
+setupterm			test: demo_terminfo dots list_keys sp_tinfo test_setupterm test_sgr test_termattrs test_vid_puts test_vidputs progs: clear tabs tput tset
 slk_attr			-
 slk_attr_off			-
 slk_attr_on			-
@@ -656,18 +656,18 @@
 slk_wset			test: ncurses
 standend			test: blue gdc ncurses
 standout			test: blue ncurses
-start_color			test: background blue bs cardfile chgat clip_printw color_set demo_forms demo_menus demo_new_pair demo_panels dots_curses echochar extended_color filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testaddch testcurs view worm xmas
+start_color			test: background blue bs cardfile chgat clip_printw color_set demo_forms demo_menus demo_new_pair demo_panels dots_curses echochar extended_color filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo picsmap rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testaddch testcurs view worm xmas
 start_color_sp			-
-stdscr				test: bs chgat clip_printw demo_altkeys demo_forms demo_menus demo_new_pair demo_panels ditto extended_color filter firework foldkeys form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts key_names keynames knight lrtest movewindow ncurses rain redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs testscanw view worm xmas
+stdscr				test: bs chgat clip_printw demo_altkeys demo_forms demo_menus demo_new_pair demo_panels ditto edit_field extended_color filter firework foldkeys form_driver_w gdc hanoi hashtest inch_wide inchs ins_wide insdelln inserts key_names keynames knight lrtest movewindow ncurses picsmap rain redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs testscanw view worm xmas
 strcodes			test: demo_termcap test_arrays progs: dump_entry
 strfnames			test: demo_terminfo list_keys test_arrays progs: dump_entry
-strnames			test: demo_termcap demo_terminfo foldkeys list_keys test_arrays progs: dump_entry infocmp tic
+strnames			test: demo_terminfo foldkeys list_keys test_arrays progs: dump_entry infocmp tic
 subpad				test: testcurs
 subwin				test: movewindow ncurses newdemo testcurs
 syncok				test: test_opaque
-term_attrs			test: ncurses
+term_attrs			test: ncurses test_termattrs
 term_attrs_sp			-
-termattrs			test: ncurses testcurs
+termattrs			test: ncurses test_termattrs testcurs
 termattrs_sp			lib: ncurses
 termname			test: list_keys ncurses testcurs
 termname_sp			test: sp_tinfo
@@ -689,11 +689,11 @@
 timeout				test: filter rain savescreen
 tiparm				-
 touchline			test: chgat clip_printw insdelln
-touchwin			test: chgat clip_printw demo_menus demo_new_pair edit_field filter firstlast inch_wide inchs ins_wide insdelln inserts movewindow ncurses redraw savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque xmas
+touchwin			test: chgat clip_printw demo_menus filter firstlast inch_wide inchs ins_wide insdelln inserts movewindow ncurses popup_msg redraw test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque xmas
 tparm				test: dots dots_mvcur test_sgr progs: reset_cmd tabs tic tput
 tputs				test: dots dots_mvcur dots_termcap railroad test_vid_puts test_vidputs progs: clear_cmd reset_cmd tabs
 tputs_sp			test: sp_tinfo
-trace				test: demo_menus hashtest lrtest ncurses testcurs view worm
+trace				test: demo_menus hashtest lrtest ncurses redraw test_sgr test_termattrs test_vid_puts test_vidputs testcurs view worm
 ttytype				test: demo_terminfo test_sgr
 typeahead			test: testcurs
 typeahead_sp			test: sp_tinfo
@@ -734,12 +734,12 @@
 wadd_wch			test: inch_wide ncurses test_add_wchstr test_addwstr
 wadd_wchnstr			test: savescreen test_add_wchstr
 wadd_wchstr			test: test_add_wchstr
-waddch				test: demo_forms demo_panels ditto firstlast inch_wide inchs knight ncurses test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque worm
+waddch				test: demo_forms demo_panels ditto firstlast inch_wide inchs knight ncurses popup_msg redraw test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque worm
 waddchnstr			test: test_addchstr
 waddchstr			test: test_addchstr
 waddnstr			test: demo_forms test_addstr
 waddnwstr			test: ncurses test_addwstr
-waddstr				test: chgat clip_printw demo_forms demo_panels edit_field firstlast ins_wide insdelln knight ncurses redraw test_add_wchstr test_addstr test_addwstr testcurs
+waddstr				test: chgat clip_printw demo_forms demo_panels firstlast ins_wide insdelln knight ncurses popup_msg redraw test_add_wchstr test_addstr test_addwstr testcurs
 waddwstr			test: ins_wide ncurses test_add_wchstr test_addwstr test_get_wstr
 wattr_get			test: ncurses
 wattr_off			lib: ncurses
@@ -765,11 +765,11 @@
 wecho_wchar			lib: ncurses
 wechochar			lib: ncurses
 wenclose			test: ncurses
-werase				test: cardfile demo_forms demo_menus demo_panels edit_field firstlast knight ncurses newdemo test_get_wstr test_getstr test_opaque testcurs xmas
+werase				test: cardfile demo_forms demo_menus demo_panels firstlast knight ncurses newdemo popup_msg test_get_wstr test_getstr test_opaque testcurs xmas
 wget_wch			test: ins_wide ncurses test_add_wchstr test_addwstr
 wget_wstr			test: test_get_wstr
 wgetbkgrnd			lib: ncurses
-wgetch				test: cardfile chgat clip_printw demo_defkey demo_keyok demo_menus demo_new_pair demo_panels ditto edit_field gdc insdelln inserts knight movewindow ncurses newdemo rain redraw savescreen test_addchstr test_addstr test_opaque testcurs worm
+wgetch				test: cardfile chgat clip_printw demo_defkey demo_keyok demo_menus demo_panels ditto edit_field gdc insdelln inserts knight movewindow ncurses newdemo popup_msg rain redraw test_addchstr test_addstr test_opaque testcurs worm
 wgetdelay			-
 wgetn_wstr			test: ncurses test_get_wstr
 wgetnstr			test: ncurses test_getstr
@@ -797,11 +797,11 @@
 winstr				test: test_instr
 winwstr				test: test_inwstr
 wmouse_trafo			test: ncurses
-wmove				test: chgat clip_printw demo_altkeys demo_defkey demo_keyok demo_menus demo_new_pair demo_panels extended_color firstlast foldkeys inch_wide inchs ins_wide insdelln inserts knight movewindow ncurses newdemo redraw savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs worm
-wnoutrefresh			test: demo_menus ditto edit_field inch_wide inchs ins_wide inserts knight movewindow ncurses redraw test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque
-wprintw				test: chgat clip_printw demo_defkey demo_forms demo_keyok demo_menus demo_new_pair demo_panels edit_field inch_wide inchs ins_wide insdelln inserts knight movewindow ncurses savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
+wmove				test: chgat clip_printw demo_altkeys demo_defkey demo_keyok demo_menus demo_panels extended_color firstlast foldkeys inch_wide inchs ins_wide insdelln inserts knight movewindow ncurses newdemo redraw savescreen test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs worm
+wnoutrefresh			test: demo_menus ditto inch_wide inchs ins_wide inserts knight movewindow ncurses popup_msg redraw test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque
+wprintw				test: chgat clip_printw demo_defkey demo_forms demo_keyok demo_menus demo_panels inch_wide inchs ins_wide insdelln inserts knight ncurses test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs
 wredrawln			test: redraw
-wrefresh			test: chgat clip_printw demo_forms demo_keyok demo_menus demo_panels edit_field firstlast ins_wide insdelln inserts knight lrtest movewindow ncurses newdemo redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testcurs view worm xmas
+wrefresh			test: chgat clip_printw demo_forms demo_keyok demo_menus demo_panels firstlast ins_wide insdelln inserts knight lrtest movewindow ncurses newdemo popup_msg redraw savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testcurs view worm xmas
 wresize				test: cardfile demo_menus ncurses
 wscanw				test: testcurs
 wscrl				test: ncurses testcurs
Index: test/configure
--- ncurses-6.0-20170617+/test/configure	2017-03-31 13:36:08.000000000 +0000
+++ ncurses-6.0-20170624/test/configure	2017-06-24 14:10:26.000000000 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by Autoconf 2.52.20150926.
+# Generated by Autoconf 2.52.20170501.
 #
 # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
 # Free Software Foundation, Inc.
@@ -749,7 +749,7 @@
 running configure, to aid debugging if configure makes a mistake.
 
 It was created by $as_me, which was
-generated by GNU Autoconf 2.52.20150926.  Invocation command line was
+generated by GNU Autoconf 2.52.20170501.  Invocation command line was
 
   $ $0 $@
 
@@ -1451,7 +1451,7 @@
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -1582,7 +1582,7 @@
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -1626,7 +1626,7 @@
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 #ifndef __GNUC__
        choke me
@@ -1674,7 +1674,7 @@
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -1754,7 +1754,7 @@
 #include <stdlib.h>
 $ac_declaration
 int
-main ()
+main (void)
 {
 exit (42);
   ;
@@ -1785,7 +1785,7 @@
 #include "confdefs.h"
 $ac_declaration
 int
-main ()
+main (void)
 {
 exit (42);
   ;
@@ -1879,7 +1879,7 @@
 int argc;
 char **argv;
 int
-main ()
+main (void)
 {
 return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
   ;
@@ -2638,7 +2638,7 @@
 	#include <math.h>
 
 int
-main ()
+main (void)
 {
 double x = rand(); printf("result = %g\n", pow(sin(x),x))
   ;
@@ -2882,7 +2882,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -2946,7 +2946,7 @@
    builtin and then its argument prototype would still apply.  */
 char strlcat ();
 int
-main ()
+main (void)
 {
 strlcat ();
   ;
@@ -3074,7 +3074,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -3170,7 +3170,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifndef _XOPEN_SOURCE
@@ -3203,7 +3203,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifdef _XOPEN_SOURCE
@@ -3255,7 +3255,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifdef _DEFAULT_SOURCE
@@ -3325,7 +3325,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifndef _POSIX_C_SOURCE
@@ -3370,7 +3370,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifdef _POSIX_SOURCE
@@ -3413,7 +3413,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifndef _POSIX_C_SOURCE
@@ -3602,7 +3602,7 @@
 #include <sys/types.h>
 
 int
-main ()
+main (void)
 {
 
 #ifndef _XOPEN_SOURCE
@@ -3639,7 +3639,7 @@
 #include <sys/types.h>
 
 int
-main ()
+main (void)
 {
 
 #ifdef _XOPEN_SOURCE
@@ -3815,7 +3815,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifndef _POSIX_C_SOURCE
@@ -3860,7 +3860,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifdef _POSIX_SOURCE
@@ -3903,7 +3903,7 @@
 #include "confdefs.h"
 #include <sys/types.h>
 int
-main ()
+main (void)
 {
 
 #ifndef _POSIX_C_SOURCE
@@ -4168,7 +4168,7 @@
 #include "confdefs.h"
 #include <stdlib.h>
 int
-main ()
+main (void)
 {
 
 #ifndef _XOPEN_SOURCE
@@ -4206,7 +4206,7 @@
 #include "confdefs.h"
 #include <stdlib.h>
 int
-main ()
+main (void)
 {
 
 #if (_XOPEN_SOURCE - 0) < $cf_XOPEN_SOURCE
@@ -4257,7 +4257,7 @@
 #include <sys/types.h>
 
 int
-main ()
+main (void)
 {
 
 #ifndef _XOPEN_SOURCE
@@ -4294,7 +4294,7 @@
 #include <sys/types.h>
 
 int
-main ()
+main (void)
 {
 
 #ifdef _XOPEN_SOURCE
@@ -4473,7 +4473,7 @@
 	x = 5;
 }
 int
-main ()
+main (void)
 {
 signal(SIGINT, handler);
 		 x = 1
@@ -4528,7 +4528,7 @@
 #include <sys/signal.h>
 
 int
-main ()
+main (void)
 {
 int x = SIGWINCH
   ;
@@ -4562,7 +4562,7 @@
 #include <sys/signal.h>
 
 int
-main ()
+main (void)
 {
 int x = SIGWINCH
   ;
@@ -4618,7 +4618,7 @@
 #include <sys/signal.h>
 
 int
-main ()
+main (void)
 {
 
 #if SIGWINCH != $cf_sigwinch
@@ -4673,7 +4673,7 @@
 #include "confdefs.h"
 #include <langinfo.h>
 int
-main ()
+main (void)
 {
 char* cs = nl_langinfo(CODESET);
   ;
@@ -5007,7 +5007,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello")
   ;
@@ -5186,7 +5186,7 @@
 #include "confdefs.h"
 #include <${cf_header}>
 int
-main ()
+main (void)
 {
 initscr(); tgoto("?", 0,0)
   ;
@@ -5298,7 +5298,7 @@
 #include <$cf_test>
 
 int
-main ()
+main (void)
 {
 int x = auto_left_margin
   ;
@@ -5463,7 +5463,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr(); tgoto("?", 0,0)
   ;
@@ -5514,7 +5514,7 @@
    builtin and then its argument prototype would still apply.  */
 char tgoto ();
 int
-main ()
+main (void)
 {
 tgoto ();
   ;
@@ -5591,7 +5591,7 @@
    builtin and then its argument prototype would still apply.  */
 char initscr ();
 int
-main ()
+main (void)
 {
 initscr ();
   ;
@@ -5662,7 +5662,7 @@
    builtin and then its argument prototype would still apply.  */
 char initscr ();
 int
-main ()
+main (void)
 {
 initscr ();
   ;
@@ -5906,7 +5906,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -5969,7 +5969,7 @@
    builtin and then its argument prototype would still apply.  */
 char tgoto ();
 int
-main ()
+main (void)
 {
 tgoto ();
   ;
@@ -6035,7 +6035,7 @@
    builtin and then its argument prototype would still apply.  */
 char initscr ();
 int
-main ()
+main (void)
 {
 initscr ();
   ;
@@ -6084,7 +6084,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr()
   ;
@@ -6125,7 +6125,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr(); tgoto((char *)0, 0, 0);
   ;
@@ -6155,7 +6155,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr()
   ;
@@ -6206,7 +6206,7 @@
 
 #include <stdlib.h>
 int
-main ()
+main (void)
 {
 putwc(0,0);
   ;
@@ -6245,7 +6245,7 @@
 
 #include <libutf8.h>
 int
-main ()
+main (void)
 {
 putwc(0,0);
   ;
@@ -6281,7 +6281,7 @@
 
 #include <libutf8.h>
 int
-main ()
+main (void)
 {
 putwc(0,0);
   ;
@@ -6417,7 +6417,7 @@
 
 #include <libutf8.h>
 int
-main ()
+main (void)
 {
 putwc(0,0);
   ;
@@ -6543,7 +6543,7 @@
 
 #include <libutf8.h>
 int
-main ()
+main (void)
 {
 putwc(0,0);
   ;
@@ -6646,7 +6646,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello")
   ;
@@ -6782,7 +6782,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr(); mousemask(0,0); tgoto((char *)0, 0, 0);
   ;
@@ -6985,7 +6985,7 @@
 #include "confdefs.h"
 #include <${cf_header}>
 int
-main ()
+main (void)
 {
 initscr(); tgoto("?", 0,0)
   ;
@@ -7119,7 +7119,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello")
   ;
@@ -7189,7 +7189,7 @@
 
 #include <$cf_header>
 int
-main ()
+main (void)
 {
 
 #ifdef NCURSES_VERSION
@@ -7361,7 +7361,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello")
   ;
@@ -7423,7 +7423,7 @@
 
 #include <$cf_header>
 int
-main ()
+main (void)
 {
 
 #ifdef NCURSES_VERSION
@@ -7514,7 +7514,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello")
   ;
@@ -7621,7 +7621,7 @@
 #include <$cf_test>
 
 int
-main ()
+main (void)
 {
 int x = auto_left_margin
   ;
@@ -7810,7 +7810,7 @@
    builtin and then its argument prototype would still apply.  */
 char Gpm_Open ();
 int
-main ()
+main (void)
 {
 Gpm_Open ();
   ;
@@ -7860,7 +7860,7 @@
    builtin and then its argument prototype would still apply.  */
 char initscr ();
 int
-main ()
+main (void)
 {
 initscr ();
   ;
@@ -7922,7 +7922,7 @@
    builtin and then its argument prototype would still apply.  */
 char tgoto ();
 int
-main ()
+main (void)
 {
 tgoto ();
   ;
@@ -8020,7 +8020,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -8070,7 +8070,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr()
   ;
@@ -8172,7 +8172,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr()
   ;
@@ -8235,7 +8235,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr(); mousemask(0,0); tgoto((char *)0, 0, 0);
   ;
@@ -8320,7 +8320,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr(); mousemask(0,0); tgoto((char *)0, 0, 0);
   ;
@@ -8523,7 +8523,7 @@
 #include "confdefs.h"
 #include <${cf_header}>
 int
-main ()
+main (void)
 {
 initscr(); tgoto("?", 0,0)
   ;
@@ -8657,7 +8657,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello")
   ;
@@ -8727,7 +8727,7 @@
 
 #include <$cf_header>
 int
-main ()
+main (void)
 {
 
 #ifdef NCURSES_VERSION
@@ -8899,7 +8899,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello")
   ;
@@ -8961,7 +8961,7 @@
 
 #include <$cf_header>
 int
-main ()
+main (void)
 {
 
 #ifdef NCURSES_VERSION
@@ -9052,7 +9052,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello")
   ;
@@ -9159,7 +9159,7 @@
 #include <$cf_test>
 
 int
-main ()
+main (void)
 {
 int x = auto_left_margin
   ;
@@ -9348,7 +9348,7 @@
    builtin and then its argument prototype would still apply.  */
 char Gpm_Open ();
 int
-main ()
+main (void)
 {
 Gpm_Open ();
   ;
@@ -9398,7 +9398,7 @@
    builtin and then its argument prototype would still apply.  */
 char initscr ();
 int
-main ()
+main (void)
 {
 initscr ();
   ;
@@ -9460,7 +9460,7 @@
    builtin and then its argument prototype would still apply.  */
 char tgoto ();
 int
-main ()
+main (void)
 {
 tgoto ();
   ;
@@ -9558,7 +9558,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -9608,7 +9608,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr()
   ;
@@ -9710,7 +9710,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr()
   ;
@@ -9773,7 +9773,7 @@
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 initscr(); mousemask(0,0); tgoto((char *)0, 0, 0);
   ;
@@ -9961,7 +9961,7 @@
 #include "confdefs.h"
 #include <X11/Intrinsic.h>
 int
-main ()
+main (void)
 {
 XtMalloc (0)
   ;
@@ -10058,7 +10058,7 @@
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -10095,7 +10095,7 @@
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -10157,7 +10157,7 @@
    builtin and then its argument prototype would still apply.  */
 char XOpenDisplay ();
 int
-main ()
+main (void)
 {
 XOpenDisplay ();
   ;
@@ -10199,7 +10199,7 @@
    builtin and then its argument prototype would still apply.  */
 char dnet_ntoa ();
 int
-main ()
+main (void)
 {
 dnet_ntoa ();
   ;
@@ -10253,7 +10253,7 @@
    builtin and then its argument prototype would still apply.  */
 char dnet_ntoa ();
 int
-main ()
+main (void)
 {
 dnet_ntoa ();
   ;
@@ -10321,7 +10321,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -10379,7 +10379,7 @@
    builtin and then its argument prototype would still apply.  */
 char gethostbyname ();
 int
-main ()
+main (void)
 {
 gethostbyname ();
   ;
@@ -10433,7 +10433,7 @@
    builtin and then its argument prototype would still apply.  */
 char gethostbyname ();
 int
-main ()
+main (void)
 {
 gethostbyname ();
   ;
@@ -10498,7 +10498,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -10556,7 +10556,7 @@
    builtin and then its argument prototype would still apply.  */
 char connect ();
 int
-main ()
+main (void)
 {
 connect ();
   ;
@@ -10614,7 +10614,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -10672,7 +10672,7 @@
    builtin and then its argument prototype would still apply.  */
 char remove ();
 int
-main ()
+main (void)
 {
 remove ();
   ;
@@ -10730,7 +10730,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -10788,7 +10788,7 @@
    builtin and then its argument prototype would still apply.  */
 char shmat ();
 int
-main ()
+main (void)
 {
 shmat ();
   ;
@@ -10853,7 +10853,7 @@
    builtin and then its argument prototype would still apply.  */
 char IceConnectionNumber ();
 int
-main ()
+main (void)
 {
 IceConnectionNumber ();
   ;
@@ -11141,7 +11141,7 @@
 #include <X11/Xmu/CharSet.h>
 
 int
-main ()
+main (void)
 {
 
 int check = XmuCompareISOLatin1("big", "small")
@@ -11524,7 +11524,7 @@
    builtin and then its argument prototype would still apply.  */
 char XextCreateExtension ();
 int
-main ()
+main (void)
 {
 XextCreateExtension ();
   ;
@@ -12284,7 +12284,7 @@
 #include <X11/Xlib.h>
 
 int
-main ()
+main (void)
 {
 
 	int rc1 = XDrawLine((Display*) 0, (Drawable) 0, (GC) 0, 0, 0, 0, 0);
@@ -12488,7 +12488,7 @@
 #include <X11/Shell.h>
 
 int
-main ()
+main (void)
 {
 int num = IceConnectionNumber(0)
 
@@ -12946,7 +12946,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello world");
   ;
@@ -13005,7 +13005,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -13065,7 +13065,7 @@
    builtin and then its argument prototype would still apply.  */
 char XOpenDisplay ();
 int
-main ()
+main (void)
 {
 XOpenDisplay ();
   ;
@@ -13138,7 +13138,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -13198,7 +13198,7 @@
    builtin and then its argument prototype would still apply.  */
 char XtAppInitialize ();
 int
-main ()
+main (void)
 {
 XtAppInitialize ();
   ;
@@ -13278,7 +13278,7 @@
 #include <X11/Intrinsic.h>
 #include <$cf_test>
 int
-main ()
+main (void)
 {
 
   ;
@@ -13393,7 +13393,7 @@
 #include <X11/$cf_x_athena_root/SimpleMenu.h>
 
 int
-main ()
+main (void)
 {
 
 $cf_test((XtAppContext) 0)
@@ -13674,7 +13674,7 @@
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello world");
   ;
@@ -13731,7 +13731,7 @@
    builtin and then its argument prototype would still apply.  */
 char XOpenDisplay ();
 int
-main ()
+main (void)
 {
 XOpenDisplay ();
   ;
@@ -13811,7 +13811,7 @@
 char *XCursesProgramName = "test";
 
 int
-main ()
+main (void)
 {
 XCursesExit();
   ;
@@ -13934,7 +13934,7 @@
    builtin and then its argument prototype would still apply.  */
 char _nc_init_pthreads ();
 int
-main ()
+main (void)
 {
 _nc_init_pthreads ();
   ;
@@ -14011,7 +14011,7 @@
 #include <form.h>
 
 int
-main ()
+main (void)
 {
 
 	FORM *form;
@@ -14066,7 +14066,7 @@
 #include <menu.h>
 
 int
-main ()
+main (void)
 {
 
 	MENU *menu;
@@ -14135,7 +14135,7 @@
    builtin and then its argument prototype would still apply.  */
 char new_panel ();
 int
-main ()
+main (void)
 {
 new_panel ();
   ;
@@ -14211,7 +14211,7 @@
    builtin and then its argument prototype would still apply.  */
 char menu_driver ();
 int
-main ()
+main (void)
 {
 menu_driver ();
   ;
@@ -14287,7 +14287,7 @@
    builtin and then its argument prototype would still apply.  */
 char form_driver ();
 int
-main ()
+main (void)
 {
 form_driver ();
   ;
@@ -14499,7 +14499,7 @@
 
 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
 int
-main ()
+main (void)
 {
   int i;
   for (i = 0; i < 256; i++)
@@ -14554,7 +14554,7 @@
 #include <time.h>
 
 int
-main ()
+main (void)
 {
 if ((struct tm *) 0)
 return 0;
@@ -14713,7 +14713,7 @@
 
 #include <$cf_header>
 int
-main ()
+main (void)
 {
 int x = optind; char *y = optarg
   ;
@@ -14786,7 +14786,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -14872,7 +14872,7 @@
 char (*f) ();
 
 int
-main ()
+main (void)
 {
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
@@ -14933,7 +14933,7 @@
 #include <stdlib.h>
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 #if defined(NCURSES_VERSION_PATCH)
@@ -14979,7 +14979,7 @@
 #include <stdlib.h>
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 #ifdef NCURSES_VERSION
@@ -15053,7 +15053,7 @@
 #include <${cf_cv_ncurses_header:-curses.h}>
 #include <${cf_header}>
 int
-main ()
+main (void)
 {
 WINDOW *x
   ;
@@ -15099,7 +15099,7 @@
 make an error
 #endif
 int
-main ()
+main (void)
 {
 WINDOW *x
   ;
@@ -15185,7 +15185,7 @@
 #include <${cf_cv_ncurses_header:-curses.h}>
 #include <${cf_header}>
 int
-main ()
+main (void)
 {
 WINDOW *x
   ;
@@ -15293,15 +15293,16 @@
 winsstr \
 wresize \
 wsyncdown \
+_tracef \
 
 do
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:15301: checking for ${cf_func}" >&5
+	echo "$as_me:15302: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:15304: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:15305: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15310,7 +15311,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 15313 "configure"
+#line 15314 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15328,7 +15329,7 @@
 #endif
 
 int
-main ()
+main (void)
 {
 
 #ifndef ${cf_func}
@@ -15343,16 +15344,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15346: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15347: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15349: \$? = $ac_status" >&5
+  echo "$as_me:15350: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15352: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15353: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15355: \$? = $ac_status" >&5
+  echo "$as_me:15356: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15368,7 +15369,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:15371: result: $cf_result" >&5
+	echo "$as_me:15372: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -15383,10 +15384,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:15386: checking for ${cf_func}" >&5
+	echo "$as_me:15387: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:15389: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:15390: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15395,7 +15396,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 15398 "configure"
+#line 15399 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15413,7 +15414,7 @@
 #endif
 
 int
-main ()
+main (void)
 {
 
 #ifndef ${cf_func}
@@ -15428,16 +15429,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15431: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15432: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15434: \$? = $ac_status" >&5
+  echo "$as_me:15435: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15437: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15438: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15440: \$? = $ac_status" >&5
+  echo "$as_me:15441: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15453,7 +15454,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:15456: result: $cf_result" >&5
+	echo "$as_me:15457: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -15477,7 +15478,7 @@
 				cf_return="return value"
 			fi
 			cat >conftest.$ac_ext <<_ACEOF
-#line 15480 "configure"
+#line 15481 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -15486,7 +15487,7 @@
 static $cf_ret outc($cf_arg value) { $cf_return; }
 
 int
-main ()
+main (void)
 {
 
 	tputs("hello", 0, outc);
@@ -15497,21 +15498,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15500: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15501: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15503: \$? = $ac_status" >&5
+  echo "$as_me:15504: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15506: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15507: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15509: \$? = $ac_status" >&5
+  echo "$as_me:15510: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		test -n "$verbose" && echo "	prototype $cf_ret func($cf_arg value)" 1>&6
 
-echo "${as_me:-configure}:15514: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
+echo "${as_me:-configure}:15515: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
 
 		cat >>confdefs.h <<EOF
 #define TPUTS_ARG               $cf_arg
@@ -15531,19 +15532,19 @@
 	done
 fi
 
-echo "$as_me:15534: checking for ncurses extended functions" >&5
+echo "$as_me:15535: checking for ncurses extended functions" >&5
 echo $ECHO_N "checking for ncurses extended functions... $ECHO_C" >&6
 if test "${cf_cv_ncurses_ext_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15541 "configure"
+#line 15542 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 int x = NCURSES_EXT_FUNCS
@@ -15553,16 +15554,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15556: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15557: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15559: \$? = $ac_status" >&5
+  echo "$as_me:15560: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15562: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15563: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15565: \$? = $ac_status" >&5
+  echo "$as_me:15566: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=defined
 else
@@ -15570,12 +15571,12 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15573 "configure"
+#line 15574 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 	(void) assume_default_colors (0, 0);
@@ -15595,16 +15596,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15598: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15599: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15601: \$? = $ac_status" >&5
+  echo "$as_me:15602: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15604: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15605: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15607: \$? = $ac_status" >&5
+  echo "$as_me:15608: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=yes
 else
@@ -15618,7 +15619,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:15621: result: $cf_cv_ncurses_ext_funcs" >&5
+echo "$as_me:15622: result: $cf_cv_ncurses_ext_funcs" >&5
 echo "${ECHO_T}$cf_cv_ncurses_ext_funcs" >&6
 test "$cf_cv_ncurses_ext_funcs" = yes &&
 cat >>confdefs.h <<\EOF
@@ -15632,16 +15633,16 @@
 	if test -n "$cf_cv_ncurses_version" && test "x$cf_cv_ncurses_version" != xno
 	then
 		cf_define_xpg5=no
-		echo "$as_me:15635: checking if _XPG5 should be defined to enable wide-characters" >&5
+		echo "$as_me:15636: checking if _XPG5 should be defined to enable wide-characters" >&5
 echo $ECHO_N "checking if _XPG5 should be defined to enable wide-characters... $ECHO_C" >&6
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 15639 "configure"
+#line 15640 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 int x = _XPG5
   ;
@@ -15649,16 +15650,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15652: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15653: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15655: \$? = $ac_status" >&5
+  echo "$as_me:15656: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15658: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15659: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15661: \$? = $ac_status" >&5
+  echo "$as_me:15662: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -15667,12 +15668,12 @@
 cf_save_cppflags="$CPPFLAGS"
 			 CPPFLAGS="$CPPFLAGS -D_XPG5"
 			 cat >conftest.$ac_ext <<_ACEOF
-#line 15670 "configure"
+#line 15671 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 int x = _XPG5
   ;
@@ -15680,16 +15681,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15683: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15684: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15686: \$? = $ac_status" >&5
+  echo "$as_me:15687: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15689: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15690: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15692: \$? = $ac_status" >&5
+  echo "$as_me:15693: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_define_xpg5=yes
 else
@@ -15700,7 +15701,7 @@
 			 CPPFLAGS="$cf_save_cppflags"
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-		echo "$as_me:15703: result: $cf_define_xpg5" >&5
+		echo "$as_me:15704: result: $cf_define_xpg5" >&5
 echo "${ECHO_T}$cf_define_xpg5" >&6
 
 		if test "$cf_define_xpg5" = yes
@@ -15709,19 +15710,19 @@
 		fi
 	fi
 
-	echo "$as_me:15712: checking for wide-character functions" >&5
+	echo "$as_me:15713: checking for wide-character functions" >&5
 echo $ECHO_N "checking for wide-character functions... $ECHO_C" >&6
 if test "${cf_cv_widechar_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15719 "configure"
+#line 15720 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 		static wchar_t src_wchar[2];
@@ -15733,16 +15734,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15736: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15737: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15739: \$? = $ac_status" >&5
+  echo "$as_me:15740: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15742: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15743: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15745: \$? = $ac_status" >&5
+  echo "$as_me:15746: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_widechar_funcs=yes
 else
@@ -15753,7 +15754,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15756: result: $cf_cv_widechar_funcs" >&5
+echo "$as_me:15757: result: $cf_cv_widechar_funcs" >&5
 echo "${ECHO_T}$cf_cv_widechar_funcs" >&6
 	if test "$cf_cv_widechar_funcs" != no ; then
 
@@ -15774,21 +15775,21 @@
 
 fi
 
-echo "$as_me:15777: checking if $cf_cv_screen library uses pthreads" >&5
+echo "$as_me:15778: checking if $cf_cv_screen library uses pthreads" >&5
 echo $ECHO_N "checking if $cf_cv_screen library uses pthreads... $ECHO_C" >&6
 if test "${cf_cv_use_pthreads+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15784 "configure"
+#line 15785 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
 extern void _nc_init_pthreads(void);
 
 int
-main ()
+main (void)
 {
 
 	initscr();
@@ -15799,16 +15800,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15802: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15803: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15805: \$? = $ac_status" >&5
+  echo "$as_me:15806: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15808: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15809: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15811: \$? = $ac_status" >&5
+  echo "$as_me:15812: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_use_pthreads=yes
 else
@@ -15819,20 +15820,20 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15822: result: $cf_cv_use_pthreads" >&5
+echo "$as_me:15823: result: $cf_cv_use_pthreads" >&5
 echo "${ECHO_T}$cf_cv_use_pthreads" >&6
 test $cf_cv_use_pthreads = yes && cat >>confdefs.h <<\EOF
 #define USE_PTHREADS 1
 EOF
 
-echo "$as_me:15828: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:15829: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15835 "configure"
+#line 15836 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -15844,7 +15845,7 @@
 #endif
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -15852,16 +15853,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15855: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15856: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15858: \$? = $ac_status" >&5
+  echo "$as_me:15859: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15861: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15862: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15864: \$? = $ac_status" >&5
+  echo "$as_me:15865: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -15873,7 +15874,7 @@
 
 fi
 
-echo "$as_me:15876: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:15877: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
@@ -15882,7 +15883,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:15885: checking for openpty in -lutil" >&5
+echo "$as_me:15886: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15890,7 +15891,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15893 "configure"
+#line 15894 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15901,7 +15902,7 @@
    builtin and then its argument prototype would still apply.  */
 char openpty ();
 int
-main ()
+main (void)
 {
 openpty ();
   ;
@@ -15909,16 +15910,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15912: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15913: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15915: \$? = $ac_status" >&5
+  echo "$as_me:15916: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15918: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15919: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15921: \$? = $ac_status" >&5
+  echo "$as_me:15922: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -15929,7 +15930,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15932: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:15933: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -15937,7 +15938,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:15940: checking for openpty header" >&5
+echo "$as_me:15941: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15964,13 +15965,13 @@
 	for cf_header in pty.h libutil.h util.h
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15967 "configure"
+#line 15968 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
 
 int
-main ()
+main (void)
 {
 
 	int x = openpty((int *)0, (int *)0, (char *)0,
@@ -15981,16 +15982,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15984: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15985: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15987: \$? = $ac_status" >&5
+  echo "$as_me:15988: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15990: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15991: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15993: \$? = $ac_status" >&5
+  echo "$as_me:15994: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		cf_cv_func_openpty=$cf_header
@@ -16008,7 +16009,7 @@
 	LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:16011: result: $cf_cv_func_openpty" >&5
+echo "$as_me:16012: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -16042,7 +16043,7 @@
 	fi
 fi
 
-echo "$as_me:16045: checking for function curses_version" >&5
+echo "$as_me:16046: checking for function curses_version" >&5
 echo $ECHO_N "checking for function curses_version... $ECHO_C" >&6
 if test "${cf_cv_func_curses_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16052,7 +16053,7 @@
   cf_cv_func_curses_version=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16055 "configure"
+#line 16056 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -16065,15 +16066,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16068: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16069: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16071: \$? = $ac_status" >&5
+  echo "$as_me:16072: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16073: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16074: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16076: \$? = $ac_status" >&5
+  echo "$as_me:16077: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_curses_version=yes
 
@@ -16088,14 +16089,14 @@
 fi
 rm -f core
 fi
-echo "$as_me:16091: result: $cf_cv_func_curses_version" >&5
+echo "$as_me:16092: result: $cf_cv_func_curses_version" >&5
 echo "${ECHO_T}$cf_cv_func_curses_version" >&6
 test "$cf_cv_func_curses_version" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_CURSES_VERSION 1
 EOF
 
-echo "$as_me:16098: checking for alternate character set array" >&5
+echo "$as_me:16099: checking for alternate character set array" >&5
 echo $ECHO_N "checking for alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_acs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16105,13 +16106,13 @@
 for name in acs_map _acs_map __acs_map ${NCURSES_WRAP_PREFIX}acs_map
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 16108 "configure"
+#line 16109 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
 
 int
-main ()
+main (void)
 {
 
 $name['k'] = ACS_PLUS
@@ -16121,16 +16122,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16124: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16125: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16127: \$? = $ac_status" >&5
+  echo "$as_me:16128: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16130: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16131: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16133: \$? = $ac_status" >&5
+  echo "$as_me:16134: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_acs_map=$name; break
 else
@@ -16141,7 +16142,7 @@
 done
 
 fi
-echo "$as_me:16144: result: $cf_cv_curses_acs_map" >&5
+echo "$as_me:16145: result: $cf_cv_curses_acs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_acs_map" >&6
 
 test "$cf_cv_curses_acs_map" != unknown &&
@@ -16151,7 +16152,7 @@
 
 if test "$cf_enable_widec" = yes; then
 
-echo "$as_me:16154: checking for wide alternate character set array" >&5
+echo "$as_me:16155: checking for wide alternate character set array" >&5
 echo $ECHO_N "checking for wide alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16161,7 +16162,7 @@
 	for name in wacs_map _wacs_map __wacs_map _nc_wacs _wacs_char
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16164 "configure"
+#line 16165 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16169,7 +16170,7 @@
 #endif
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 void *foo = &($name['k'])
   ;
@@ -16177,16 +16178,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16180: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16181: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16183: \$? = $ac_status" >&5
+  echo "$as_me:16184: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16186: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16187: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16189: \$? = $ac_status" >&5
+  echo "$as_me:16190: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_map=$name
 	 break
@@ -16197,7 +16198,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	done
 fi
-echo "$as_me:16200: result: $cf_cv_curses_wacs_map" >&5
+echo "$as_me:16201: result: $cf_cv_curses_wacs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_map" >&6
 
 test "$cf_cv_curses_wacs_map" != unknown &&
@@ -16205,7 +16206,7 @@
 #define CURSES_WACS_ARRAY $cf_cv_curses_wacs_map
 EOF
 
-echo "$as_me:16208: checking for wide alternate character constants" >&5
+echo "$as_me:16209: checking for wide alternate character constants" >&5
 echo $ECHO_N "checking for wide alternate character constants... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_symbols+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16215,7 +16216,7 @@
 if test "$cf_cv_curses_wacs_map" != unknown
 then
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16218 "configure"
+#line 16219 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16223,7 +16224,7 @@
 #endif
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 cchar_t *foo = WACS_PLUS;
 	 $cf_cv_curses_wacs_map['k'] = *WACS_PLUS
@@ -16232,16 +16233,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16235: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16236: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16238: \$? = $ac_status" >&5
+  echo "$as_me:16239: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16241: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16242: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16244: \$? = $ac_status" >&5
+  echo "$as_me:16245: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -16251,7 +16252,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 else
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16254 "configure"
+#line 16255 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16259,7 +16260,7 @@
 #endif
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 cchar_t *foo = WACS_PLUS
   ;
@@ -16267,16 +16268,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16270: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16271: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16273: \$? = $ac_status" >&5
+  echo "$as_me:16274: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16276: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16277: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16279: \$? = $ac_status" >&5
+  echo "$as_me:16280: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -16287,7 +16288,7 @@
 fi
 
 fi
-echo "$as_me:16290: result: $cf_cv_curses_wacs_symbols" >&5
+echo "$as_me:16291: result: $cf_cv_curses_wacs_symbols" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_symbols" >&6
 
 test "$cf_cv_curses_wacs_symbols" != no &&
@@ -16297,10 +16298,10 @@
 
 fi
 
-echo "$as_me:16300: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16301: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 16303 "configure"
+#line 16304 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16308,7 +16309,7 @@
 #endif
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 attr_t foo
@@ -16318,16 +16319,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16321: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16322: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16324: \$? = $ac_status" >&5
+  echo "$as_me:16325: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16327: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16328: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16330: \$? = $ac_status" >&5
+  echo "$as_me:16331: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16336,7 +16337,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16339: result: $cf_result" >&5
+echo "$as_me:16340: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -16357,14 +16358,14 @@
 if test "$cf_enable_widec" = yes; then
 
 # This is needed on Tru64 5.0 to declare mbstate_t
-echo "$as_me:16360: checking if we must include wchar.h to declare mbstate_t" >&5
+echo "$as_me:16361: checking if we must include wchar.h to declare mbstate_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare mbstate_t... $ECHO_C" >&6
 if test "${cf_cv_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16367 "configure"
+#line 16368 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16374,7 +16375,7 @@
 #include <libutf8.h>
 #endif
 int
-main ()
+main (void)
 {
 mbstate_t state
   ;
@@ -16382,23 +16383,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16385: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16386: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16388: \$? = $ac_status" >&5
+  echo "$as_me:16389: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16391: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16392: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16394: \$? = $ac_status" >&5
+  echo "$as_me:16395: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 16401 "configure"
+#line 16402 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16409,7 +16410,7 @@
 #include <libutf8.h>
 #endif
 int
-main ()
+main (void)
 {
 mbstate_t value
   ;
@@ -16417,16 +16418,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16420: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16421: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16423: \$? = $ac_status" >&5
+  echo "$as_me:16424: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16426: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16427: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16429: \$? = $ac_status" >&5
+  echo "$as_me:16430: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=yes
 else
@@ -16438,7 +16439,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16441: result: $cf_cv_mbstate_t" >&5
+echo "$as_me:16442: result: $cf_cv_mbstate_t" >&5
 echo "${ECHO_T}$cf_cv_mbstate_t" >&6
 
 if test "$cf_cv_mbstate_t" = yes ; then
@@ -16461,14 +16462,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wchar_t
-echo "$as_me:16464: checking if we must include wchar.h to declare wchar_t" >&5
+echo "$as_me:16465: checking if we must include wchar.h to declare wchar_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wchar_t... $ECHO_C" >&6
 if test "${cf_cv_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16471 "configure"
+#line 16472 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16478,7 +16479,7 @@
 #include <libutf8.h>
 #endif
 int
-main ()
+main (void)
 {
 wchar_t state
   ;
@@ -16486,23 +16487,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16489: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16490: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16492: \$? = $ac_status" >&5
+  echo "$as_me:16493: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16495: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16496: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16498: \$? = $ac_status" >&5
+  echo "$as_me:16499: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 16505 "configure"
+#line 16506 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16513,7 +16514,7 @@
 #include <libutf8.h>
 #endif
 int
-main ()
+main (void)
 {
 wchar_t value
   ;
@@ -16521,16 +16522,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16524: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16525: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16527: \$? = $ac_status" >&5
+  echo "$as_me:16528: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16530: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16531: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16533: \$? = $ac_status" >&5
+  echo "$as_me:16534: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=yes
 else
@@ -16542,7 +16543,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16545: result: $cf_cv_wchar_t" >&5
+echo "$as_me:16546: result: $cf_cv_wchar_t" >&5
 echo "${ECHO_T}$cf_cv_wchar_t" >&6
 
 if test "$cf_cv_wchar_t" = yes ; then
@@ -16565,14 +16566,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wint_t
-echo "$as_me:16568: checking if we must include wchar.h to declare wint_t" >&5
+echo "$as_me:16569: checking if we must include wchar.h to declare wint_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wint_t... $ECHO_C" >&6
 if test "${cf_cv_wint_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16575 "configure"
+#line 16576 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16582,7 +16583,7 @@
 #include <libutf8.h>
 #endif
 int
-main ()
+main (void)
 {
 wint_t state
   ;
@@ -16590,23 +16591,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16593: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16594: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16596: \$? = $ac_status" >&5
+  echo "$as_me:16597: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16599: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16600: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16602: \$? = $ac_status" >&5
+  echo "$as_me:16603: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 16609 "configure"
+#line 16610 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16617,7 +16618,7 @@
 #include <libutf8.h>
 #endif
 int
-main ()
+main (void)
 {
 wint_t value
   ;
@@ -16625,16 +16626,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16628: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16629: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16631: \$? = $ac_status" >&5
+  echo "$as_me:16632: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16634: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16635: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16637: \$? = $ac_status" >&5
+  echo "$as_me:16638: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=yes
 else
@@ -16646,7 +16647,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16649: result: $cf_cv_wint_t" >&5
+echo "$as_me:16650: result: $cf_cv_wint_t" >&5
 echo "${ECHO_T}$cf_cv_wint_t" >&6
 
 if test "$cf_cv_wint_t" = yes ; then
@@ -16670,10 +16671,10 @@
 
 	if test "$NCURSES_OK_MBSTATE_T" = 0 ; then
 
-echo "$as_me:16673: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16674: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 16676 "configure"
+#line 16677 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16681,7 +16682,7 @@
 #endif
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 mbstate_t foo
@@ -16691,16 +16692,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16694: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16695: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16697: \$? = $ac_status" >&5
+  echo "$as_me:16698: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16700: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16701: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16703: \$? = $ac_status" >&5
+  echo "$as_me:16704: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16709,7 +16710,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16712: result: $cf_result" >&5
+echo "$as_me:16713: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -16731,10 +16732,10 @@
 
 	if test "$NCURSES_OK_WCHAR_T" = 0 ; then
 
-echo "$as_me:16734: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16735: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 16737 "configure"
+#line 16738 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16742,7 +16743,7 @@
 #endif
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 wchar_t foo
@@ -16752,16 +16753,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16755: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16756: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16758: \$? = $ac_status" >&5
+  echo "$as_me:16759: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16761: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16762: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16764: \$? = $ac_status" >&5
+  echo "$as_me:16765: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16770,7 +16771,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16773: result: $cf_result" >&5
+echo "$as_me:16774: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -16792,10 +16793,10 @@
 
 	if test "$NCURSES_OK_WINT_T" = 0 ; then
 
-echo "$as_me:16795: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16796: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 16798 "configure"
+#line 16799 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16803,7 +16804,7 @@
 #endif
 #include <${cf_cv_ncurses_header:-curses.h}>
 int
-main ()
+main (void)
 {
 
 wint_t foo
@@ -16813,16 +16814,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16816: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16817: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16819: \$? = $ac_status" >&5
+  echo "$as_me:16820: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16822: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16823: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16825: \$? = $ac_status" >&5
+  echo "$as_me:16826: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16831,7 +16832,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16834: result: $cf_result" >&5
+echo "$as_me:16835: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -16852,11 +16853,11 @@
 	fi
 fi
 
-echo "$as_me:16855: checking for data ospeed declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16856: checking for data ospeed declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data ospeed declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16859 "configure"
+#line 16860 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16874,7 +16875,7 @@
 #endif
 
 int
-main ()
+main (void)
 {
 
 void *foo = &(ospeed)
@@ -16884,16 +16885,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16887: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16888: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16890: \$? = $ac_status" >&5
+  echo "$as_me:16891: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16893: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16894: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16896: \$? = $ac_status" >&5
+  echo "$as_me:16897: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16902,7 +16903,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16905: result: $cf_result" >&5
+echo "$as_me:16906: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -16914,14 +16915,14 @@
 EOF
 
 else
-	echo "$as_me:16917: checking for data ospeed in library" >&5
+	echo "$as_me:16918: checking for data ospeed in library" >&5
 echo $ECHO_N "checking for data ospeed in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16924 "configure"
+#line 16925 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16940,7 +16941,7 @@
 
 extern char ospeed;
 int
-main ()
+main (void)
 {
 
 	do {
@@ -16954,16 +16955,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16957: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16958: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16960: \$? = $ac_status" >&5
+  echo "$as_me:16961: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16963: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16964: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16966: \$? = $ac_status" >&5
+  echo "$as_me:16967: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16975,7 +16976,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16978 "configure"
+#line 16979 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17001,15 +17002,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17004: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17005: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17007: \$? = $ac_status" >&5
+  echo "$as_me:17008: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17009: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17010: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17012: \$? = $ac_status" >&5
+  echo "$as_me:17013: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17020,7 +17021,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:17023: result: $cf_result" >&5
+	echo "$as_me:17024: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -17033,11 +17034,11 @@
 	fi
 fi
 
-echo "$as_me:17036: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:17037: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17040 "configure"
+#line 17041 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17055,7 +17056,7 @@
 #endif
 
 int
-main ()
+main (void)
 {
 
 void *foo = &(boolnames)
@@ -17065,16 +17066,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17068: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17069: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17071: \$? = $ac_status" >&5
+  echo "$as_me:17072: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17074: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17075: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17077: \$? = $ac_status" >&5
+  echo "$as_me:17078: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17083,7 +17084,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:17086: result: $cf_result" >&5
+echo "$as_me:17087: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -17095,14 +17096,14 @@
 EOF
 
 else
-	echo "$as_me:17098: checking for data boolnames in library" >&5
+	echo "$as_me:17099: checking for data boolnames in library" >&5
 echo $ECHO_N "checking for data boolnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17105 "configure"
+#line 17106 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17121,7 +17122,7 @@
 
 extern char boolnames;
 int
-main ()
+main (void)
 {
 
 	do {
@@ -17135,16 +17136,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17138: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17139: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17141: \$? = $ac_status" >&5
+  echo "$as_me:17142: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17144: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17145: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17147: \$? = $ac_status" >&5
+  echo "$as_me:17148: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17156,7 +17157,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17159 "configure"
+#line 17160 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17182,15 +17183,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17185: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17186: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17188: \$? = $ac_status" >&5
+  echo "$as_me:17189: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17190: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17191: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17193: \$? = $ac_status" >&5
+  echo "$as_me:17194: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17201,7 +17202,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:17204: result: $cf_result" >&5
+	echo "$as_me:17205: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -17214,11 +17215,11 @@
 	fi
 fi
 
-echo "$as_me:17217: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:17218: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17221 "configure"
+#line 17222 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17236,7 +17237,7 @@
 #endif
 
 int
-main ()
+main (void)
 {
 
 void *foo = &(boolfnames)
@@ -17246,16 +17247,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17249: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17250: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17252: \$? = $ac_status" >&5
+  echo "$as_me:17253: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17255: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17256: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17258: \$? = $ac_status" >&5
+  echo "$as_me:17259: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17264,7 +17265,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:17267: result: $cf_result" >&5
+echo "$as_me:17268: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -17276,14 +17277,14 @@
 EOF
 
 else
-	echo "$as_me:17279: checking for data boolfnames in library" >&5
+	echo "$as_me:17280: checking for data boolfnames in library" >&5
 echo $ECHO_N "checking for data boolfnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17286 "configure"
+#line 17287 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17302,7 +17303,7 @@
 
 extern char boolfnames;
 int
-main ()
+main (void)
 {
 
 	do {
@@ -17316,16 +17317,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17319: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17320: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17322: \$? = $ac_status" >&5
+  echo "$as_me:17323: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17325: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17326: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17328: \$? = $ac_status" >&5
+  echo "$as_me:17329: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17337,7 +17338,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17340 "configure"
+#line 17341 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17363,15 +17364,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17366: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17367: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17369: \$? = $ac_status" >&5
+  echo "$as_me:17370: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17371: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17372: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17374: \$? = $ac_status" >&5
+  echo "$as_me:17375: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17382,7 +17383,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:17385: result: $cf_result" >&5
+	echo "$as_me:17386: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -17395,11 +17396,11 @@
 	fi
 fi
 
-echo "$as_me:17398: checking for data ttytype declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:17399: checking for data ttytype declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data ttytype declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17402 "configure"
+#line 17403 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17417,7 +17418,7 @@
 #endif
 
 int
-main ()
+main (void)
 {
 
 void *foo = &(ttytype)
@@ -17427,16 +17428,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17430: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17431: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17433: \$? = $ac_status" >&5
+  echo "$as_me:17434: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17436: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17437: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17439: \$? = $ac_status" >&5
+  echo "$as_me:17440: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17445,7 +17446,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:17448: result: $cf_result" >&5
+echo "$as_me:17449: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -17457,14 +17458,14 @@
 EOF
 
 else
-	echo "$as_me:17460: checking for data ttytype in library" >&5
+	echo "$as_me:17461: checking for data ttytype in library" >&5
 echo $ECHO_N "checking for data ttytype in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17467 "configure"
+#line 17468 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17483,7 +17484,7 @@
 
 extern char ttytype;
 int
-main ()
+main (void)
 {
 
 	do {
@@ -17497,16 +17498,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17500: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17501: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17503: \$? = $ac_status" >&5
+  echo "$as_me:17504: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17506: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17507: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17509: \$? = $ac_status" >&5
+  echo "$as_me:17510: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17518,7 +17519,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17521 "configure"
+#line 17522 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17544,15 +17545,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17547: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17548: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17550: \$? = $ac_status" >&5
+  echo "$as_me:17551: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17552: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17553: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17555: \$? = $ac_status" >&5
+  echo "$as_me:17556: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17563,7 +17564,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:17566: result: $cf_result" >&5
+	echo "$as_me:17567: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -17578,7 +17579,7 @@
 
 if ( test "$GCC" = yes || test "$GXX" = yes )
 then
-echo "$as_me:17581: checking if you want to turn on gcc warnings" >&5
+echo "$as_me:17582: checking if you want to turn on gcc warnings" >&5
 echo $ECHO_N "checking if you want to turn on gcc warnings... $ECHO_C" >&6
 
 # Check whether --enable-warnings or --disable-warnings was given.
@@ -17595,7 +17596,7 @@
 	with_warnings=no
 
 fi;
-echo "$as_me:17598: result: $with_warnings" >&5
+echo "$as_me:17599: result: $with_warnings" >&5
 echo "${ECHO_T}$with_warnings" >&6
 if test "$with_warnings" = "yes"
 then
@@ -17618,10 +17619,10 @@
 EOF
 if test "$GCC" = yes
 then
-	{ echo "$as_me:17621: checking for $CC __attribute__ directives..." >&5
+	{ echo "$as_me:17622: checking for $CC __attribute__ directives..." >&5
 echo "$as_me: checking for $CC __attribute__ directives..." >&6;}
 cat > conftest.$ac_ext <<EOF
-#line 17624 "${as_me:-configure}"
+#line 17625 "${as_me:-configure}"
 #include "confdefs.h"
 #include "conftest.h"
 #include "conftest.i"
@@ -17670,12 +17671,12 @@
 			;;
 		esac
 
-		if { (eval echo "$as_me:17673: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:17674: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17676: \$? = $ac_status" >&5
+  echo "$as_me:17677: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:17678: result: ... $cf_attribute" >&5
+			test -n "$verbose" && echo "$as_me:17679: result: ... $cf_attribute" >&5
 echo "${ECHO_T}... $cf_attribute" >&6
 			cat conftest.h >>confdefs.h
 			case $cf_attribute in
@@ -17739,16 +17740,16 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	(linux*|gnu*)
-		echo "$as_me:17742: checking if this is really Intel C compiler" >&5
+		echo "$as_me:17743: checking if this is really Intel C compiler" >&5
 echo $ECHO_N "checking if this is really Intel C compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 17747 "configure"
+#line 17748 "configure"
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 
 #ifdef __INTEL_COMPILER
@@ -17761,16 +17762,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17764: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17765: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17767: \$? = $ac_status" >&5
+  echo "$as_me:17768: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17770: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17771: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17773: \$? = $ac_status" >&5
+  echo "$as_me:17774: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147"
@@ -17781,7 +17782,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:17784: result: $INTEL_COMPILER" >&5
+		echo "$as_me:17785: result: $INTEL_COMPILER" >&5
 echo "${ECHO_T}$INTEL_COMPILER" >&6
 		;;
 	esac
@@ -17790,16 +17791,16 @@
 CLANG_COMPILER=no
 
 if test "$GCC" = yes ; then
-	echo "$as_me:17793: checking if this is really Clang C compiler" >&5
+	echo "$as_me:17794: checking if this is really Clang C compiler" >&5
 echo $ECHO_N "checking if this is really Clang C compiler... $ECHO_C" >&6
 	cf_save_CFLAGS="$CFLAGS"
 	CFLAGS="$CFLAGS -Qunused-arguments"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17798 "configure"
+#line 17799 "configure"
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 
 #ifdef __clang__
@@ -17812,16 +17813,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17815: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17816: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17818: \$? = $ac_status" >&5
+  echo "$as_me:17819: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17821: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17822: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17824: \$? = $ac_status" >&5
+  echo "$as_me:17825: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   CLANG_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -Qunused-arguments"
@@ -17832,12 +17833,12 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	CFLAGS="$cf_save_CFLAGS"
-	echo "$as_me:17835: result: $CLANG_COMPILER" >&5
+	echo "$as_me:17836: result: $CLANG_COMPILER" >&5
 echo "${ECHO_T}$CLANG_COMPILER" >&6
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 17840 "${as_me:-configure}"
+#line 17841 "${as_me:-configure}"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -17854,7 +17855,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #279: controlling expression is constant
 
-	{ echo "$as_me:17857: checking for $CC warning options..." >&5
+	{ echo "$as_me:17858: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-Wall"
@@ -17870,12 +17871,12 @@
 		wd981
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:17873: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:17874: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17876: \$? = $ac_status" >&5
+  echo "$as_me:17877: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:17878: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:17879: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
 		fi
@@ -17884,7 +17885,7 @@
 
 elif test "$GCC" = yes
 then
-	{ echo "$as_me:17887: checking for $CC warning options..." >&5
+	{ echo "$as_me:17888: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS=
@@ -17908,12 +17909,12 @@
 		Wundef $cf_gcc_warnings $cf_warn_CONST
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:17911: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:17912: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17914: \$? = $ac_status" >&5
+  echo "$as_me:17915: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:17916: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:17917: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			case $cf_opt in
 			(Wcast-qual)
@@ -17924,7 +17925,7 @@
 				([34].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:17927: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:17928: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -17934,7 +17935,7 @@
 				([12].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:17937: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:17938: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -17950,7 +17951,7 @@
 fi
 fi
 
-echo "$as_me:17953: checking if you want to use dmalloc for testing" >&5
+echo "$as_me:17954: checking if you want to use dmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dmalloc or --without-dmalloc was given.
@@ -17967,7 +17968,7 @@
 else
   with_dmalloc=
 fi;
-echo "$as_me:17970: result: ${with_dmalloc:-no}" >&5
+echo "$as_me:17971: result: ${with_dmalloc:-no}" >&5
 echo "${ECHO_T}${with_dmalloc:-no}" >&6
 
 case .$with_cflags in
@@ -18081,23 +18082,23 @@
 esac
 
 if test "$with_dmalloc" = yes ; then
-	echo "$as_me:18084: checking for dmalloc.h" >&5
+	echo "$as_me:18085: checking for dmalloc.h" >&5
 echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18090 "configure"
+#line 18091 "configure"
 #include "confdefs.h"
 #include <dmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:18094: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18095: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18100: \$? = $ac_status" >&5
+  echo "$as_me:18101: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -18116,11 +18117,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18119: result: $ac_cv_header_dmalloc_h" >&5
+echo "$as_me:18120: result: $ac_cv_header_dmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dmalloc_h" >&6
 if test $ac_cv_header_dmalloc_h = yes; then
 
-echo "$as_me:18123: checking for dmalloc_debug in -ldmalloc" >&5
+echo "$as_me:18124: checking for dmalloc_debug in -ldmalloc" >&5
 echo $ECHO_N "checking for dmalloc_debug in -ldmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dmalloc_dmalloc_debug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18128,7 +18129,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 18131 "configure"
+#line 18132 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -18139,7 +18140,7 @@
    builtin and then its argument prototype would still apply.  */
 char dmalloc_debug ();
 int
-main ()
+main (void)
 {
 dmalloc_debug ();
   ;
@@ -18147,16 +18148,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18150: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18151: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18153: \$? = $ac_status" >&5
+  echo "$as_me:18154: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18156: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18157: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18159: \$? = $ac_status" >&5
+  echo "$as_me:18160: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dmalloc_dmalloc_debug=yes
 else
@@ -18167,7 +18168,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:18170: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
+echo "$as_me:18171: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
 echo "${ECHO_T}$ac_cv_lib_dmalloc_dmalloc_debug" >&6
 if test $ac_cv_lib_dmalloc_dmalloc_debug = yes; then
   cat >>confdefs.h <<EOF
@@ -18182,7 +18183,7 @@
 
 fi
 
-echo "$as_me:18185: checking if you want to use dbmalloc for testing" >&5
+echo "$as_me:18186: checking if you want to use dbmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dbmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dbmalloc or --without-dbmalloc was given.
@@ -18199,7 +18200,7 @@
 else
   with_dbmalloc=
 fi;
-echo "$as_me:18202: result: ${with_dbmalloc:-no}" >&5
+echo "$as_me:18203: result: ${with_dbmalloc:-no}" >&5
 echo "${ECHO_T}${with_dbmalloc:-no}" >&6
 
 case .$with_cflags in
@@ -18313,23 +18314,23 @@
 esac
 
 if test "$with_dbmalloc" = yes ; then
-	echo "$as_me:18316: checking for dbmalloc.h" >&5
+	echo "$as_me:18317: checking for dbmalloc.h" >&5
 echo $ECHO_N "checking for dbmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dbmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18322 "configure"
+#line 18323 "configure"
 #include "confdefs.h"
 #include <dbmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:18326: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18327: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18332: \$? = $ac_status" >&5
+  echo "$as_me:18333: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -18348,11 +18349,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18351: result: $ac_cv_header_dbmalloc_h" >&5
+echo "$as_me:18352: result: $ac_cv_header_dbmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dbmalloc_h" >&6
 if test $ac_cv_header_dbmalloc_h = yes; then
 
-echo "$as_me:18355: checking for debug_malloc in -ldbmalloc" >&5
+echo "$as_me:18356: checking for debug_malloc in -ldbmalloc" >&5
 echo $ECHO_N "checking for debug_malloc in -ldbmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dbmalloc_debug_malloc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18360,7 +18361,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldbmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 18363 "configure"
+#line 18364 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -18371,7 +18372,7 @@
    builtin and then its argument prototype would still apply.  */
 char debug_malloc ();
 int
-main ()
+main (void)
 {
 debug_malloc ();
   ;
@@ -18379,16 +18380,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18382: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18383: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18385: \$? = $ac_status" >&5
+  echo "$as_me:18386: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18388: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18389: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18391: \$? = $ac_status" >&5
+  echo "$as_me:18392: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dbmalloc_debug_malloc=yes
 else
@@ -18399,7 +18400,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:18402: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
+echo "$as_me:18403: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
 echo "${ECHO_T}$ac_cv_lib_dbmalloc_debug_malloc" >&6
 if test $ac_cv_lib_dbmalloc_debug_malloc = yes; then
   cat >>confdefs.h <<EOF
@@ -18414,7 +18415,7 @@
 
 fi
 
-echo "$as_me:18417: checking if you want to use valgrind for testing" >&5
+echo "$as_me:18418: checking if you want to use valgrind for testing" >&5
 echo $ECHO_N "checking if you want to use valgrind for testing... $ECHO_C" >&6
 
 # Check whether --with-valgrind or --without-valgrind was given.
@@ -18431,7 +18432,7 @@
 else
   with_valgrind=
 fi;
-echo "$as_me:18434: result: ${with_valgrind:-no}" >&5
+echo "$as_me:18435: result: ${with_valgrind:-no}" >&5
 echo "${ECHO_T}${with_valgrind:-no}" >&6
 
 case .$with_cflags in
@@ -18544,7 +18545,7 @@
 	;;
 esac
 
-echo "$as_me:18547: checking if you want to perform memory-leak testing" >&5
+echo "$as_me:18548: checking if you want to perform memory-leak testing" >&5
 echo $ECHO_N "checking if you want to perform memory-leak testing... $ECHO_C" >&6
 
 # Check whether --enable-leaks or --disable-leaks was given.
@@ -18554,7 +18555,7 @@
 else
   : ${with_no_leaks:=no}
 fi;
-echo "$as_me:18557: result: $with_no_leaks" >&5
+echo "$as_me:18558: result: $with_no_leaks" >&5
 echo "${ECHO_T}$with_no_leaks" >&6
 
 if test "$with_no_leaks" = yes ; then
@@ -18570,7 +18571,7 @@
 fi
 
 LD_RPATH_OPT=
-echo "$as_me:18573: checking for an rpath option" >&5
+echo "$as_me:18574: checking for an rpath option" >&5
 echo $ECHO_N "checking for an rpath option... $ECHO_C" >&6
 case $cf_cv_system_name in
 (irix*)
@@ -18601,12 +18602,12 @@
 (*)
 	;;
 esac
-echo "$as_me:18604: result: $LD_RPATH_OPT" >&5
+echo "$as_me:18605: result: $LD_RPATH_OPT" >&5
 echo "${ECHO_T}$LD_RPATH_OPT" >&6
 
 case "x$LD_RPATH_OPT" in
 (x-R*)
-	echo "$as_me:18609: checking if we need a space after rpath option" >&5
+	echo "$as_me:18610: checking if we need a space after rpath option" >&5
 echo $ECHO_N "checking if we need a space after rpath option... $ECHO_C" >&6
 	cf_save_LIBS="$LIBS"
 
@@ -18627,11 +18628,11 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18630 "configure"
+#line 18631 "configure"
 #include "confdefs.h"
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -18639,16 +18640,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18642: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18643: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18645: \$? = $ac_status" >&5
+  echo "$as_me:18646: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18648: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18649: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18651: \$? = $ac_status" >&5
+  echo "$as_me:18652: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_space=no
 else
@@ -18658,13 +18659,13 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save_LIBS"
-	echo "$as_me:18661: result: $cf_rpath_space" >&5
+	echo "$as_me:18662: result: $cf_rpath_space" >&5
 echo "${ECHO_T}$cf_rpath_space" >&6
 	test "$cf_rpath_space" = yes && LD_RPATH_OPT="$LD_RPATH_OPT "
 	;;
 esac
 
-echo "$as_me:18667: checking if rpath-hack should be disabled" >&5
+echo "$as_me:18668: checking if rpath-hack should be disabled" >&5
 echo $ECHO_N "checking if rpath-hack should be disabled... $ECHO_C" >&6
 
 # Check whether --enable-rpath-hack or --disable-rpath-hack was given.
@@ -18681,21 +18682,21 @@
 	cf_disable_rpath_hack=no
 
 fi;
-echo "$as_me:18684: result: $cf_disable_rpath_hack" >&5
+echo "$as_me:18685: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
 if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:18688: checking for updated LDFLAGS" >&5
+echo "$as_me:18689: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:18691: result: maybe" >&5
+	echo "$as_me:18692: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:18698: checking for $ac_word" >&5
+echo "$as_me:18699: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18710,7 +18711,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:18713: found $ac_dir/$ac_word" >&5
+echo "$as_me:18714: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -18718,10 +18719,10 @@
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:18721: result: $cf_ldd_prog" >&5
+  echo "$as_me:18722: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:18724: result: no" >&5
+  echo "$as_me:18725: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -18735,11 +18736,11 @@
 		cf_rpath_oops=
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18738 "configure"
+#line 18739 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 printf("Hello");
   ;
@@ -18747,16 +18748,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18750: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18751: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18753: \$? = $ac_status" >&5
+  echo "$as_me:18754: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18756: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18757: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18759: \$? = $ac_status" >&5
+  echo "$as_me:18760: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_oops=`$cf_ldd_prog conftest$ac_exeext | fgrep ' not found' | sed -e 's% =>.*$%%' |sort | uniq`
 		 cf_rpath_list=`$cf_ldd_prog conftest$ac_exeext | fgrep / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort | uniq`
@@ -18784,7 +18785,7 @@
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:18787: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:18788: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -18796,11 +18797,11 @@
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:18799: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:18800: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:18803: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:18804: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -18837,7 +18838,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:18840: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:18841: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -18850,11 +18851,11 @@
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:18853: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:18854: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:18857: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:18858: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -18891,7 +18892,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:18894: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:18895: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -18904,14 +18905,14 @@
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:18907: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:18908: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:18911: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:18912: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 else
-	echo "$as_me:18914: result: no" >&5
+	echo "$as_me:18915: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19001,7 +19002,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:19004: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:19005: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -19133,7 +19134,7 @@
 cat >>$CONFIG_STATUS <<EOF
 ac_cs_version="\\
 config.status
-configured by $0, generated by GNU Autoconf 2.52.20150926,
+configured by $0, generated by GNU Autoconf 2.52.20170501,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
@@ -19177,7 +19178,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:19180: error: ambiguous option: $1
+    { { echo "$as_me:19181: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -19196,7 +19197,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:19199: error: unrecognized option: $1
+  -*) { { echo "$as_me:19200: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -19215,7 +19216,7 @@
 ## Running config.status.  ##
 ## ----------------------- ##
 
-This file was extended by $as_me 2.52.20150926, executed with
+This file was extended by $as_me 2.52.20170501, executed with
   CONFIG_FILES    = $CONFIG_FILES
   CONFIG_HEADERS  = $CONFIG_HEADERS
   CONFIG_LINKS    = $CONFIG_LINKS
@@ -19246,7 +19247,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS ncurses_cfg.h:ncurses_tst.hin" ;;
-  *) { { echo "$as_me:19249: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:19250: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -19537,7 +19538,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:19540: creating $ac_file" >&5
+    { echo "$as_me:19541: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -19555,7 +19556,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:19558: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:19559: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -19568,7 +19569,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:19571: error: cannot find input file: $f" >&5
+           { { echo "$as_me:19572: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -19584,7 +19585,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:19587: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:19588: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -19593,7 +19594,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:19596: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:19597: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -19630,7 +19631,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:19633: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:19634: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -19641,7 +19642,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:19644: WARNING: Some variables may not be substituted:
+      { echo "$as_me:19645: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -19690,7 +19691,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:19693: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:19694: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -19701,7 +19702,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:19704: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:19705: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -19714,7 +19715,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:19717: error: cannot find input file: $f" >&5
+           { { echo "$as_me:19718: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -19772,7 +19773,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:19775: $ac_file is unchanged" >&5
+      { echo "$as_me:19776: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: test/configure.in
Prereq:  1.130 
--- ncurses-6.0-20170617+/test/configure.in	2017-03-31 12:15:36.000000000 +0000
+++ ncurses-6.0-20170624/test/configure.in	2017-06-24 14:10:13.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1996-on
 dnl
-dnl $Id: configure.in,v 1.130 2017/03/31 12:15:36 tom Exp $
+dnl $Id: configure.in,v 1.132 2017/06/24 14:10:13 tom Exp $
 dnl This is a simple configuration-script for the ncurses test programs that
 dnl allows the test-directory to be separately configured against a reference
 dnl system (i.e., sysvr4 curses)
@@ -40,7 +40,7 @@
 dnl		http://invisible-island.net/autoconf/
 dnl		http://invisible-island.net/ncurses/ncurses-examples.html
 dnl ---------------------------------------------------------------------------
-AC_PREREQ(2.52.20030208)
+AC_PREREQ(2.52.20170501)
 AC_INIT(ncurses.c)
 AC_CONFIG_HEADER(ncurses_cfg.h:ncurses_tst.hin)
 
@@ -248,6 +248,7 @@
 winsstr \
 wresize \
 wsyncdown \
+_tracef \
 )
 
 CF_TPUTS_PROTO
Index: test/demo_menus.c
Prereq:  1.62 
--- ncurses-6.0-20170617+/test/demo_menus.c	2016-09-10 23:30:33.000000000 +0000
+++ ncurses-6.0-20170624/test/demo_menus.c	2017-06-24 14:21:52.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2005-2015,2016 Free Software Foundation, Inc.              *
+ * Copyright (c) 2005-2016,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: demo_menus.c,v 1.62 2016/09/10 23:30:33 tom Exp $
+ * $Id: demo_menus.c,v 1.64 2017/06/24 14:21:52 tom Exp $
  *
  * Demonstrate a variety of functions from the menu library.
  * Thomas Dickey - 2005/4/9
@@ -75,11 +75,8 @@
 #ifdef NCURSES_VERSION
 #ifdef TRACE
 static unsigned save_trace = TRACE_ORDINARY | TRACE_CALLS;
-extern unsigned _nc_tracing;
 static MENU *mpTrace;
 #endif
-#else
-#undef TRACE
 #endif
 
 typedef enum {
Index: test/edit_field.c
Prereq:  1.27 
--- ncurses-6.0-20170617+/test/edit_field.c	2017-04-15 17:57:40.000000000 +0000
+++ ncurses-6.0-20170624/test/edit_field.c	2017-06-24 23:10:08.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: edit_field.c,v 1.27 2017/04/15 17:57:40 tom Exp $
+ * $Id: edit_field.c,v 1.28 2017/06/24 23:10:08 tom Exp $
  *
  * A wrapper for form_driver() which keeps track of the user's editing changes
  * for each field, and makes the resulting length available as a
@@ -178,7 +178,7 @@
 {
     int used = 0;
     unsigned n;
-    char **msgs = typeCalloc(char *, 2 + SIZEOF(commands));
+    char **msgs = typeCalloc(char *, 3 + SIZEOF(commands));
 
     msgs[used++] = strdup("Defined form edit/traversal keys:");
     for (n = 0; n < SIZEOF(commands); ++n) {
Index: test/list_keys.c
Prereq:  1.20 
--- ncurses-6.0-20170617+/test/list_keys.c	2017-06-17 21:11:25.000000000 +0000
+++ ncurses-6.0-20170624/test/list_keys.c	2017-06-24 22:13:47.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: list_keys.c,v 1.20 2017/06/17 21:11:25 tom Exp $
+ * $Id: list_keys.c,v 1.21 2017/06/24 22:13:47 tom Exp $
  *
  * Author: Thomas E Dickey
  *
@@ -238,7 +238,7 @@
 	map &= ~6;
 	map |= (bit1 << 1) | (bit2 >> 1);
 	_nc_SPRINTF(result, _nc_SLIMIT(sizeof(result))
-		    "%sF%d", modifiers[map][f_opt], 1 + key);
+		    "%sF%d", modifiers[map][(unsigned)f_opt], 1 + key);
     } else if (sscanf(name, "k%[A-Z]%d%c", buffer, &value, &chr) == 2 &&
 	       (value > 1 &&
 		value <= 8) &&
@@ -253,7 +253,7 @@
 		!strcmp(buffer, "NXT") ||
 		!strcmp(buffer, "PRV"))) {
 	_nc_SPRINTF(result, _nc_SLIMIT(sizeof(result))
-		    "%sk%s", modifiers[value - 1][f_opt], buffer);
+		    "%sk%s", modifiers[value - 1][(unsigned)f_opt], buffer);
     } else if (sscanf(name, "k%[A-Z]%c", buffer, &chr) == 1 &&
 	       (!strcmp(buffer, "UP") ||
 		!strcmp(buffer, "DN"))) {
Index: test/modules
Prereq:  1.62 
--- ncurses-6.0-20170617+/test/modules	2017-05-07 21:32:45.000000000 +0000
+++ ncurses-6.0-20170624/test/modules	2017-06-24 18:26:44.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: modules,v 1.62 2017/05/07 21:32:45 tom Exp $
+# $Id: modules,v 1.64 2017/06/24 18:26:44 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -97,6 +97,7 @@
 test_opaque	progs		$(srcdir)	$(HEADER_DEPS)
 test_setupterm	progs		$(srcdir)	$(HEADER_DEPS)
 test_sgr	progs		$(srcdir)	$(HEADER_DEPS)
+test_termattrs	progs		$(srcdir)	$(HEADER_DEPS)
 test_vid_puts	progs		$(srcdir)	$(HEADER_DEPS)
 test_vidputs	progs		$(srcdir)	$(HEADER_DEPS)
 testaddch	progs		$(srcdir)	$(HEADER_DEPS)
Index: test/movewindow.c
Prereq:  1.42 
--- ncurses-6.0-20170617+/test/movewindow.c	2017-04-15 18:37:42.000000000 +0000
+++ ncurses-6.0-20170624/test/movewindow.c	2017-06-24 20:48:46.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: movewindow.c,v 1.42 2017/04/15 18:37:42 tom Exp $
+ * $Id: movewindow.c,v 1.43 2017/06/24 20:48:46 tom Exp $
  *
  * Demonstrate move functions for windows and derived windows from the curses
  * library.
@@ -191,6 +191,7 @@
 	    moved = TRUE;
 	    break;
 	case QUIT:
+	    /* FALLTHRU */
 	case ESCAPE:
 	    return ((PAIR *) 0);
 #ifdef NCURSES_MOUSE_VERSION
@@ -212,8 +213,8 @@
 		    break;
 		}
 	    }
-	    /* FALLTHRU */
 #endif
+	    /* FALLTHRU */
 	default:
 	    res.y = uli + i;
 	    res.x = ulj + j;
Index: test/ncurses.c
Prereq:  1.451 
--- ncurses-6.0-20170617+/test/ncurses.c	2017-05-13 23:25:11.000000000 +0000
+++ ncurses-6.0-20170624/test/ncurses.c	2017-06-24 20:49:44.000000000 +0000
@@ -40,7 +40,7 @@
    Author: Eric S. Raymond <esr@snark.thyrsus.com> 1993
            Thomas E. Dickey (beginning revision 1.27 in 1996).
 
-$Id: ncurses.c,v 1.451 2017/05/13 23:25:11 tom Exp $
+$Id: ncurses.c,v 1.453 2017/06/24 20:49:44 tom Exp $
 
 ***************************************************************************/
 
@@ -77,7 +77,6 @@
 
 #ifdef TRACE
 static unsigned save_trace = TRACE_ORDINARY | TRACE_ICALLS | TRACE_CALLS;
-extern unsigned _nc_tracing;
 #endif
 
 #else
@@ -4551,8 +4550,8 @@
 		    break;
 		}
 	    }
-	    /* FALLTHRU */
 #endif
+	    /* FALLTHRU */
 	default:
 	    res.y = uli + i;
 	    res.x = ulj + j;
Index: test/programs
Prereq:  1.35 
--- ncurses-6.0-20170617+/test/programs	2017-05-07 21:33:10.000000000 +0000
+++ ncurses-6.0-20170624/test/programs	2017-06-24 20:22:44.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: programs,v 1.35 2017/05/07 21:33:10 tom Exp $
+# $Id: programs,v 1.38 2017/06/24 20:22:44 tom Exp $
 ##############################################################################
 # Copyright (c) 2006-2016,2017 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -93,6 +93,7 @@
 test_opaque	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	test_opaque
 test_setupterm	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	test_setupterm
 test_sgr	$(LDFLAGS_TINFO)	$(LOCAL_LIBS)	test_sgr
+test_termattrs	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	test_termattrs
 test_vid_puts	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	test_vid_puts
 test_vidputs	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	test_vidputs
 testaddch	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	testaddch
Index: test/redraw.c
Prereq:  1.9 
--- ncurses-6.0-20170617+/test/redraw.c	2017-04-15 19:57:47.000000000 +0000
+++ ncurses-6.0-20170624/test/redraw.c	2017-06-24 14:04:57.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: redraw.c,v 1.9 2017/04/15 19:57:47 tom Exp $
+ * $Id: redraw.c,v 1.10 2017/06/24 14:04:57 tom Exp $
  *
  * Demonstrate the redrawwin() and wredrawln() functions.
  * Thomas Dickey - 2006/11/4
@@ -185,10 +185,52 @@
     }
 }
 
+static void
+usage(void)
+{
+    static const char *tbl[] =
+    {
+	"Usage: redraw [options]"
+	,""
+	,"Options:"
+	,"  -e      use stderr (default stdout)"
+	,"  -n      do not initialize terminal"
+    };
+    unsigned n;
+    for (n = 0; n < SIZEOF(tbl); ++n)
+	fprintf(stderr, "%s\n", tbl[n]);
+    ExitProgram(EXIT_FAILURE);
+}
+
 int
 main(int argc GCC_UNUSED, char *argv[]GCC_UNUSED)
 {
-    initscr();
+    int ch;
+    bool no_init = FALSE;
+    FILE *my_fp = stdout;
+
+    while ((ch = getopt(argc, argv, "en")) != -1) {
+	switch (ch) {
+	case 'e':
+	    my_fp = stderr;
+	    break;
+	case 'n':
+	    no_init = TRUE;
+	    break;
+	default:
+	    usage();
+	    break;
+	}
+    }
+    if (optind < argc)
+	usage();
+
+    if (no_init) {
+	START_TRACE();
+    } else {
+	newterm((char *) 0, my_fp, stdin);
+    }
+
     raw();
     noecho();
     test_redraw(stdscr);
Index: test/test.priv.h
Prereq:  1.143 
--- ncurses-6.0-20170617+/test/test.priv.h	2017-04-15 17:19:47.000000000 +0000
+++ ncurses-6.0-20170624/test/test.priv.h	2017-06-24 14:07:38.000000000 +0000
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Thomas E. Dickey                    1996-on                     *
  ****************************************************************************/
-/* $Id: test.priv.h,v 1.143 2017/04/15 17:19:47 tom Exp $ */
+/* $Id: test.priv.h,v 1.145 2017/06/24 14:07:38 tom Exp $ */
 
 #ifndef __TEST_PRIV_H
 #define __TEST_PRIV_H 1
@@ -277,6 +277,10 @@
 #define HAVE_WRESIZE 0
 #endif
 
+#ifndef HAVE__TRACEF
+#define HAVE__TRACEF 0
+#endif
+
 #ifndef NCURSES_EXT_FUNCS
 #define NCURSES_EXT_FUNCS 0
 #endif
@@ -906,12 +910,22 @@
 #define WANT_USE_SCREEN() extern void _nc_want_use_screen(void)
 #endif
 
-#ifdef TRACE
+#if defined(TRACE) && HAVE__TRACEF
 #define Trace(p) _tracef p
 #define USE_TRACE 1
+#define START_TRACE() \
+	if ((_nc_tracing & TRACE_MAXIMUM) == 0) { \
+	    int t = _nc_getenv_num("NCURSES_TRACE"); \
+	    if (t >= 0) \
+		trace((unsigned) t); \
+	}
+extern unsigned _nc_tracing;
+extern int _nc_getenv_num(const char *);
 #else
+#undef TRACE
 #define Trace(p)		/* nothing */
 #define USE_TRACE 0
+#define START_TRACE()		/* nothing */
 #endif
 
 #define Trace2(p)		/* nothing */
Index: test/test_sgr.c
Prereq:  1.10 
--- ncurses-6.0-20170617+/test/test_sgr.c	2017-04-09 00:27:42.000000000 +0000
+++ ncurses-6.0-20170624/test/test_sgr.c	2017-06-24 18:35:25.000000000 +0000
@@ -29,7 +29,7 @@
 /*
  * Author: Thomas E. Dickey
  *
- * $Id: test_sgr.c,v 1.10 2017/04/09 00:27:42 tom Exp $
+ * $Id: test_sgr.c,v 1.11 2017/06/24 18:35:25 tom Exp $
  *
  * A simple demo of the sgr/sgr0 terminal capabilities.
  */
@@ -49,6 +49,7 @@
 
 #if HAVE_TIGETSTR
 
+static bool no_init = FALSE;
 static bool q_opt = FALSE;
 
 static char *d_opt;
@@ -185,9 +186,16 @@
     if (db_list) {
 	putenv(next_dbitem());
     }
+
     if (!q_opt)
 	printf("Terminal type \"%s\"\n", name);
-    setupterm((NCURSES_CONST char *) name, 1, (int *) 0);
+
+    if (no_init) {
+	START_TRACE();
+    } else {
+	setupterm((NCURSES_CONST char *) name, 1, (int *) 0);
+    }
+
     if (!q_opt) {
 	if (strcmp(name, ttytype))
 	    printf("... actual \"%s\"\n", ttytype);
@@ -305,6 +313,7 @@
 	"Options:",
 	" -d LIST  colon-separated list of databases to use",
 	" -e NAME  environment variable to set with -d option",
+	" -n       do not initialize terminal, to test error-checking",
 	" -q       quiet (prints only counts)",
     };
     unsigned n;
@@ -320,7 +329,7 @@
     int n;
     char *name;
 
-    while ((n = getopt(argc, argv, "d:e:q")) != -1) {
+    while ((n = getopt(argc, argv, "d:e:nq")) != -1) {
 	switch (n) {
 	case 'd':
 	    d_opt = optarg;
@@ -328,6 +337,9 @@
 	case 'e':
 	    e_opt = optarg;
 	    break;
+	case 'n':
+	    no_init = TRUE;
+	    break;
 	case 'q':
 	    q_opt = TRUE;
 	    break;
Index: test/test_termattrs.c
--- /dev/null	2017-06-24 17:26:46.967999405 +0000
+++ ncurses-6.0-20170624/test/test_termattrs.c	2017-06-24 18:26:15.000000000 +0000
@@ -0,0 +1,201 @@
+/****************************************************************************
+ * Copyright (c) 2017 Free Software Foundation, Inc.                        *
+ *                                                                          *
+ * Permission is hereby granted, free of charge, to any person obtaining a  *
+ * copy of this software and associated documentation files (the            *
+ * "Software"), to deal in the Software without restriction, including      *
+ * without limitation the rights to use, copy, modify, merge, publish,      *
+ * distribute, distribute with modifications, sublicense, and/or sell       *
+ * copies of the Software, and to permit persons to whom the Software is    *
+ * furnished to do so, subject to the following conditions:                 *
+ *                                                                          *
+ * The above copyright notice and this permission notice shall be included  *
+ * in all copies or substantial portions of the Software.                   *
+ *                                                                          *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+ * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+ * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+ * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+ * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+ * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+ * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+ *                                                                          *
+ * Except as contained in this notice, the name(s) of the above copyright   *
+ * holders shall not be used in advertising or otherwise to promote the     *
+ * sale, use or other dealings in this Software without prior written       *
+ * authorization.                                                           *
+ ****************************************************************************/
+/*
+ * $Id: test_termattrs.c,v 1.1 2017/06/24 18:26:15 tom Exp $
+ *
+ * Demonstrate the termattrs and term_attrs functions.
+ */
+
+#define USE_TINFO
+#include <test.priv.h>
+
+#if HAVE_SETUPTERM
+
+#define valid(s) ((s != 0) && s != (char *)-1)
+
+static FILE *my_fp;
+
+static void
+test_termattrs(unsigned long value)
+{
+#define DATA(name) { name, #name }
+    static struct {
+	unsigned long code;
+	const char *name;
+    } table[] = {
+#ifdef A_ATTRIBUTES
+	DATA(A_ATTRIBUTES),
+#endif
+#ifdef A_CHARTEXT
+	    DATA(A_CHARTEXT),
+#endif
+#ifdef A_COLOR
+	    DATA(A_COLOR),
+#endif
+#ifdef A_STANDOUT
+	    DATA(A_STANDOUT),
+#endif
+#ifdef A_UNDERLINE
+	    DATA(A_UNDERLINE),
+#endif
+#ifdef A_REVERSE
+	    DATA(A_REVERSE),
+#endif
+#ifdef A_BLINK
+	    DATA(A_BLINK),
+#endif
+#ifdef A_DIM
+	    DATA(A_DIM),
+#endif
+#ifdef A_BOLD
+	    DATA(A_BOLD),
+#endif
+#ifdef A_ALTCHARSET
+	    DATA(A_ALTCHARSET),
+#endif
+#ifdef A_INVIS
+	    DATA(A_INVIS),
+#endif
+#ifdef A_PROTECT
+	    DATA(A_PROTECT),
+#endif
+#ifdef A_HORIZONTAL
+	    DATA(A_HORIZONTAL),
+#endif
+#ifdef A_LEFT
+	    DATA(A_LEFT),
+#endif
+#ifdef A_LOW
+	    DATA(A_LOW),
+#endif
+#ifdef A_RIGHT
+	    DATA(A_RIGHT),
+#endif
+#ifdef A_TOP
+	    DATA(A_TOP),
+#endif
+#ifdef A_VERTICAL
+	    DATA(A_VERTICAL),
+#endif
+#ifdef A_ITALIC
+	    DATA(A_ITALIC),
+#endif
+    };
+    size_t n;
+    fprintf(my_fp, "Result: %08lX\r\n", value);
+    for (n = 0; n < SIZEOF(table); ++n) {
+	if ((value & table[n].code) != 0) {
+	    fprintf(my_fp, "%08lX %08lX %s\r\n",
+		    table[n].code, value & table[n].code, table[n].name);
+	}
+    };
+    fputs("\r\n", my_fp);
+}
+
+static void
+usage(void)
+{
+    static const char *tbl[] =
+    {
+	"Usage: test_termattrs [options]"
+	,""
+	,"Options:"
+	,"  -e      use stderr (default stdout)"
+	,"  -n      do not initialize terminal"
+	,"  -s      use setupterm rather than newterm"
+#if USE_WIDEC_SUPPORT
+	,"  -w      use term_attrs rather than termattrs"
+#endif
+    };
+    unsigned n;
+    for (n = 0; n < SIZEOF(tbl); ++n)
+	fprintf(stderr, "%s\n", tbl[n]);
+    ExitProgram(EXIT_FAILURE);
+}
+
+int
+main(int argc GCC_UNUSED, char *argv[]GCC_UNUSED)
+{
+    int ch;
+    bool no_init = FALSE;
+    bool s_opt = FALSE;
+#if USE_WIDEC_SUPPORT
+    bool w_opt = FALSE;
+#endif
+
+    my_fp = stdout;
+
+    while ((ch = getopt(argc, argv, "ensw")) != -1) {
+	switch (ch) {
+	case 'e':
+	    my_fp = stderr;
+	    break;
+	case 'n':
+	    no_init = TRUE;
+	    break;
+	case 's':
+	    s_opt = TRUE;
+	    break;
+#if USE_WIDEC_SUPPORT
+	case 'w':
+	    w_opt = TRUE;
+	    break;
+#endif
+	default:
+	    usage();
+	    break;
+	}
+    }
+    if (optind < argc)
+	usage();
+
+    if (no_init) {
+	START_TRACE();
+    } else if (s_opt) {
+	setupterm((char *) 0, fileno(my_fp), (int *) 0);
+    } else {
+	newterm((char *) 0, my_fp, stdin);
+    }
+#if USE_WIDEC_SUPPORT
+    if (w_opt)
+	test_termattrs((unsigned long) term_attrs());
+    else
+#endif
+	test_termattrs((unsigned long) termattrs());
+    ExitProgram(EXIT_SUCCESS);
+}
+
+#else
+int
+main(int argc GCC_UNUSED,
+     char *argv[]GCC_UNUSED)
+{
+    fprintf(stderr, "This program requires terminfo\n");
+    exit(EXIT_FAILURE);
+}
+#endif
Index: test/test_vid_puts.c
Prereq:  1.6 
--- ncurses-6.0-20170617+/test/test_vid_puts.c	2014-07-19 23:09:28.000000000 +0000
+++ ncurses-6.0-20170624/test/test_vid_puts.c	2017-06-24 17:48:04.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2013,2014 Free Software Foundation, Inc.                   *
+ * Copyright (c) 2013-2014,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: test_vid_puts.c,v 1.6 2014/07/19 23:09:28 tom Exp $
+ * $Id: test_vid_puts.c,v 1.9 2017/06/24 17:48:04 tom Exp $
  *
  * Demonstrate the vid_puts and vid_attr functions.
  * Thomas Dickey - 2013/01/12
@@ -64,10 +64,12 @@
 static void
 cleanup(void)
 {
-    outs(exit_attribute_mode);
-    if (!outs(orig_colors))
-	outs(orig_pair);
-    outs(cursor_normal);
+    if (cur_term != 0) {
+	outs(exit_attribute_mode);
+	if (!outs(orig_colors))
+	    outs(orig_pair);
+	outs(cursor_normal);
+    }
 }
 
 static void
@@ -101,6 +103,7 @@
 	,""
 	,"Options:"
 	,"  -e      use stderr (default stdout)"
+	,"  -n      do not initialize terminal"
 	,"  -p      use vid_puts (default vid_attr)"
     };
     unsigned n;
@@ -113,14 +116,18 @@
 main(int argc GCC_UNUSED, char *argv[]GCC_UNUSED)
 {
     int ch;
+    bool no_init = FALSE;
 
     my_fp = stdout;
 
-    while ((ch = getopt(argc, argv, "ep")) != -1) {
+    while ((ch = getopt(argc, argv, "enp")) != -1) {
 	switch (ch) {
 	case 'e':
 	    my_fp = stderr;
 	    break;
+	case 'n':
+	    no_init = TRUE;
+	    break;
 	case 'p':
 	    p_opt = TRUE;
 	    break;
@@ -132,7 +139,11 @@
     if (optind < argc)
 	usage();
 
-    setupterm((char *) 0, 1, (int *) 0);
+    if (no_init) {
+	START_TRACE();
+    } else {
+	setupterm((char *) 0, fileno(my_fp), (int *) 0);
+    }
     test_vid_puts();
     cleanup();
     ExitProgram(EXIT_SUCCESS);
Index: test/test_vidputs.c
Prereq:  1.5 
--- ncurses-6.0-20170617+/test/test_vidputs.c	2014-07-19 23:09:58.000000000 +0000
+++ ncurses-6.0-20170624/test/test_vidputs.c	2017-06-24 17:48:17.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2013,2014 Free Software Foundation, Inc.                   *
+ * Copyright (c) 2013-2014,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: test_vidputs.c,v 1.5 2014/07/19 23:09:58 tom Exp $
+ * $Id: test_vidputs.c,v 1.8 2017/06/24 17:48:17 tom Exp $
  *
  * Demonstrate the vidputs and vidattr functions.
  * Thomas Dickey - 2013/01/12
@@ -64,10 +64,12 @@
 static void
 cleanup(void)
 {
-    outs(exit_attribute_mode);
-    if (!outs(orig_colors))
-	outs(orig_pair);
-    outs(cursor_normal);
+    if (cur_term != 0) {
+	outs(exit_attribute_mode);
+	if (!outs(orig_colors))
+	    outs(orig_pair);
+	outs(cursor_normal);
+    }
 }
 
 static void
@@ -101,6 +103,7 @@
 	,""
 	,"Options:"
 	,"  -e      use stderr (default stdout)"
+	,"  -n      do not initialize terminal"
 	,"  -p      use vidputs (default vidattr)"
     };
     unsigned n;
@@ -113,14 +116,18 @@
 main(int argc GCC_UNUSED, char *argv[]GCC_UNUSED)
 {
     int ch;
+    bool no_init = FALSE;
 
     my_fp = stdout;
 
-    while ((ch = getopt(argc, argv, "ep")) != -1) {
+    while ((ch = getopt(argc, argv, "enp")) != -1) {
 	switch (ch) {
 	case 'e':
 	    my_fp = stderr;
 	    break;
+	case 'n':
+	    no_init = TRUE;
+	    break;
 	case 'p':
 	    p_opt = TRUE;
 	    break;
@@ -132,11 +139,16 @@
     if (optind < argc)
 	usage();
 
-    setupterm((char *) 0, 1, (int *) 0);
+    if (no_init) {
+	START_TRACE();
+    } else {
+	setupterm((char *) 0, fileno(my_fp), (int *) 0);
+    }
     test_vidputs();
     cleanup();
     ExitProgram(EXIT_SUCCESS);
 }
+
 #else
 int
 main(int argc GCC_UNUSED,
